2013-12-13  Sam Weinig  <sam@webkit.org>

        Fix API tests.

        * TestWebKitAPI/Tests/WebKit2/WillLoad.cpp:
        (TestWebKitAPI::TEST_F):

2013-12-13  Brent Fulgham  <bfulgham@apple.com>

        [Win] Remove Pre-VS2013 support code.
        https://bugs.webkit.org/show_bug.cgi?id=125693

        Reviewed by Darin Adler.

        * DumpRenderTree/cg/ImageDiffCG.cpp: Remove strtof stub now supplied by
        the math library.
        * DumpRenderTree/win/ImageDiffCairo.cpp: Ditto.

2013-12-13  Lucas Forschler  <lforschler@apple.com>

        Update Webkit bots.
        
        Unreviewed.
        
        * BuildSlaveSupport/build.webkit.org-config/config.json:

2013-12-13  Brent Fulgham  <bfulgham@apple.com>

        [Win] Unreviewed build fix after r160548

        * win/AssembleBuildLogs/AssembleBuildLogs.vcxproj: Specify
        we are using vs12_xp target for Makefile-based projects.

2013-12-13  Lucas Forschler  <lforschler@apple.com>

        Update Apple Webkit Bots
        
        Unreviewed.

        * BuildSlaveSupport/build.webkit.org-config/config.json:

2013-12-13  Brent Fulgham  <bfulgham@apple.com>

        Unreviewed build fix after r160548.

        * Scripts/webkitdirs.pm:
        (setupCygwinEnv): VCExpress.exe is now called WDExpress.exe.

2013-12-13  Lucas Forschler  <lforschler@apple.com>

        Update Apple bots.
        
        Unreviewed.

        * BuildSlaveSupport/build.webkit.org-config/config.json:

2013-12-13  Brent Fulgham  <bfulgham@apple.com>

        [Win] Switch WebKit solution to Visual Studio 2013
        https://bugs.webkit.org/show_bug.cgi?id=125192

        Reviewed by Anders Carlsson.

        Project files must reference vs12_xp for 32-bit builds. 

        * DumpRenderTree/DumpRenderTree.vcxproj/DumpRenderTree/DumpRenderTree.vcxproj:
        Update for VS2013
        * DumpRenderTree/DumpRenderTree.vcxproj/DumpRenderTree/DumpRenderTreeLauncher.vcxproj:
        Ditto
        * DumpRenderTree/DumpRenderTree.vcxproj/ImageDiff/ImageDiff.vcxproj:
        Ditto
        * DumpRenderTree/DumpRenderTree.vcxproj/ImageDiff/ImageDiffLauncher.vcxproj:
        Ditto
        * DumpRenderTree/DumpRenderTree.vcxproj/TestNetscapePlugin/TestNetscapePlugin.vcxproj:
        Ditto
        * Scripts/webkitdirs.pm:
        (visualStudioInstallDir): Specify VS2013
        (visualStudioVersion): Ditto.
        (setupAppleWinEnv): Use VS2013 in messages
        (setupCygwinEnv): Ditto
        * TestWebKitAPI/TestWebKitAPI.vcxproj/TestWebKitAPI.vcxproj:
        Update for VS2013
        * WinLauncher/WinLauncher.vcxproj/WinLauncher.vcxproj:
        Ditto
        * WinLauncher/WinLauncher.vcxproj/WinLauncherLib.vcxproj:
        Ditto
        * win/record-memory/record-memory.vcxproj:
        Ditto

2013-12-11  Martin Robinson  <mrobinson@igalia.com> and Danilo Cesar Lemes de Paula  <danilo.cesar@collabora.co.uk>

        Adding a .ycm_extra_conf file for webkitGtk
        https://bugs.webkit.org/show_bug.cgi?id=119618

        Reviewed by Gustavo Noronha Silva.

        Added a YouCompleteMe flag discovery script for Vim and the GTK+ port. The script
        read the GTK+ build files to determine dynamically what flags to compile a source
        file with. This allows Vim to provide auto-complete for C++/C language. See
        https://github.com/Valloric/YouCompleteMe for how to use this file.

        * gtk/common.py:
        (get_build_path): Added a fatal argument to build_path to avoid crashing YCM on failure.
        * gtk/ycm_extra_conf.py: Added.

2013-12-12  Tim Horton  <timothy_horton@apple.com>

        [wk2] Handle pinch-to-zoom gesture
        https://bugs.webkit.org/show_bug.cgi?id=125604

        Reviewed by Simon Fraser.

        * MiniBrowser/mac/WK2BrowserWindowController.m:
        (-[WK2BrowserWindowController awakeFromNib]):
        Enable handling of the magnification gesture in Minibrowser WebKit2 windows.

2013-12-12  Eunmi Lee  <eunmi15.lee@samsung.com>

        Unreviewed. Add myself as a committer.

        * Scripts/webkitpy/common/config/contributors.json:

2013-12-12  Lucas Forschler  <lforschler@apple.com>

        Update hardware for Apple bots.
        
        Unreviewed.

        * BuildSlaveSupport/build.webkit.org-config/config.json:

2013-12-12  Lucas Forschler  <lforschler@apple.com>

        Remove unused Apple Bots.
        
        Unreviewed.

        * BuildSlaveSupport/build.webkit.org-config/config.json:

2013-12-12  Thiago de Barros Lacerda  <thiago.lacerda@openbossa.org>

        Unreviewed. Add myself as a committer.

        * Scripts/webkitpy/common/config/contributors.json:

2013-12-12  Joseph Pecoraro  <pecoraro@apple.com>

        Test new JSContext name APIs
        https://bugs.webkit.org/show_bug.cgi?id=125607

        Reviewed by Darin Adler.

        * Scripts/run-javascriptcore-tests:
        Remove trailing whitespace.

2013-12-12  Zan Dobersek  <zdobersek@igalia.com>

        [Autotools] Prepend the WebCore layer archives' names with 'lib'
        https://bugs.webkit.org/show_bug.cgi?id=125627

        Reviewed by Martin Robinson.

        * TestWebKitAPI/GNUmakefile.am: Libtool can complain about the WebCore layer archives not being prepended
        with 'lib' when they are used during linking, so the prefix is now added to avoid such issues.

2013-12-12  Commit Queue  <commit-queue@webkit.org>

        Unreviewed, rolling out r160446.
        http://trac.webkit.org/changeset/160446
        https://bugs.webkit.org/show_bug.cgi?id=125630

        The upower-glib-based implementation is using API that was
        recently removed (Requested by zdobersek1 on #webkit).

        * Scripts/webkitperl/FeatureList.pm:

2013-12-12  Commit Queue  <commit-queue@webkit.org>

        Unreviewed, rolling out r160417.
        http://trac.webkit.org/changeset/160417
        https://bugs.webkit.org/show_bug.cgi?id=125629

        The patch is causing crashes (Requested by zdobersek1 on
        #webkit).

        * DumpRenderTree/atk/AccessibilityCallbacksAtk.cpp:
        (axObjectEventListener):
        * WebKitTestRunner/InjectedBundle/atk/AccessibilityNotificationHandlerAtk.cpp:

2013-12-12  Zan Dobersek  <zdobersek@igalia.com>

        Use of ar T option not supported by older binutils
        https://bugs.webkit.org/show_bug.cgi?id=118732

        Reviewed by Gustavo Noronha Silva.

        * TestWebKitAPI/GNUmakefile.am: To support non-thin archives when generating the WebCoreLayer archive,
        switch to using the AR_FLAGS variable (which can be overridden) for providing the ar flags for the
        new archive. Non-thin archives also pose the problem as their members are only noted by the basename
        of the member's object file, and not the full path to it. To work around that, all the object files
        under the build directory are listed by their relative paths. The members of various archives then have
        the basenames of their paths grepped against that list, with the found path correlating to the member
        finally added as the new member of the WebCoreLayer archive.

2013-12-11  Myles C. Maxfield  <mmaxfield@apple.com>

        check-webkit-style shouldn't check spacing in #if preprocessor lines
        https://bugs.webkit.org/show_bug.cgi?id=125534

        Reviewed by Ryosuke Niwa.

        Preprocessor lines that start with #if shouldn't have to adhere to
        the same spacing requirements that regular code does

        * Scripts/webkitpy/style/checkers/cpp.py:
        (check_spacing):
        * Scripts/webkitpy/style/checkers/cpp_unittest.py:
        (CppStyleTest.test_spacing_for_binary_ops):
        (WebKitStyleTest.test_line_breaking):

2013-12-11  Myles C. Maxfield  <mmaxfield@apple.com>

        check-webkit-style can't determine if a comma is part of an initialization list
        https://bugs.webkit.org/show_bug.cgi?id=125537

        Reviewed by Darin Adler.

        The original check to make sure that initialization list lines start with
        a comma didn't distinguish between commas that belong to the initialization
        list and commas that are part of function calls. Because we don't want to
        match parentheses with regular expressions, we should weaken this check to
        only check for commas at the end of initialization list lines.

        * Scripts/webkitpy/style/checkers/cpp.py:
        (check_member_initialization_list):
        * Scripts/webkitpy/style/checkers/cpp_unittest.py:
        (WebKitStyleTest.test_member_initialization_list):

2013-12-11  Tim Horton  <timothy_horton@apple.com>

        Make it possible to compare layout test results between various configurations of WebKit
        https://bugs.webkit.org/show_bug.cgi?id=125212
        <rdar://problem/15199108>

        Reviewed by Darin Adler.

        * Scripts/compare-webkit-configurations: Added.
        Add a script that allows comparison between the "normal" WebKit configuration
        used for testing and a different configuration (e.g. with accelerated drawing
        turned on, with the remote layer tree enabled, or WebKit1 vs WebKit2), like so:

        compare-webkit-configurations -2 --comparison=accelerated-drawing compositing/background-color

        This script runs the tests once in the default configuration, ignoring
        all test expectations, writing the results out to a temporary directory.

        It then runs the tests again in the modified configuration, against the
        just-written temporary results.

        Ref tests are treated as pixel tests, with their pixel output dumped to disk.

        * DumpRenderTree/mac/DumpRenderTree.mm:
        (resetWebPreferencesToConsistentValues):
        (initializeGlobalsFromCommandLineOptions):
        Enable accelerated drawing if requested.

        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:
        (parse_args):
        Add --accelerated-drawing and --remote-layer-tree feature switches, which
        are forwarded on to the test drivers.
        Move those two and --complex-text into their own "feature switches" section.
        Drive-by change "Mac OS X" to "OS X".
        Add --treat-ref-tests-as-pixel-tests option, which treats ref tests
        as traditional pixel tests (with PNGs dumped on disk), and
        ignores e.g. -expected.html files.

        * Scripts/webkitpy/port/base.py:
        (Port.reference_files):
        Pretend that there are no ref tests.
        Since is_reference_html_file is intact, our mechanism to ignore
        the expected files will continue working in this case.

        * Scripts/webkitpy/port/driver.py:
        (Driver.cmd_line):
        Forward --accelerated-drawing and --remote-layer-tree to DRT/WKTR.

        * WebKitTestRunner/TestController.cpp:
        (WTR::TestController::TestController):
        (WTR::TestController::initialize):
        (WTR::TestController::resetPreferencesToConsistentValues):
        * WebKitTestRunner/TestController.h:
        (WTR::TestController::shouldUseRemoteLayerTree):
        * WebKitTestRunner/TestInvocation.cpp:
        (WTR::updateThreadedScrollingForCurrentTest):
        * WebKitTestRunner/mac/PlatformWebViewMac.mm:
        (WTR::PlatformWebView::PlatformWebView):
        Parse and implement the three feature switches.

2013-12-11  Mario Sanchez Prada  <mario.prada@samsung.com>

        [ATK] Expose accessibility objects WAI-ARIA landmark roles
        https://bugs.webkit.org/show_bug.cgi?id=125584

        Reviewed by Chris Fleizach.

        Add mappings to DRT & WKTR for landmark roles.

        * DumpRenderTree/atk/AccessibilityUIElementAtk.cpp:
        (AccessibilityUIElement::role):
        * WebKitTestRunner/InjectedBundle/atk/AccessibilityUIElementAtk.cpp:
        (WTR::AccessibilityUIElement::role):
        * gtk/jhbuild.modules:

2013-12-11  Alejandro G. Castro  <alex@igalia.com>

        [GTK] Avoid double quotations when passing parameters to valgrind in gtk.py
        https://bugs.webkit.org/show_bug.cgi?id=125441

        Reviewed by Martin Robinson.

        Just avoid the double quotations when building the parameter
        because some versions of valgrind are not handling it correctly.

        * Scripts/webkitpy/port/gtk.py:
        (GtkPort.setup_environ_for_server):

2013-12-11  Zan Dobersek  <zdobersek@igalia.com>

        [GTK] Enable Battery Status API
        https://bugs.webkit.org/show_bug.cgi?id=125453

        Reviewed by Martin Robinson.

        * Scripts/webkitperl/FeatureList.pm: Enable the Battery Status API feature for the GTK port.

2013-12-11  José Dapena Paz  <jdapena@igalia.com> and Zan Dobersek  <zdobersek@igalia.com>

        [GTK][WK2] Add the WebKitBatteryProvider class
        https://bugs.webkit.org/show_bug.cgi?id=115720

        Reviewed by Martin Robinson.

        * gtk/generate-gtkdoc:
        (get_webkit2_options): Ignore the WebKitBatteryProvider source files when generating the documentation.

2013-12-11  Mark Rowe  <mrowe@apple.com>

        <https://webkit.org/b/125563> Remove the DumpRenderTree Perl Support module

        Now that old-run-webkit-tests is not used on OS X it's not worth the time and effort
        to build and maintain this custom Perl module.

        Reviewed by Anders Carlsson.

        * DumpRenderTree/DumpRenderTree.xcodeproj/project.pbxproj: Remove the target.
        * DumpRenderTree/mac/PerlSupport/DumpRenderTreeSupport.c: Removed.
        * DumpRenderTree/mac/PerlSupport/DumpRenderTreeSupportPregenerated.pm: Removed.
        * DumpRenderTree/mac/PerlSupport/DumpRenderTreeSupport_wrapPregenerated.c: Removed.
        * DumpRenderTree/mac/PerlSupport/Makefile: Removed.
        * Scripts/old-run-webkit-tests: Update a comment that referred to DumpRenderTreeSupport as a reason to
        build DumpRenderTree.
        (dumpToolDidCrash): Stop importing and using the module.
        * Scripts/webkitpy/port/base.py:
        (Port._build_driver): Update a comment in the same manner as in old-run-webkit-tests.

2013-12-11  Brendan Long  <b.long@cablelabs.com>

        [GTK] Add "enable-mediasource" property to WebKitWebSettings
        https://bugs.webkit.org/show_bug.cgi?id=125566

        Reviewed by Philippe Normand.

        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (resetDefaultsToConsistentValues): Turn MediaSource on by default for easier testing.
        * DumpRenderTree/gtk/TestRunnerGtk.cpp:
        (TestRunner::overridePreference): Allow overriding WebKitMediaSourceEnabled.

2013-12-11  Dan Bernstein  <mitz@apple.com>

        [Mac] Observe the activeURL property to keep the MiniBrowser URL field up to date
        https://bugs.webkit.org/show_bug.cgi?id=125579

        Reviewed by Anders Carlsson.

        * MiniBrowser/mac/WK2BrowserWindowController.m:
        (-[WK2BrowserWindowController dealloc]): Stop observing the activeURL property.
        (-[WK2BrowserWindowController observeValueForKeyPath:ofObject:change:context:]): When the
        activeURL property changes, update the URL field with its value.
        (-[WK2BrowserWindowController awakeFromNib]): Start observing the activeURL property.
        (-[WK2BrowserWindowController browsingContextControllerDidStartProvisionalLoad:]): Just log.
        (-[WK2BrowserWindowController browsingContextControllerDidReceiveServerRedirectForProvisionalLoad:]):
        Ditto.
        (-[WK2BrowserWindowController browsingContextController:didFailProvisionalLoadWithError:]):
        Ditto.
        (-[WK2BrowserWindowController browsingContextControllerDidCommitLoad:]): Ditto.
        (-[WK2BrowserWindowController browsingContextController:didFailLoadWithError:]): Ditto.

2013-12-11  Dániel Bátyai  <Batyai.Daniel@stud.u-szeged.hu>

        Fixed test-wepkitpy logging for buildslaves
        https://bugs.webkit.org/show_bug.cgi?id=125445

        Reviewed by Csaba Osztrogonác.

        * BuildSlaveSupport/build.webkit.org-config/master.cfg:
        (RunPythonTests):

2013-12-11  Mario Sanchez Prada  <mario.prada@samsung.com>

        Programmatically-inserted children lack accessibility events
        https://bugs.webkit.org/show_bug.cgi?id=100275

        Reviewed by Chris Fleizach.

        Update DRT and WebKitTestRunner to handle the children-changed
        signal properly, considering the detail and optional parameters.

        * DumpRenderTree/atk/AccessibilityCallbacksAtk.cpp: Updated.
        (axObjectEventListener):
        * WebKitTestRunner/InjectedBundle/atk/AccessibilityNotificationHandlerAtk.cpp: Updated.

2013-12-03  Mark Rowe  <mrowe@apple.com>

        <https://webkit.org/b/125139> Modernize the WebKit API headers
        <rdar://problem/15540175>

        Reviewed by Anders Carlsson.

        * DumpRenderTree/mac/TestRunnerMac.mm:
        (TestRunner::setCacheModel): Cast to the enum type.

2013-12-10  Filip Pizlo  <fpizlo@apple.com>

        Get rid of forward exit on DoubleAsInt32
        https://bugs.webkit.org/show_bug.cgi?id=125552

        Reviewed by Oliver Hunt.
        
        Add some support for testing the generic (non-X86) paths on X86 by disabling
        architecture-specific optimizations (ASO's).

        * Scripts/run-javascriptcore-tests:
        * Scripts/run-jsc-stress-tests:

2013-12-10  Ryuan Choi  <ryuan.choi@samsung.com>

        Unreviewed EFL build fix attempt

        * TestWebKitAPI/CMakeLists.txt: Added ${WEBKIT2_DIR}/Platform/CoreIPC to include lists.
        * WebKitTestRunner/CMakeLists.txt: Ditto.

2013-12-10  Anders Carlsson  <andersca@apple.com>

        Add a HashMap constructor that takes an initializer list
        https://bugs.webkit.org/show_bug.cgi?id=125551

        Reviewed by Dan Bernstein.

        * TestWebKitAPI/Tests/WTF/HashMap.cpp:
        (TestWebKitAPI::TEST):

2013-12-10  Laszlo Vidacs  <lac@inf.u-szeged.hu>

        Use std::array when computing MD5 checksum
        https://bugs.webkit.org/show_bug.cgi?id=125509

        Reviewed by Anders Carlsson.

        Use MD5::Digest type and MD5::hashSize when computing MD5 checksum.

        * DumpRenderTree/blackberry/PixelDumpSupportBlackBerry.cpp:
        (computeMD5HashStringForBitmapContext):
        * DumpRenderTree/cairo/PixelDumpSupportCairo.cpp:
        (computeMD5HashStringForBitmapContext):
        * TestWebKitAPI/Tests/WTF/MD5.cpp:
        (TestWebKitAPI::expectMD5):
        * WebKitTestRunner/cairo/TestInvocationCairo.cpp:
        (WTR::computeMD5HashStringForCairoSurface):
        * WebKitTestRunner/cg/TestInvocationCG.cpp:
        (WTR::computeMD5HashStringForContext):

2013-12-10  Mario Sanchez Prada  <mario.prada@samsung.com>

        [ATK] Expose splitter elements with ATK_ROLE_SEPARATOR
        https://bugs.webkit.org/show_bug.cgi?id=125522

        Reviewed by Chris Fleizach.

        Update strings representing ATK_ROLE_SEPARATOR for layout tests.

        * DumpRenderTree/atk/AccessibilityUIElementAtk.cpp:
        * WebKitTestRunner/InjectedBundle/atk/AccessibilityUIElementAtk.cpp:

2013-12-10  Laszlo Vidacs  <lac@inf.u-szeged.hu>

        Add --makeargs option to build-jsc
        https://bugs.webkit.org/show_bug.cgi?id=125344

        Reviewed by Filip Pizlo.

        * Scripts/build-jsc: Handle and pass makefile arguments in jsc build.

2013-12-10  Joanmarie Diggs  <jdiggs@igalia.com>

        AX: [ATK] Convert the get_text atktest.c unit tests to layout tests
        https://bugs.webkit.org/show_bug.cgi?id=125497

        Reviewed by Mario Sanchez Prada.

        * DumpRenderTree/atk/AccessibilityUIElementAtk.cpp:
        (AccessibilityUIElement::stringForRange): Implemented.
        * WebKitTestRunner/InjectedBundle/atk/AccessibilityUIElementAtk.cpp:
        (WTR::AccessibilityUIElement::stringForRange): Implemented.

2013-12-10  Martin Robinson  <mrobinson@igalia.com>

        Various fixes for the CMake GTK+ build

        Reviewed by Gustavo Noronha.

        * MiniBrowser/gtk/CMakeLists.txt: Update source list and correct the name of BrowserMarshal.h.
        * TestWebKitAPI/PlatformGTK.cmake: Add GTK+ libraries to the test program. They're required.

2013-12-10  László Langó  <lango@inf.u-szeged.hu>

        --cloop option does not work in Tools/Scripts/build-jsc.
        https://bugs.webkit.org/show_bug.cgi?id=125214

        Reviewed by Csaba Osztrogonác.

        * Scripts/build-jsc:

2013-12-10  Dániel Bátyai  <Batyai.Daniel@stud.u-szeged.hu>

        Merge mark_for_landing and mark_for_commit_queue into one argument
        https://bugs.webkit.org/show_bug.cgi?id=125448

        Reviewed by Ryosuke Niwa.

        * Scripts/webkitpy/common/net/bugzilla/bugzilla.py:
        (CommitQueueFlag):
        (Bugzilla._commit_queue_flag):
        (Bugzilla._fill_attachment_form):
        (Bugzilla.add_patch_to_bug):
        (Bugzilla.create_bug):
        * Scripts/webkitpy/common/net/bugzilla/bugzilla_unittest.py:
        (test_commit_queue_flag.assert_commit_queue_flag):
        (test_commit_queue_flag):

2013-12-09  Tim Horton  <timothy_horton@apple.com>

        Remove dead extract_reference_link.py (and the reftests module)
        https://bugs.webkit.org/show_bug.cgi?id=125116

        Reviewed by Ryosuke Niwa.

        This code doesn't seem to have ever been used.

        * Scripts/webkitpy/layout_tests/reftests/__init__.py: Removed.
        * Scripts/webkitpy/layout_tests/reftests/extract_reference_link.py: Removed.
        * Scripts/webkitpy/layout_tests/reftests/extract_reference_link_unittest.py: Removed.

2013-12-09  Mario Sanchez Prada  <mario.prada@samsung.com>

        [ATK] Translate ATK_ROLE_SECTION into "AXSection" in DRT/WKTR
        https://bugs.webkit.org/show_bug.cgi?id=125456

        Reviewed by Chris Fleizach.

        Return 'AXSection' for section roles instead of 'AXDiv'.

        * DumpRenderTree/atk/AccessibilityUIElementAtk.cpp:
        * WebKitTestRunner/InjectedBundle/atk/AccessibilityUIElementAtk.cpp:

2013-12-09  Brian J. Burg  <burg@cs.washington.edu>

        check-webkit-style should check for extra newlines at EOF
        https://bugs.webkit.org/show_bug.cgi?id=125424

        Reviewed by Darin Adler.

        Report a style violation if extraneous newlines are added
        to the end of a C++ file. There should only be one newline at EOF.

        * Scripts/webkitpy/style/checkers/cpp.py:
        (check_for_missing_new_line_at_eof): Renamed from check_for_new_line_at_eof.
        (check_for_extra_new_line_at_eof): Added.
        (_process_lines): Added new check and renamed existing EOF check.
        * Scripts/webkitpy/style/checkers/cpp_unittest.py:
        (CppStyleTest.test_extra_newlines_at_eof): Added.
        (CppStyleTest.test_extra_newlines_at_eof.do_test): Added.

2013-12-09  Laszlo Vidacs  <lac@inf.u-szeged.hu>

        check-webkit-style: ternary operator in macro call identified as initialization list
        https://bugs.webkit.org/show_bug.cgi?id=125443

        Reviewed by Ryosuke Niwa.

        Do not match initialization list when questionmark is placed before :

        * Scripts/webkitpy/style/checkers/cpp.py:
        (check_member_initialization_list):

2013-12-09  Joanmarie Diggs  <jdiggs@igalia.com>

        AX: [ATK] Convert the get_{string,text}_at_offset atktest.c unit tests to layout tests
        https://bugs.webkit.org/show_bug.cgi?id=125451

        Reviewed by Mario Sanchez Prada.

        Create the needed callbacks for DRT and WKTR.

        * DumpRenderTree/AccessibilityUIElement.cpp:
        (characterAtOffsetCallback): added
        (wordAtOffsetCallback): added
        (lineAtOffsetCallback): added
        (sentenceAtOffsetCallback): added
        (AccessibilityUIElement::getJSClass):
        * DumpRenderTree/AccessibilityUIElement.h:
        * DumpRenderTree/atk/AccessibilityUIElementAtk.cpp:
        (stringAtOffset): added
        (AccessibilityUIElement::characterAtOffset): added
        (AccessibilityUIElement::wordAtOffset): added
        (AccessibilityUIElement::lineAtOffset): added
        (AccessibilityUIElement::sentenceAtOffset): added
        * WebKitTestRunner/InjectedBundle/AccessibilityUIElement.cpp:
        (WTR::AccessibilityUIElement::characterAtOffset): added
        (WTR::AccessibilityUIElement::wordAtOffset): added
        (WTR::AccessibilityUIElement::lineAtOffset): added
        (WTR::AccessibilityUIElement::sentenceAtOffset): added
        * WebKitTestRunner/InjectedBundle/AccessibilityUIElement.h:
        * WebKitTestRunner/InjectedBundle/Bindings/AccessibilityUIElement.idl:
        * WebKitTestRunner/InjectedBundle/atk/AccessibilityUIElementAtk.cpp:
        (WTR::stringAtOffset): added
        (WTR::AccessibilityUIElement::characterAtOffset): added
        (WTR::AccessibilityUIElement::wordAtOffset): added
        (WTR::AccessibilityUIElement::lineAtOffset): added
        (WTR::AccessibilityUIElement::sentenceAtOffset): added

2013-12-08  Sam Weinig  <sam@webkit.org>

        32-bit MiniBrowser doesn't build
        https://bugs.webkit.org/show_bug.cgi?id=125420

        Reviewed by Dan Bernstein.

        * MiniBrowser/mac/AppDelegate.h:
        * MiniBrowser/mac/AppDelegate.m:
        (-[BrowserAppDelegate init]):
        (-[BrowserAppDelegate applicationWillTerminate:]):

2013-12-08  Brian Holt  <brian.holt@samsung.com>

        [WK2] Add ENABLE_NETWORK_PROCESS flag
        https://bugs.webkit.org/show_bug.cgi?id=125421

        Add support to build with the Network Process enabled.

        Reviewed by Martin Robinson.

        * Scripts/webkitperl/FeatureList.pm:

2013-12-07  Filip Pizlo  <fpizlo@apple.com>

        Fold typedArray.length if typedArray is constant
        https://bugs.webkit.org/show_bug.cgi?id=125252

        Reviewed by Sam Weinig.
        
        Add Source/JavaScriptCore/tests/stress to the set of JS tests. This is where you
        should put tests that run just like JSRegress but don't run as part of LayoutTests.
        Currently I'm using it for tests that require some surgical support from jsc.cpp.

        * Scripts/run-javascriptcore-tests:

2013-12-08  Zan Dobersek  <zdobersek@igalia.com>

        [gdb] Update printers for WTF::CString, JSC::JSString
        https://bugs.webkit.org/show_bug.cgi?id=124600

        Reviewed by Gustavo Noronha Silva.

        Update the two printers after they fell behind the changes in implementation.

        * gdb/webkit.py:
        (WTFCStringPrinter.to_string):
        (JSCJSStringPrinter.to_string):

2013-12-08  Zan Dobersek  <zdobersek@igalia.com>

        [webkitpy] Add a WestonDriver unit test
        https://bugs.webkit.org/show_bug.cgi?id=125408

        Reviewed by Gustavo Noronha Silva.

        Add a webkitpy unit test for the Weston driver.

        * Scripts/webkitpy/port/westondriver_unittest.py: Added.
        (WestonDriverTest):
        (WestonDriverTest.make_driver): Sets up a new WestonDriver instance for testing purposes.
        (WestonDriverTest.test_start): Check that the Weston compositor is launched properly and that
        the server environment contains proper WAYLAND and GDK_BACKEND entries.
        (WestonDriverTest.test_stop): Check that the Weston compositor is terminated properly and that
        the driver cleans up the temporary directory.
        (WestonDriverTest.test_stop.FakeWestonProcess): A helper class that logs the expected termination.
        (WestonDriverTest.test_stop.FakeWestonProcess.terminate):

2013-12-08  Brendan Long  <b.long@cablelabs.com>

        [Gtk] install-dependencies doesn't install libgtk-3-dev
        https://bugs.webkit.org/show_bug.cgi?id=125320

        Reviewed by Gustavo Noronha Silva.

        * gtk/install-dependencies: Add libgtk-3-dev, libsoup2.4 and subversion

2013-12-07  Sam Weinig  <sam@webkit.org>

        [Cocoa] Convert a few more parts of MiniBrowser over to the Objective-C API
        https://bugs.webkit.org/show_bug.cgi?id=125401

        Reviewed by Dan Bernstein.

        * MiniBrowser/mac/WK2BrowserWindowController.m:
        (-[WK2BrowserWindowController fetch:]):
        (-[WK2BrowserWindowController reload:]):
        (-[WK2BrowserWindowController goBack:]):
        (-[WK2BrowserWindowController goForward:]):
        (-[WK2BrowserWindowController validateUserInterfaceItem:]):
        (-[WK2BrowserWindowController currentZoomFactor]):
        (-[WK2BrowserWindowController setCurrentZoomFactor:]):
        (-[WK2BrowserWindowController zoomIn:]):
        (-[WK2BrowserWindowController zoomOut:]):
        (-[WK2BrowserWindowController canResetZoom]):
        (-[WK2BrowserWindowController resetZoom:]):
        (-[WK2BrowserWindowController toggleZoomMode:]):
        (-[WK2BrowserWindowController updateTextFieldFromURL:]):

2013-12-07  Sam Weinig  <sam@webkit.org>

        Convert MiniBrowser to use WKProcessGroup and WKBrowsingContextGroup
        https://bugs.webkit.org/show_bug.cgi?id=125400

        Reviewed by Dan Bernstein.

        * MiniBrowser/mac/AppDelegate.h:
        * MiniBrowser/mac/AppDelegate.m:
        * MiniBrowser/mac/WK2BrowserWindowController.h:
        * MiniBrowser/mac/WK2BrowserWindowController.m:
        (-[WK2BrowserWindowController initWithProcessGroup:browsingContextGroup:]):
        (-[WK2BrowserWindowController dealloc]):
        (createNewPage):
        (-[WK2BrowserWindowController awakeFromNib]):
        (-[WK2BrowserWindowController browsingContextController:didNavigateWithNavigationData:]):
        (-[WK2BrowserWindowController browsingContextController:didPerformClientRedirectFromURL:toURL:]):
        (-[WK2BrowserWindowController browsingContextController:didPerformServerRedirectFromURL:toURL:]):
        (-[WK2BrowserWindowController browsingContextController:didUpdateHistoryTitle:forURL:]):
        Replace global WKContextRef and WKPageGroupRef with WKProcessGroup and WKBrowsingContextGroup. Also
        replace context based WKContextHistoryClient with WKBrowsingContextController based WKBrowsingContextHistoryDelegate

2013-12-07  Gustavo Noronha Silva  <gns@gnome.org>

        [GTK] Run each gtest subtest separately instead of in one go
        https://bugs.webkit.org/show_bug.cgi?id=125386

        Reviewed by Martin Robinson.

        This is what other ports are doing (except they build each test as a separate binary)
        and will help with the timeouts we sometimes hit because it applies to the full test
        run.

        * Scripts/run-gtk-tests:
        (TestRunner._get_tests_from_google_test_suite): get a list of available sub-tests.
        (TestRunner._run_google_test): run a single subtest from a gtest binary.
        (TestRunner._run_google_test_suite): call the binary once per subtest.

2013-12-07  Dániel Bátyai  <Batyai.Daniel@stud.u-szeged.hu>

        Move PrettyPatch related code to prettypatch.py
        https://bugs.webkit.org/show_bug.cgi?id=124937

        Reviewed by Ryosuke Niwa.

        This code seems to have a better place here than in Port, since PrettyPatch already knows
        pretty_patch_path, and this also unifies the usage of PrettyPatch

        * Scripts/webkitpy/common/prettypatch.py:
        (PrettyPatch.__init__):
        (PrettyPatch.pretty_diff):
        (PrettyPatch):
        (PrettyPatch.pretty_patch_available):
        (PrettyPatch.check_pretty_patch):
        (PrettyPatch.pretty_patch_text):
        * Scripts/webkitpy/layout_tests/controllers/test_result_writer.py:
        (TestResultWriter.create_text_diff_and_write_result):
        * Scripts/webkitpy/layout_tests/models/test_run_results.py:
        (summarize_results):
        * Scripts/webkitpy/port/base.py:
        (Port.__init__):
        (Port.wdiff_available):
        (Port.check_image_diff):
        (Port.wdiff_text):
        * Scripts/webkitpy/port/base_unittest.py:
        (PortTest.test_pretty_patch_os_error):
        (PortTest.test_pretty_patch_script_error):

2013-12-06  Dan Bernstein  <mitz@apple.com>

        [Mac] MiniBrowser Debug builds are compiled with -Os
        https://bugs.webkit.org/show_bug.cgi?id=125376

        Reviewed by Tim Horton.

        * MiniBrowser/MiniBrowser.xcodeproj/project.pbxproj: Set GCC_OPTIMIZATION_LEVEL to 0 for
        the Debug configuration at the project level.

2013-12-06  Jer Noble  <jer.noble@apple.com>

        [MSE] Add a runtime-setting for the MediaSource constructor.
        https://bugs.webkit.org/show_bug.cgi?id=125336

        Reviewed by Eric Carlson.

        Enable MediaSource in DRT and WKTR.

        * DumpRenderTree/mac/DumpRenderTree.mm:
        (resetWebPreferencesToConsistentValues):
        * WebKitTestRunner/TestController.cpp:
        (WTR::TestController::resetPreferencesToConsistentValues):

2013-12-06  Jer Noble  <jer.noble@apple.com>

        Strip out extraneous logging from AppleGVA in media tests.
        https://bugs.webkit.org/show_bug.cgi?id=125357

        Reviewed by Simon Fraser.

        Add a mechanism for stripping out abritrary regular expressions from test input and output.

        * Scripts/webkitpy/layout_tests/controllers/single_test_runner.py:
        (SingleTestRunner._run_compare_test): Strip out logging
        * Scripts/webkitpy/port/base.py:
        (Port.logging_patterns_to_strip): Return an empty list by default.
        * Scripts/webkitpy/port/driver.py:
        (DriverOutput.strip_patterns): Apply the port specific patterns to the text.
        * Scripts/webkitpy/port/mac.py:
        (MacPort.logging_patterns_to_strip): Return a complete list.

2013-12-06  Dean Jackson  <dino@apple.com>

        Updating ANGLE should point to instructions
        https://bugs.webkit.org/show_bug.cgi?id=125361

        Reviewed by Eric Carlson.

        Point to https://trac.webkit.org/wiki/UpdatingANGLE when
        someone wants to patch ANGLE.

        * Scripts/webkitpy/common/config/watchlist:

2013-12-06  Dan Bernstein  <mitz@apple.com>

        [Mac] Transition MiniBrowser to the Cocoa API: load delegate
        https://bugs.webkit.org/show_bug.cgi?id=125334

        Reviewed by Darin Adler.

        * MiniBrowser/mac/WK2BrowserWindowController.m:
        (-[WK2BrowserWindowController dealloc]): Nil out the load delegate and stop observing the
        title property.
        (-[WK2BrowserWindowController isPaginated]): Changed to use Cocoa SPI.
        (-[WK2BrowserWindowController togglePaginationMode:]): Ditto.
        (-[WK2BrowserWindowController observeValueForKeyPath:ofObject:change:context:]): Update the
        window title with the title property changes.
        (-[WK2BrowserWindowController awakeFromNib]): Start observing the title property. Changed to
        set the load delegate instead of the load client.
        (-[WK2BrowserWindowController updateTextFieldFromURL:]): Changed to use Cocoa types.
        (-[WK2BrowserWindowController updateProvisionalURL]): Removed frame parameter.
        (-[WK2BrowserWindowController updateCommittedURL]): Ditto.
        (-[WK2BrowserWindowController browsingContextControllerDidStartProvisionalLoad:]):
        Implemented this load delegate method.
        (-[WK2BrowserWindowController browsingContextControllerDidReceiveServerRedirectForProvisionalLoad:]):
        Ditto.
        (-[WK2BrowserWindowController browsingContextController:didFailProvisionalLoadWithError:]): Ditto.
        (-[WK2BrowserWindowController browsingContextControllerDidCommitLoad:]): Ditto.
        (-[WK2BrowserWindowController browsingContextControllerDidFinishLoad:]): Ditto.
        (-[WK2BrowserWindowController browsingContextController:didFailLoadWithError:]): Ditto.
        (-[WK2BrowserWindowController browsingContextControllerDidChangeBackForwardList:addedItem:removedItems:]):
        Ditto.
        (-[WK2BrowserWindowController browsingContextController:canAuthenticateAgainstProtectionSpace:]):
        Ditto.
        (-[WK2BrowserWindowController browsingContextController:didReceiveAuthenticationChallenge:]): Ditto.

2013-12-06  Tamas Gergely  <tgergely.u-szeged@partner.samsung.com>

        Remove function from style/checkers/cpp.py.
        https://bugs.webkit.org/show_bug.cgi?id=125341

        Reviewed by Darin Adler.

        Corrects a FIXME: by removing a function from cpp.py.

        * Scripts/webkitpy/style/checkers/cpp.py:
        (CppChecker.__init__):
        (CppChecker.check):
        * Scripts/webkitpy/style/checkers/cpp_unittest.py:
        (CppStyleTestBase.process_file_data):

2013-12-06  Gergo Balogh  <geryxyz@inf.u-szeged.hu>

        check-webkit-style: false positive warning for indentation of #ifdef code.
        https://bugs.webkit.org/show_bug.cgi?id=125254

        Reviewed by Darin Adler.

        * Scripts/webkitpy/style/checkers/cpp.py:
        (check_member_initialization_list):
        * Scripts/webkitpy/style/checkers/cpp_unittest.py:
        (WebKitStyleTest.test_member_initialization_list):

2013-12-06  Chris Fleizach  <cfleizach@apple.com>

        Fix spelling error in style checker: beggining
        https://bugs.webkit.org/show_bug.cgi?id=125347

        Reviewed by Anders Carlsson.

        * Scripts/webkitpy/style/checkers/cpp.py:
        (check_member_initialization_list):
        * Scripts/webkitpy/style/checkers/cpp_unittest.py:
        (WebKitStyleTest.test_member_initialization_list):

2013-12-06  Lukasz Gajowy  <l.gajowy@samsung.com>

        [ATK] Missing aria roles mappings
        https://bugs.webkit.org/show_bug.cgi?id=117729

        Reviewed by Mario Sanchez Prada.

        Added new mappings to AccessibilityUIElementAtk.cpp.

        * DumpRenderTree/atk/AccessibilityUIElementAtk.cpp:
        * WebKitTestRunner/InjectedBundle/atk/AccessibilityUIElementAtk.cpp:

2013-12-06  Csaba Osztrogonác  <ossy@webkit.org>

        Typo fix after r160218.

        * Scripts/webkitpy/test/main.py:
        (main):

2013-12-06  Csaba Osztrogonác  <ossy@webkit.org>

        Unreviewed fix after r160206.

        * Scripts/webkitpy/test/main.py:
        (main): sys.platform can be win32 or cygwin too on Windows.

2013-12-05  Csaba Osztrogonác  <ossy@webkit.org>

        Disable WebKit2 webkitpy unittests on Windows
        https://bugs.webkit.org/show_bug.cgi?id=125318

        Reviewed by Ryosuke Niwa.

        * Scripts/webkitpy/test/main.py:
        (main):

2013-12-05  Anders Carlsson  <andersca@apple.com>

        Tweak WeakObjCPtr
        https://bugs.webkit.org/show_bug.cgi?id=125311

        Reviewed by Darin Adler.

        Split up tests into more logical groups. Add new tests for new functionality.

        * TestWebKitAPI/Tests/WebKit2/mac/WeakObjCPtr.mm:

2013-12-05  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Fix gtk-doc warnings when generating DOM bindings API docs
        https://bugs.webkit.org/show_bug.cgi?id=125302

        Reviewed by Philippe Normand.

        * gtk/generate-webkitdom-doc-files:
        (WebKitDOMDocGeneratorSections.write_footer): Add a new section
        containing a private subsection for WEBKIT_API, WEBKIT_DEPRECATED
        and WEBKIT_DEPRECATED_FOR macros.

2013-12-05  Laszlo Vidacs  <lac@inf.u-szeged.hu>

        Fix cross compilation on x86
        https://bugs.webkit.org/show_bug.cgi?id=125295

        Reviewed by Zoltan Herczeg.

        Certain compiler flags should not be added when cross compilation is enabled.

        * Scripts/webkitdirs.pm:
        (runAutogenForAutotoolsProjectIfNecessary):
        (generateBuildSystemFromCMakeProject):

2013-12-05  Tamas Gergely  <tgergely.u-szeged@partner.samsung.com>

        Remove duplicated/dead code from cpp style checker unit tests.
        https://bugs.webkit.org/show_bug.cgi?id=125226

        Reviewed by Ryosuke Niwa.

        Remove the first definition of OrderOfIncludesTest class as it is
        overwritten by the second. Remove a duplicated assert statement
        from the second class.

        * Scripts/webkitpy/style/checkers/cpp_unittest.py:
        (OrderOfIncludesTest.setUp):
        (OrderOfIncludesTest.test_try_drop_common_suffixes):
          The last assert was duplicated.

2013-12-05  László Langó  <lango@inf.u-szeged.hu>

        Remove Scripts/generate-qt-inspector-resource.
        https://bugs.webkit.org/show_bug.cgi?id=125288

        Reviewed by Andreas Kling.

        * Scripts/generate-qt-inspector-resource: Removed. There is no QT anymore.
        We don't need this file.

2013-12-05  Dániel Bátyai  <Batyai.Daniel@stud.u-szeged.hu>

        Remove certain methods from TestExpectations and use TestExpectationsModel instead of them
        https://bugs.webkit.org/show_bug.cgi?id=125218

        Reviewed by Ryosuke Niwa.

        * Scripts/webkitpy/layout_tests/controllers/layout_test_finder.py:
        (LayoutTestFinder.skip_tests):
        * Scripts/webkitpy/layout_tests/controllers/layout_test_runner.py:
        (LayoutTestRunner.run_tests):
        (LayoutTestRunner._update_summary_with_result):
        * Scripts/webkitpy/layout_tests/controllers/manager.py:
        (Manager._test_is_slow):
        * Scripts/webkitpy/layout_tests/layout_package/json_layout_results_generator.py:
        (JSONLayoutResultsGenerator._insert_failure_summaries):
        * Scripts/webkitpy/layout_tests/models/test_expectations.py:
        (TestExpectations.get_rebaselining_failures):
        * Scripts/webkitpy/layout_tests/models/test_expectations_unittest.py:
        (assert_exp):
        (MiscTests.test_multiple_results):
        (MiscTests.test_category_expectations):
        (MiscTests.test_get_modifiers):
        (MiscTests.test_get_expectations_string):
        (MiscTests.test_expectation_to_string):
        (MiscTests.test_get_test_set):
        (MiscTests.test_more_specific_override_resets_skip):
        (SkippedTests.check):
        * Scripts/webkitpy/layout_tests/models/test_run_results.py:
        (TestRunResults.__init__):
        (summarize_results):
        * Scripts/webkitpy/tool/commands/rebaseline.py:
        (RebaselineExpectations._tests_to_rebaseline):

2013-12-04  Ryosuke Niwa  <rniwa@webkit.org>

        Enable HTMLTemplateElement by default
        https://bugs.webkit.org/show_bug.cgi?id=123851

        Reviewed by Antti Koivisto.

        * Scripts/webkitperl/FeatureList.pm:

2013-12-04  Jozsef Berta  <jberta@inf.u-szeged.hu>

        [EFL] Bumping GStreamer version to 1.2.1
        https://bugs.webkit.org/show_bug.cgi?id=125155

        Reviewed by Gyuyoung Kim.

        * efl/jhbuild.modules: Set the GStreamer version to 1.2.1


2013-12-04  Tamas Gergely  <tgergely.u-szeged@partner.samsung.com>

        Update jhbuild revision.
        https://bugs.webkit.org/show_bug.cgi?id=124966
        
        Reviewed by Gyuyoung Kim.

        Used version of Jhbuild failed to create directories and caused
        update-webkitefl-libs to fail. Latest Jhbuild version has it fixed.

        * jhbuild/jhbuild-wrapper:

2013-12-04  Anders Carlsson  <andersca@apple.com>

        Add a WeakObjCPtr class
        https://bugs.webkit.org/show_bug.cgi?id=125267

        Reviewed by Geoffrey Garen.

        Add API tests for WeakObjCPtr.

        * TestWebKitAPI/TestWebKitAPI.xcodeproj/project.pbxproj:
        * TestWebKitAPI/Tests/WebKit2/mac/WeakObjCPtr.mm: Added.
        (TEST):

2013-12-04  Anders Carlsson  <andersca@apple.com>

        Make the estimatedProgress property observable using KVO
        https://bugs.webkit.org/show_bug.cgi?id=125259

        Reviewed by Dan Bernstein.

        Bind the progress indicator value to the "estimatedProgress" property.

        * MiniBrowser/mac/WK2BrowserWindowController.m:
        (-[WK2BrowserWindowController dealloc]):
        (-[WK2BrowserWindowController awakeFromNib]):

2013-12-04  Anders Carlsson  <andersca@apple.com>

        Add a loading property to WKBrowsingContextController
        https://bugs.webkit.org/show_bug.cgi?id=125256

        Reviewed by Dan Bernstein.

        Bind the progress indicator visibility to the "loading" property.

        * MiniBrowser/mac/WK2BrowserWindowController.m:
        (-[WK2BrowserWindowController dealloc]):
        (-[WK2BrowserWindowController awakeFromNib]):
        (-[WK2BrowserWindowController didStartProgress]):
        (-[WK2BrowserWindowController didFinishProgress]):

2013-12-04  Nick Diego Yamane  <nick.yamane@openbossa.org>

        [EFL][WK2] Buildfix after r160104
        https://bugs.webkit.org/show_bug.cgi?id=125231

        Reviewed by Anders Carlsson.

        * TestWebKitAPI/Tests/WebKit2/CoordinatedGraphics/WKViewIsActiveSetIsActive.cpp:
        (TestWebKitAPI::TEST): reinterpret_cast<WKFooClientBase*>(&client) -> &client.base
        * TestWebKitAPI/Tests/WebKit2/efl/WKViewClientWebProcessCallbacks.cpp:
        (TestWebKitAPI::setViewClient): Ditto.

2013-12-04  Myles C. Maxfield  <mmaxfield@apple.com>

        check-webkit-style detected some ternary statements as initialization lists
        https://bugs.webkit.org/show_bug.cgi?id=125246

        Reviewed by Dean Jackson.

        The regular expression that check-webkit-tests uses to detect initialization
        lists was too broad, resulting in false positives. This patch makes the
        regex more specific

        * Scripts/webkitpy/style/checkers/cpp.py:
        (check_member_initialization_list):
        * Scripts/webkitpy/style/checkers/cpp_unittest.py:
        (WebKitStyleTest.test_member_initialization_list):

2013-12-04  Mark Hahnenberg  <mhahnenberg@apple.com>

        run-jsc-stress-tests can only run locally
        https://bugs.webkit.org/show_bug.cgi?id=124551

        Reviewed by Filip Pizlo.

        * Scripts/jsc-stress-test-helpers/shell-runner.sh: Fixed a couple issues. One was if the script was
        killed before the lock directory was removed, future executions wouldn't make any progress. Also 
        added a couple more signals to handle gracefully at shutdown. 
        * Scripts/run-javascriptcore-tests: Pass through the --remote argument to run-jsc-stress-tests.
        * Scripts/run-jsc-stress-tests: Added support for the --remote flag. It accepts a hostname, user, and port.
        The script then generates the test bundle, tars it up, and copies it to the remote host via ssh where
        it then untars the bundle and executes the shell-based test runner. Also refactored some of the logic
        toward the end of the script to make it easier to tell which of the various modes do what.

2013-12-04  Csaba Osztrogonác  <ossy@webkit.org>

        [EFL][WK2] Buildfix after r160104
        https://bugs.webkit.org/show_bug.cgi?id=125233

        Reviewed by Anders Carlsson.

        * TestWebKitAPI/Tests/WebKit2/CoordinatedGraphics/WKViewIsActiveSetIsActive.cpp:
        (TestWebKitAPI::TEST):
        * TestWebKitAPI/Tests/WebKit2/efl/WKViewClientWebProcessCallbacks.cpp:
        (TestWebKitAPI::setPageLoaderClient):

2013-12-03  Anders Carlsson  <andersca@apple.com>

        Deprecate all unversioned client structs in favor of having explicit versioned structs
        https://bugs.webkit.org/show_bug.cgi?id=125203

        Reviewed by Dan Bernstein.

        Update for WebKit2 API changes.

        * MiniBrowser/mac/AppDelegate.m:
        (-[BrowserAppDelegate init]):
        * MiniBrowser/mac/WK2BrowserWindowController.m:
        (-[WK2BrowserWindowController awakeFromNib]):
        * TestWebKitAPI/InjectedBundleController.cpp:
        (TestWebKitAPI::InjectedBundleController::initialize):
        * TestWebKitAPI/Tests/WebKit2/AboutBlankLoad.cpp:
        (TestWebKitAPI::TEST):
        * TestWebKitAPI/Tests/WebKit2/CanHandleRequest.cpp:
        (TestWebKitAPI::setInjectedBundleClient):
        * TestWebKitAPI/Tests/WebKit2/CloseThenTerminate.cpp:
        (TestWebKitAPI::TEST):
        * TestWebKitAPI/Tests/WebKit2/CookieManager.cpp:
        (TestWebKitAPI::TEST):
        * TestWebKitAPI/Tests/WebKit2/DOMWindowExtensionBasic.cpp:
        (TestWebKitAPI::TEST):
        * TestWebKitAPI/Tests/WebKit2/DOMWindowExtensionBasic_Bundle.cpp:
        (TestWebKitAPI::DOMWindowExtensionBasic::didCreatePage):
        * TestWebKitAPI/Tests/WebKit2/DOMWindowExtensionNoCache.cpp:
        (TestWebKitAPI::TEST):
        * TestWebKitAPI/Tests/WebKit2/DOMWindowExtensionNoCache_Bundle.cpp:
        (TestWebKitAPI::DOMWindowExtensionNoCache::didCreatePage):
        * TestWebKitAPI/Tests/WebKit2/DidAssociateFormControls.cpp:
        (TestWebKitAPI::setInjectedBundleClient):
        * TestWebKitAPI/Tests/WebKit2/DidAssociateFormControls_Bundle.cpp:
        (TestWebKitAPI::DidAssociateFormControlsTest::didCreatePage):
        * TestWebKitAPI/Tests/WebKit2/DidNotHandleKeyDown.cpp:
        (TestWebKitAPI::TEST):
        * TestWebKitAPI/Tests/WebKit2/DocumentStartUserScriptAlertCrash.cpp:
        (TestWebKitAPI::TEST):
        * TestWebKitAPI/Tests/WebKit2/DownloadDecideDestinationCrash.cpp:
        (TestWebKitAPI::setContextDownloadClient):
        (TestWebKitAPI::setPagePolicyClient):
        * TestWebKitAPI/Tests/WebKit2/FailedLoad.cpp:
        (TestWebKitAPI::TEST):
        * TestWebKitAPI/Tests/WebKit2/Find.cpp:
        (TestWebKitAPI::TEST):
        * TestWebKitAPI/Tests/WebKit2/FindMatches.mm:
        (TestWebKitAPI::TEST):
        * TestWebKitAPI/Tests/WebKit2/ForceRepaint.cpp:
        (TestWebKitAPI::TEST):
        * TestWebKitAPI/Tests/WebKit2/FrameMIMETypeHTML.cpp:
        (TestWebKitAPI::TEST):
        * TestWebKitAPI/Tests/WebKit2/FrameMIMETypePNG.cpp:
        (TestWebKitAPI::TEST):
        * TestWebKitAPI/Tests/WebKit2/Geolocation.cpp:
        (TestWebKitAPI::setupGeolocationProvider):
        (TestWebKitAPI::setupView):
        (TestWebKitAPI::TEST):
        * TestWebKitAPI/Tests/WebKit2/GetInjectedBundleInitializationUserDataCallback.cpp:
        (TestWebKitAPI::TEST):
        * TestWebKitAPI/Tests/WebKit2/HitTestResultNodeHandle.cpp:
        (TestWebKitAPI::setPageLoaderClient):
        (TestWebKitAPI::setInjectedBundleClient):
        * TestWebKitAPI/Tests/WebKit2/HitTestResultNodeHandle_Bundle.cpp:
        (TestWebKitAPI::HitTestResultNodeHandleTest::didCreatePage):
        * TestWebKitAPI/Tests/WebKit2/InjectedBundleBasic.cpp:
        (TestWebKitAPI::TEST):
        * TestWebKitAPI/Tests/WebKit2/InjectedBundleFrameHitTest.cpp:
        (TestWebKitAPI::setInjectedBundleClient):
        * TestWebKitAPI/Tests/WebKit2/InjectedBundleFrameHitTest_Bundle.cpp:
        (TestWebKitAPI::InjectedBundleFrameHitTestTest::didCreatePage):
        * TestWebKitAPI/Tests/WebKit2/InjectedBundleInitializationUserDataCallbackWins.cpp:
        (TestWebKitAPI::TEST):
        * TestWebKitAPI/Tests/WebKit2/LayoutMilestonesWithAllContentInFrame.cpp:
        (TestWebKitAPI::TEST):
        * TestWebKitAPI/Tests/WebKit2/LoadAlternateHTMLStringWithNonDirectoryURL.cpp:
        (TestWebKitAPI::TEST):
        * TestWebKitAPI/Tests/WebKit2/LoadCanceledNoServerRedirectCallback.cpp:
        (TestWebKitAPI::TEST):
        * TestWebKitAPI/Tests/WebKit2/LoadCanceledNoServerRedirectCallback_Bundle.cpp:
        (TestWebKitAPI::LoadCanceledNoServerRedirectCallbackTest::didCreatePage):
        * TestWebKitAPI/Tests/WebKit2/LoadPageOnCrash.cpp:
        (TestWebKitAPI::WebKit2CrashLoader::WebKit2CrashLoader):
        * TestWebKitAPI/Tests/WebKit2/MouseMoveAfterCrash.cpp:
        (TestWebKitAPI::setPageLoaderClient):
        * TestWebKitAPI/Tests/WebKit2/NewFirstVisuallyNonEmptyLayout.cpp:
        (TestWebKitAPI::setPageLoaderClient):
        * TestWebKitAPI/Tests/WebKit2/NewFirstVisuallyNonEmptyLayoutFails.cpp:
        (TestWebKitAPI::setPageLoaderClient):
        * TestWebKitAPI/Tests/WebKit2/NewFirstVisuallyNonEmptyLayoutForImages.cpp:
        (TestWebKitAPI::setPageLoaderClient):
        * TestWebKitAPI/Tests/WebKit2/NewFirstVisuallyNonEmptyLayoutFrames.cpp:
        (TestWebKitAPI::setPageLoaderClient):
        * TestWebKitAPI/Tests/WebKit2/PageLoadBasic.cpp:
        (TestWebKitAPI::TEST):
        * TestWebKitAPI/Tests/WebKit2/PageLoadDidChangeLocationWithinPageForFrame.cpp:
        (TestWebKitAPI::TEST):
        * TestWebKitAPI/Tests/WebKit2/ParentFrame.cpp:
        (TestWebKitAPI::setInjectedBundleClient):
        * TestWebKitAPI/Tests/WebKit2/ParentFrame_Bundle.cpp:
        (TestWebKitAPI::ParentFrameTest::didCreatePage):
        * TestWebKitAPI/Tests/WebKit2/PasteboardNotifications.mm:
        (TestWebKitAPI::setInjectedBundleClient):
        * TestWebKitAPI/Tests/WebKit2/PasteboardNotifications_Bundle.cpp:
        (TestWebKitAPI::PasteboardNotificationsTest::didCreatePage):
        * TestWebKitAPI/Tests/WebKit2/PrivateBrowsingPushStateNoHistoryCallback.cpp:
        (TestWebKitAPI::TEST):
        * TestWebKitAPI/Tests/WebKit2/ReloadPageAfterCrash.cpp:
        (TestWebKitAPI::TEST):
        * TestWebKitAPI/Tests/WebKit2/ResizeReversePaginatedWebView.cpp:
        (TestWebKitAPI::TEST):
        * TestWebKitAPI/Tests/WebKit2/ResizeWindowAfterCrash.cpp:
        (TestWebKitAPI::TEST):
        * TestWebKitAPI/Tests/WebKit2/ResponsivenessTimerDoesntFireEarly.cpp:
        (TestWebKitAPI::setInjectedBundleClient):
        (TestWebKitAPI::setPageLoaderClient):
        * TestWebKitAPI/Tests/WebKit2/RestoreSessionStateContainingFormData.cpp:
        (TestWebKitAPI::setPageLoaderClient):
        * TestWebKitAPI/Tests/WebKit2/ScrollPinningBehaviors.cpp:
        (TestWebKitAPI::TEST):
        * TestWebKitAPI/Tests/WebKit2/ShouldGoToBackForwardListItem.cpp:
        (TestWebKitAPI::setPageLoaderClient):
        * TestWebKitAPI/Tests/WebKit2/ShouldGoToBackForwardListItem_Bundle.cpp:
        (TestWebKitAPI::ShouldGoToBackForwardListItemTest::didCreatePage):
        * TestWebKitAPI/Tests/WebKit2/SpacebarScrolling.cpp:
        (TestWebKitAPI::TEST):
        * TestWebKitAPI/Tests/WebKit2/TerminateTwice.cpp:
        (TestWebKitAPI::TEST):
        * TestWebKitAPI/Tests/WebKit2/UserMessage.cpp:
        (TestWebKitAPI::WebKit2UserMessageRoundTripTest::setInjectedBundleClient):
        (TestWebKitAPI::WebKit2UserMessageRoundTripTest::setPageLoaderClient):
        * TestWebKitAPI/Tests/WebKit2/WKConnection.cpp:
        (TestWebKitAPI::TEST):
        * TestWebKitAPI/Tests/WebKit2/WKConnection_Bundle.cpp:
        (TestWebKitAPI::WKConnectionTest::initialize):
        * TestWebKitAPI/Tests/WebKit2/WKPageGetScaleFactorNotZero.cpp:
        (TestWebKitAPI::setPageLoaderClient):
        * TestWebKitAPI/Tests/WebKit2/WebArchive.cpp:
        (TestWebKitAPI::setInjectedBundleClient):
        (TestWebKitAPI::TEST):
        * TestWebKitAPI/Tests/WebKit2/WillLoad.cpp:
        (TestWebKitAPI::WebKit2WillLoadTest::setInjectedBundleClient):
        * TestWebKitAPI/Tests/WebKit2/WillLoad_Bundle.cpp:
        * TestWebKitAPI/Tests/WebKit2/WillSendSubmitEvent.cpp:
        (TestWebKitAPI::setInjectedBundleClient):
        * TestWebKitAPI/Tests/WebKit2/WillSendSubmitEvent_Bundle.cpp:
        (TestWebKitAPI::WillSendSubmitEventTest::didCreatePage):
        * TestWebKitAPI/Tests/WebKit2/mac/EditorCommands.mm:
        (TestWebKitAPI::TEST):
        * TestWebKitAPI/Tests/WebKit2/mac/GetBackingScaleFactor.mm:
        (TestWebKitAPI::setInjectedBundleClient):
        * TestWebKitAPI/Tests/WebKit2/mac/GetPIDAfterAbortedProcessLaunch.cpp:
        (TestWebKitAPI::TEST):
        * TestWebKitAPI/Tests/WebKit2ObjC/CustomProtocolsInvalidScheme_Bundle.cpp:
        * TestWebKitAPI/Tests/WebKit2ObjC/PreventImageLoadWithAutoResizing_Bundle.cpp:
        (TestWebKitAPI::DenyWillSendRequestTest::didCreatePage):
        * TestWebKitAPI/Tests/WebKit2ObjC/WKRemoteObjectRegistry.mm:
        (TestWebKitAPI::didCreateConnection):
        (TestWebKitAPI::TEST):
        * TestWebKitAPI/Tests/mac/PageVisibilityStateWithWindowChanges.mm:
        (TestWebKitAPI::PageVisibilityStateWithWindowChanges::initializeView):
        * TestWebKitAPI/Tests/mac/WKRemoteObjectRegistry_Bundle.mm:
        * TestWebKitAPI/mac/WebKitAgnosticTest.mm:
        (TestWebKitAPI::setPageLoaderClient):
        * WebKitTestRunner/GeolocationProviderMock.cpp:
        (WTR::GeolocationProviderMock::GeolocationProviderMock):
        * WebKitTestRunner/InjectedBundle/InjectedBundle.cpp:
        (WTR::InjectedBundle::initialize):
        * WebKitTestRunner/InjectedBundle/InjectedBundlePage.cpp:
        (WTR::InjectedBundlePage::InjectedBundlePage):
        * WebKitTestRunner/TestController.cpp:
        (WTR::TestController::createOtherPage):
        (WTR::TestController::initialize):
        (WTR::TestController::createWebViewWithOptions):

2013-12-04  Tamas Gergely  <tgergely.u-szeged@partner.samsung.com>

        Style checker for .messages.in files (WTF:: prefix)
        https://bugs.webkit.org/show_bug.cgi?id=125142

        Reviewed by Anders Carlsson.

        A new style checker for .messages.in files, that checks for the use of WTF::
        prefix in these files. (Also checks for tabs as these files were previously
        handled as text files.)

        * Scripts/webkitpy/style/checker.py:
        (CheckerDispatcher._create_checker):
          New checker is returned for .messages.in files.
        * Scripts/webkitpy/style/checkers/messagesin.py: Added.
          The new style checker class.
        (MessagesInChecker):
        (MessagesInChecker.__init__):
        (MessagesInChecker.check):
        (MessagesInChecker.check_WTF_prefix):
        * Scripts/webkitpy/style/checkers/messagesin_unittest.py: Added.
          Unit test for the new style  checker class.
        (MessagesInCheckerStyleTestCase):
        (test_checker):
        (test_checker.error_handler_for_test):
        (MessagesInCheckerTestCase):
        (MessagesInCheckerTestCase.test_init):
        (MessagesInCheckerTestCase.test_init.error_handler_for_test):

2013-12-04  Gergo Balogh  <geryxyz@inf.u-szeged.hu>

        Style checker requires alphabetical ordering in cmake lists even it contains variable.
        https://bugs.webkit.org/show_bug.cgi?id=124918

        Reviewed by Csaba Osztrogonác.

        * Scripts/webkitpy/style/checkers/cmake_unittest.py:
        (CMakeCheckerTest.test_check):
        * Scripts/webkitpy/style/checkers/cmake.py:
        (CMakeChecker._check_list_order):
        This will ignore lines with variable substitution.

2013-12-04  László Langó  <lango@inf.u-szeged.hu>

        check-webkit-style is wrong about expected format parameter pack rvalue reference arguments
        https://bugs.webkit.org/show_bug.cgi?id=124731

        Reviewed by Zoltan Herczeg.

        * Scripts/webkitpy/style/checkers/cpp.py:
        (check_spacing):
        * Scripts/webkitpy/style/checkers/cpp_unittest.py:
        (Cpp11StyleTest.test_rvaule_reference_in_parameter_pack):

2013-12-04  László Langó  <lango@inf.u-szeged.hu>

        Remove codecs and os dependencies from filereader.py in webkitpy/style.
        https://bugs.webkit.org/show_bug.cgi?id=124719

        Although TextFileReader requires a FileSystem it circumvents it in two places!
        We should use the FileSystem only and remove codecs and os imports.

        Reviewed by Zoltan Herczeg.

        * Scripts/webkitpy/common/system/filesystem.py:
        (FileSystem.open_stdin): Moved from TextFileReader
        * Scripts/webkitpy/style/filereader.py:
        (TextFileReader._read_lines): use FileSystem instead of calling codecs.open directly
        (TextFileReader._process_directory): use FileSystem instead of calling os.walk directly

2013-12-04  László Langó  <lango@inf.u-szeged.hu>

        check-webkit-style should check member initialization indentation.
        https://bugs.webkit.org/show_bug.cgi?id=124820

        Reviewed by Zoltan Herczeg.

        check-webkit-style should check member initialization indentation
        belongs to webkit coding style:
        http://www.webkit.org/coding/coding-style.html#punctuation-member-init

        * Scripts/webkitpy/style/checkers/cpp.py:
        (check_member_initialization_list): Add new method to check member
        initialization list.
        (check_style): Add the call of the new method.
        (check_language): Move self initialization checking into the new method.
        (CppChecker): Add a new category for initialization list.
        * Scripts/webkitpy/style/checkers/cpp_unittest.py:
        (CppStyleTest.test_runtime_selfinit):
        (CppStyleTest.test_deprecated_cast):
        (WebKitStyleTest.test_member_initialization_list): Add new testcases for
        the new feature.

2013-12-04  Tamas Gergely  <gertom@inf.u-szeged.hu>

        style-bot should reject Committer additions to committers.py
        https://bugs.webkit.org/show_bug.cgi?id=107574

        Reviewed by Zoltan Herczeg.

        The style check when executed in non-interactive mode (probably by a
        bot) will raise an additional error if the contributors.json file is
        modified. Non-interactive mode information is propagated to the
        Dispatcher, which creates a special JSON checker for the
        contributors.json file.

        * Scripts/webkitpy/style/checker.py:
        (check_webkit_style_configuration):
        (CheckerDispatcher._create_checker):
        (CheckerDispatcher.dispatch):
        (StyleProcessorConfiguration.__init__):
        (StyleProcessor.process):
        * Scripts/webkitpy/style/checker_unittest.py:
        (CheckerDispatcherSkipTest._assert_should_skip_without_warning):
        (CheckerDispatcherDispatchTest.dispatch):
        (StyleProcessorConfigurationTest._style_checker_configuration):
        (StyleProcessor_EndToEndTest.test_init):
        (StyleProcessor_EndToEndTest.test_process):
        (StyleProcessor_CodeCoverageTest.MockDispatcher.dispatch):
        (StyleProcessor_CodeCoverageTest.setUp):
        * Scripts/webkitpy/style/checkers/jsonchecker.py:
        (JSONChecker.line_number_from_json_exception):
        (JSONContributorsChecker):
        (JSONContributorsChecker.check):
        * Scripts/webkitpy/style/error_handlers_unittest.py:
        (DefaultStyleErrorHandlerTest._style_checker_configuration):
        * Scripts/webkitpy/style/optparser.py:
        (CommandOptionValues.__init__):
        (ArgumentParser._create_option_parser):
        (ArgumentParser.parse):
        * Scripts/webkitpy/tool/commands/upload_unittest.py:
        (test_post):
        (test_upload):
        * Scripts/webkitpy/tool/steps/checkstyle.py:
        (CheckStyle.run):

2013-12-04  Nick Diego Yamane  <nick.yamane@openbossa.org>

        [EFL][WK2] Fix build after API::Client changes
        https://bugs.webkit.org/show_bug.cgi?id=125206

        Reviewed by Csaba Osztrogonác.

        * TestWebKitAPI/Tests/WebKit2/CoordinatedGraphics/WKViewIsActiveSetIsActive.cpp:
        (TestWebKitAPI::TEST):
        * TestWebKitAPI/Tests/WebKit2/efl/WKViewClientWebProcessCallbacks.cpp:
        (TestWebKitAPI::setViewClient):

2013-12-03  Dan Bernstein  <mitz@apple.com>

        Fixed a test timing out after r160040.

        * TestWebKitAPI/Tests/WebKit2ObjC/WKBrowsingContextLoadDelegateTest.mm:
        (-[SimpleLoadFailDelegate browsingContextController:didFailProvisionalLoadWithError:]):
        Updated for the delegate method rename.

2013-12-03  Filip Pizlo  <fpizlo@apple.com>

        REGRESSION: repro scripts disappear when you rerun tests
        https://bugs.webkit.org/show_bug.cgi?id=125184

        Reviewed by Mark Hahnenberg.
        
        This bug made it difficult to quickly see if a test that recently failed is still
        failing while also running a new batch of tests.

        Repro scripts are supposed to stay around until you delete them explicitly. This
        patch accomplishes that.

        * Scripts/run-jsc-stress-tests:

2013-12-03  peavo@outlook.com  <peavo@outlook.com>

        [Win] run-jsc-stress-tests has a great number of failures (2026/7606) on Windows
        https://bugs.webkit.org/show_bug.cgi?id=125111

        Reviewed by Filip Pizlo.

        Almost all errors seem to be caused by differences in line ending when diffing test output with expected output.

        * Scripts/run-javascriptcore-tests: Enable api test and stress test for WinCairo.
        * Scripts/run-jsc-stress-tests: Ignore carriage return when diffing test output with expected output.

2013-12-03  Ryosuke Niwa  <rniwa@webkit.org>

        Add a script to automatically configure a git clone
        https://bugs.webkit.org/show_bug.cgi?id=110073

        Revert the change to use https for now since git.webkit.org is setup with http.

        * Scripts/webkitpy/tool/commands/setupgitclone.py:
        (SetupGitClone.execute):

2013-12-03  Ryosuke Niwa  <rniwa@webkit.org>

        Add a script to automatically configure a git clone
        https://bugs.webkit.org/show_bug.cgi?id=110073

        Reviewed by Benjamin Poulain.

        Added "webkit-patch setup-git-clone" to setup a brand new Git clone.

        This command runs various commands listed on http://trac.webkit.org/wiki/UsingGitWithWebKit

        * Scripts/webkitpy/tool/commands/__init__.py:
        * Scripts/webkitpy/tool/commands/setupgitclone.py: Added.
        (SetupGitClone):
        (SetupGitClone.execute):

2013-12-03  Anders Carlsson  <andersca@apple.com>

        Deprecate WKNotificationProvider
        https://bugs.webkit.org/show_bug.cgi?id=125178

        Reviewed by Sam Weinig.

        Update for WebKit2 changes.

        * WebKitTestRunner/TestController.cpp:
        (WTR::TestController::initialize):
        * WebKitTestRunner/WebNotificationProvider.cpp:
        (WTR::WebNotificationProvider::provider):
        * WebKitTestRunner/WebNotificationProvider.h:

2013-12-03  Brent Fulgham  <bfulgham@apple.com>

        [Win] Support 64-bit Application Support Libraries Location 
        https://bugs.webkit.org/show_bug.cgi?id=125179

        Reviewed by Tim Horton.

        Enable the user to specify a location for 64-bit support libraries (such as libxml2, ICU, etc.)
        on Windows until an official distribution is available that properly creates registry settings
        to specify these locations.

        * Scripts/webkitdirs.pm:
        (setupAppleWinEnv): Notify user to set WEBKIT_64_SUPPORT environment variable if needed.
        (setupCygwinEnv): Report WEWBKIT_64_SUPPORT path when running 64-bit builds.
        (appleApplicationSupportPath): Add WEBKIT_64_SUPPORT location to runtime environment when
        running 64-bit builds.

2013-12-03  Mark Hahnenberg  <mhahnenberg@apple.com>

        run-jsc-stress-tests only supports host environments that have make installed
        https://bugs.webkit.org/show_bug.cgi?id=124550

        Reviewed by Darin Adler.

        This might not be the case for all hosts, so this patch implements an alternate "backend" 
        for run-jsc-stress-tests to use normal shell commands rather than Makefiles. To remain at 
        least somewhat competitive with the make-based test runner, the shell backend uses subshells
        run in the background to allow tests to run in parallel. Since the concurrency primitives 
        in shell scripting are rather coarse, the overhead of this parallelism is higher than that 
        of the make-based runner.

        * Scripts/jsc-stress-test-helpers/shell-runner.sh: Added. This is the runner that is copied into
        the bundle and controls all of the parallel aspects of the shell-based test runner.
        * Scripts/run-jsc-stress-tests:

2013-12-03  Tamas Gergely  <tgergely.u-szeged@partner.samsung.com>

        Remove function from TextChecker
        https://bugs.webkit.org/show_bug.cgi?id=125148

        Reviewed by Darin Adler.

        The process_file_data is used only from the unit tests, so it is simply moved there.

        * Scripts/webkitpy/style/checkers/text.py:
        (TextChecker.check):
        * Scripts/webkitpy/style/checkers/text_unittest.py:
        (TextStyleTestCase.process_file_data):
        (TextStyleTestCase.assertNoError):
        (TextStyleTestCase.assertError):

2013-12-03  Dániel Bátyai  <Batyai.Daniel@stud.u-szeged.hu>

        Remove get_test() and reference test names directly instead.
        https://bugs.webkit.org/show_bug.cgi?id=124962

        Reviewed by Csaba Osztrogonác.

        * Scripts/webkitpy/layout_tests/models/test_expectations_unittest.py:
        (Base.__init__):
        (Base.get_basic_tests):
        (assert_exp):
        (MiscTests.test_multiple_results):
        (MiscTests.test_category_expectations):
        (MiscTests.test_get_modifiers):
        (MiscTests.test_get_expectations_string):
        (MiscTests.test_get_test_set):
        (MiscTests.test_parse_warning):
        (MiscTests.test_pixel_tests_flag.match):

2013-12-03  Gergo Balogh  <geryxyz@inf.u-szeged.hu>

        Style Checker false pass.
        https://bugs.webkit.org/show_bug.cgi?id=112456

        Reviewed by Csaba Osztrogonác.

        * Scripts/webkitpy/style/checkers/changelog.py:
        (ChangeLogChecker.check_entry):
        simple regex fix to check "No new tests (...)."
        * Scripts/webkitpy/style/checkers/changelog_unittest.py:
        (ChangeLogCheckerTest.test_no_new_tests):

2013-12-02  Filip Pizlo  <fpizlo@apple.com>

        run-jsc-stress-tests should allow for tests that have a directory containing .js files nested within a directory containing the data
        https://bugs.webkit.org/show_bug.cgi?id=125130

        Reviewed by Geoffrey Garen.

        * Scripts/run-jsc-stress-tests:

2013-12-02  Samuel White  <samuel_white@apple.com>

        AX: Add AXUIElementCountForSearchPredicate parameterized attribute.
        https://bugs.webkit.org/show_bug.cgi?id=124561

        Reviewed by Chris Fleizach.

        Added function to verify that NSAccessibilityUIElementCountForSearchPredicateParameterizedAttribute works as it should.

        * DumpRenderTree/AccessibilityUIElement.cpp:
        (uiElementCountForSearchPredicateCallback):
        (uiElementForSearchPredicateCallback):
        (AccessibilityUIElement::getJSClass):
        * DumpRenderTree/AccessibilityUIElement.h:
        * DumpRenderTree/atk/AccessibilityUIElementAtk.cpp:
        (AccessibilityUIElement::uiElementCountForSearchPredicate):
        * DumpRenderTree/ios/AccessibilityUIElementIOS.mm:
        (AccessibilityUIElement::uiElementCountForSearchPredicate):
        * DumpRenderTree/mac/AccessibilityUIElementMac.mm:
        (searchPredicateParameterizedAttributeForSearchCriteria):
        (AccessibilityUIElement::uiElementCountForSearchPredicate):
        (AccessibilityUIElement::uiElementForSearchPredicate):
        * DumpRenderTree/win/AccessibilityUIElementWin.cpp:
        (AccessibilityUIElement::uiElementCountForSearchPredicate):
        * WebKitTestRunner/InjectedBundle/AccessibilityUIElement.cpp:
        (WTR::AccessibilityUIElement::uiElementCountForSearchPredicate):
        * WebKitTestRunner/InjectedBundle/AccessibilityUIElement.h:
        * WebKitTestRunner/InjectedBundle/Bindings/AccessibilityUIElement.idl:
        * WebKitTestRunner/InjectedBundle/atk/AccessibilityUIElementAtk.cpp:
        (WTR::AccessibilityUIElement::uiElementCountForSearchPredicate):
        * WebKitTestRunner/InjectedBundle/mac/AccessibilityUIElementMac.mm:
        (WTR::searchPredicateParameterizedAttributeForSearchCriteria):
        (WTR::AccessibilityUIElement::uiElementCountForSearchPredicate):
        (WTR::AccessibilityUIElement::uiElementForSearchPredicate):

2013-12-02  Dániel Bátyai  <Batyai.Daniel@stud.u-szeged.hu>

        Instead of a large 'if' block, each failure class should write it's own result in test_result_writer.py
        https://bugs.webkit.org/show_bug.cgi?id=124714

        Reviewed by Ryosuke Niwa.

        * Scripts/webkitpy/layout_tests/controllers/test_result_writer.py:
        (write_test_result):
        * Scripts/webkitpy/layout_tests/models/test_failures.py:
        (TestFailure.write_failure):
        (FailureText):
        (FailureText.write_failure):
        (FailureAudio):
        (FailureAudio.write_failure):
        (FailureCrash.write_failure):
        (FailureMissingResult):
        (FailureTextMismatch):
        (FailureMissingImageHash.write_failure):
        (FailureMissingImage.write_failure):
        (FailureImageHashMismatch.write_failure):
        (FailureReftestMismatch.write_failure):
        (FailureReftestMismatchDidNotOccur.write_failure):
        (FailureMissingAudio):
        (FailureAudioMismatch):

2013-12-02  László Langó  <lango@inf.u-szeged.hu>

        Remove the stderr_write attribute from StyleProcessorConfiguration
        https://bugs.webkit.org/show_bug.cgi?id=124703

        Reviewed by Ryosuke Niwa.

        Remove the stderr_write attribute from this class in checker and
        replace its use with calls to a logging module logger. We Should 
        use logging module instead of writing to stderr directly.

        * Scripts/webkitpy/style/checker.py: Change stderr_write attribute to logging module logger.
        (check_webkit_style_configuration):
        (CheckerDispatcher.dispatch): Remove FIXME comment.
        (StyleProcessorConfiguration):
        (StyleProcessorConfiguration.__init__):
        (StyleProcessorConfiguration.write_style_error):
        * Scripts/webkitpy/style/checker_unittest.py: Update test to the modification.
        There is an "ERROR" prefix in log messiges from now.
        (StyleProcessorConfigurationTest):
        (StyleProcessorConfigurationTest._style_checker_configuration):
        (StyleProcessorConfigurationTest.test_init):
        (StyleProcessorConfigurationTest.test_write_style_error_emacs):
        (StyleProcessorConfigurationTest.test_write_style_error_vs7):
        (StyleProcessor_EndToEndTest.with):
        (StyleProcessor_EndToEndTest.test_init):
        (StyleProcessor_EndToEndTest.test_process):
        (StyleProcessor_CodeCoverageTest.setUp):
        * Scripts/webkitpy/style/error_handlers.py: Remove stderr_write usage and replace with logging module logger.
        (DefaultStyleErrorHandler.__call__):
        * Scripts/webkitpy/style/error_handlers_unittest.py: Update test to the modification.
        There is an "ERROR" prefix in log messiges from now.
        (DefaultStyleErrorHandlerTest):
        (DefaultStyleErrorHandlerTest.setUp):
        (DefaultStyleErrorHandlerTest._mock_increment_error_count):
        (DefaultStyleErrorHandlerTest._style_checker_configuration):
        (DefaultStyleErrorHandlerTest._check_initialized):
        (DefaultStyleErrorHandlerTest.test_non_reportable_error):
        (DefaultStyleErrorHandlerTest.test_max_reports_per_category):
        (DefaultStyleErrorHandlerTest.test_line_numbers):

2013-12-02  Brian J. Burg  <burg@cs.washington.edu>

        Add JavaScript style checker and teach checker.py about .js files
        https://bugs.webkit.org/show_bug.cgi?id=125049

        Reviewed by Joseph Pecoraro.

        Add a JavaScript file type, extension, and checker (JSChecker).
        Use TextChecker for JavaScript tests, libraries, website resources,
        etc. and use JSChecker for files within WebInspectorUI/UserInterface.

        Amended tests for TextChecker to reflect the rule above.

        * Scripts/webkitpy/style/checker.py:
        (_all_categories): Add categories defined by JSChecker.
        (FileType): Add file type for JS and re-number the enum.
        (CheckerDispatcher._file_type): Detect .js files as JavaScript.
        (CheckerDispatcher._create_checker):
        Create a JSChecker or TextChecker depending on the file's path.

        * Scripts/webkitpy/style/checker_unittest.py:
        (CheckerDispatcherDispatchTest.assert_checker_js): Added.
        (CheckerDispatcherDispatchTest.test_js_paths): Added.
        (CheckerDispatcherDispatchTest.test_text_paths): Add new test paths
        that end in .js but should be checked with TextChecker.
        * Scripts/webkitpy/style/checkers/js.py: Added.
        (JSChecker):
        (JSChecker.__init__):
        (JSChecker.check):
        * Scripts/webkitpy/style/checkers/js_unittest.py: Added.
        (JSTestCase):
        (JSTestCase.assertNoError):
        (JSTestCase.assertNoError.error_for_test):
        (JSTestCase.assertError):
        (JSTestCase.assertError.error_for_test):
        (JSTestCase.test_no_error):
        (JSTestCase.test_error):

2013-12-02  Mark Hahnenberg  <mhahnenberg@apple.com>

        run-jsc-stress-tests always copies the VM
        https://bugs.webkit.org/show_bug.cgi?id=125092

        Reviewed by Filip Pizlo.

        This can be slow, especially with full debug builds. It should just symlink the VM into the 
        bundle by default and do a full copy only when asked.

        * Scripts/run-jsc-stress-tests:

2013-12-02  Brent Fulgham  <bfulgham@apple.com>

        [Win] Port run-jsc-stress-tests
        https://bugs.webkit.org/show_bug.cgi?id=124801

        Reviewed by Filip Pizlo.

        * Scripts/run-jsc-stress-tests: Gracefully handle lack of sysctl
        command on Windows so that stress tests can run.

2013-12-02  Mark Hahnenberg  <mhahnenberg@apple.com>

        Build fix after r159955

        * Scripts/run-jsc-stress-tests:

2013-12-02  Mark Hahnenberg  <mhahnenberg@apple.com>

        run-jsc-stress-tests should be able to package its tests and move them places
        https://bugs.webkit.org/show_bug.cgi?id=124549

        Reviewed by Filip Pizlo.

        * Scripts/jsc-stress-test-helpers/check-mozilla-failure: Removed. Was just a ruby reimplementation
        of grep -i -q
        * Scripts/run-javascriptcore-tests: Pass through the --tarball flag.
        * Scripts/run-jsc-stress-tests: Changed to create a bundle of tests inside the results directory.
        We now also copy whatever VM was specified, along with its associated framework, into this directory.
        All of the generated scripts now are completely relative within the results directory. This allows
        run-jsc-stress-tests to execute a bundle from anywhere. Also added a --tarball flag which creates a
        tarball of the generated results directory. Also refactored several portions of the script into
        separate functions to make it easier to run them conditionally depending on which mode we're running in. 

2013-12-02  Andrzej Badowski  <a.badowski@samsung.com>

        [ATK] Support active state for listbox elements.
        https://bugs.webkit.org/show_bug.cgi?id=125009

        Reviewed by Chris Fleizach.

        Supplement WebKitTestRunner and DumpRenderTree to support isSelectedOptionActive.

        * DumpRenderTree/atk/AccessibilityUIElementAtk.cpp:
        (AccessibilityUIElement::isSelectedOptionActive):
        * WebKitTestRunner/InjectedBundle/AccessibilityUIElement.cpp:
        (WTR::AccessibilityUIElement::isSelectedOptionActive):
        * WebKitTestRunner/InjectedBundle/AccessibilityUIElement.h:
        * WebKitTestRunner/InjectedBundle/Bindings/AccessibilityUIElement.idl:
        * WebKitTestRunner/InjectedBundle/atk/AccessibilityUIElementAtk.cpp:
        (WTR::AccessibilityUIElement::isSelectedOptionActive):
        * WebKitTestRunner/InjectedBundle/mac/AccessibilityUIElementMac.mm:
        (WTR::AccessibilityUIElement::isSelectedOptionActive):

2013-12-02  Zan Dobersek  <zdobersek@igalia.com>

        Unreviewed GTK gardening.

        * Scripts/run-gtk-tests:
        (TestRunner): Skip two unit tests that are causing the subsequent test to crash.

2013-12-01  Dan Bernstein  <mitz@apple.com>

        [Mac] Transition MiniBrowser to the Cocoa API: policy delegate   
        https://bugs.webkit.org/show_bug.cgi?id=125046

        Reviewed by Sam Weinig.

        * MiniBrowser/mac/AppDelegate.m:
        (-[BrowserAppDelegate newWindow:]): Added WK_API_ENABLED guards.
        (-[BrowserAppDelegate openDocument:]): Ditto.
        * MiniBrowser/mac/WK2BrowserWindowController.h: Ditto. Also moved ivar declarations from the
        interface to the implementation.
        * MiniBrowser/mac/WK2BrowserWindowController.m:
        (-[WK2BrowserWindowController awakeFromNib]): Changed to set the policy delegate instead of
        the policy client.
        (-[WK2BrowserWindowController browsingContextController:decidePolicyForNavigationAction:decisionHandler:]):
        Moved policy client implementation into this delegate method.
        (-[WK2BrowserWindowController browsingContextController:decidePolicyForNewWindowAction:decisionHandler:]):
        Ditto.
        (-[WK2BrowserWindowController browsingContextController:decidePolicyForResponseAction:decisionHandler:]):
        Ditto.

2013-12-01  Dan Bernstein  <mitz@apple.com>

        [Mac] Remove the MiniBrowser injected bundle
        https://bugs.webkit.org/show_bug.cgi?id=125041

        Reviewed by Anders Carlsson.

        It had no ops!

        * MiniBrowser/Configurations/WebBundle.xcconfig: Removed.
        * MiniBrowser/MiniBrowser.xcodeproj/project.pbxproj:
        * MiniBrowser/mac/AppDelegate.m:
        (-[BrowserAppDelegate init]):
        * MiniBrowser/mac/WebBundle/Info.plist: Removed.
        * MiniBrowser/mac/WebBundle/WebBundleMain.m: Removed.

2013-11-29  Gergo Balogh  <geryxyz@inf.u-szeged.hu>

        check-webkit-style should check for extraneous newline between config.h and primary header.
        https://bugs.webkit.org/show_bug.cgi?id=124821

        Reviewed by Csaba Osztrogonác.

        * Scripts/webkitpy/style/checkers/cpp.py:
        (check_include_line):
        * Scripts/webkitpy/style/checkers/cpp_unittest.py:
        (OrderOfIncludesTest.test_check_line_break_after_own_header):
        (OrderOfIncludesTest):
        (OrderOfIncludesTest.test_check_line_break_before_own_header):

2013-11-29  Jozsef Berta  <jberta@inf.u-szeged.hu>

        test-webkit-scripts should show the failing tests and use an appropriate exit code
        https://bugs.webkit.org/show_bug.cgi?id=124840

        Reviewed by Ryosuke Niwa.

        A fixme in test-webkit-scripts asked that the script should display success or failiure
        and exit with a 0 or 1 value accordingly after all of the tests have completed.

        * Scripts/test-webkit-scripts:
        (ScriptsTester.run_test_script):
        The outcome of the currently run script is returned to the main as a boolean value. A boolean is returned,
        because at this point we don't need to pass on more information other than success or failiure.
        (ScriptsTester.main):
        The return values are now stored for each script and when all tests have completed successfully,
        the script indicates success and returns 0. Otherwise it will display the name(s) of the failing script(s) and return 1.

2013-11-29  Krzysztof Czech  <k.czech@samsung.com>

        [ATK] Added support for isAttributeSettable in AccessibilityUIElementAtk
        https://bugs.webkit.org/show_bug.cgi?id=124923

        Reviewed by Mario Sanchez Prada.

        Added missing implementation of isAttributeSettable. Using
        ATK_STATE_EDITABLE for checking whether attribute is settable.

        * DumpRenderTree/atk/AccessibilityUIElementAtk.cpp:
        (AccessibilityUIElement::isAttributeSettable):
        * WebKitTestRunner/InjectedBundle/atk/AccessibilityUIElementAtk.cpp:
        (WTR::AccessibilityUIElement::isAttributeSettable):

2013-11-28  Commit Queue  <commit-queue@webkit.org>

        Unreviewed, rolling out r159839.
        http://trac.webkit.org/changeset/159839
        https://bugs.webkit.org/show_bug.cgi?id=124974

        run-webkit-tests doesn't generate pretty diff (Requested by
        Ossy on #webkit).

        * Scripts/webkitpy/common/prettypatch.py:
        (PrettyPatch.__init__):
        (PrettyPatch.pretty_diff):
        * Scripts/webkitpy/layout_tests/controllers/test_result_writer.py:
        (TestResultWriter.create_text_diff_and_write_result):
        * Scripts/webkitpy/layout_tests/models/test_run_results.py:
        (summarize_results):
        * Scripts/webkitpy/port/base.py:
        (Port.__init__):
        (Port.pretty_patch_available):
        (Port.check_pretty_patch):
        (Port.variable):
        (Port.variable.pretty_patch_text):
        * Scripts/webkitpy/port/base_unittest.py:
        (PortTest.test_pretty_patch_os_error):
        (PortTest.test_pretty_patch_script_error):

2013-11-28  Antti Koivisto  <antti@apple.com>

        Remove feature: CSS variables
        https://bugs.webkit.org/show_bug.cgi?id=114119

        Reviewed by Andreas Kling.

        * Scripts/webkitperl/FeatureList.pm:

2013-11-28  Dániel Bátyai  <Batyai.Daniel@stud.u-szeged.hu>

        Move PrettyPatch related code to prettypatch.py
        https://bugs.webkit.org/show_bug.cgi?id=124937

        Reviewed by Ryosuke Niwa.

        This code seems to have a better place here than in Port, since PrettyPatch already knows
        pretty_patch_path, and this also unifies the usage of PrettyPatch

        * Scripts/webkitpy/common/prettypatch.py:
        (PrettyPatch.__init__):
        (PrettyPatch.pretty_diff):
        (PrettyPatch):
        (PrettyPatch.pretty_patch_available):
        (PrettyPatch.check_pretty_patch):
        (PrettyPatch.pretty_patch_text):
        * Scripts/webkitpy/layout_tests/controllers/test_result_writer.py:
        (TestResultWriter.create_text_diff_and_write_result):
        * Scripts/webkitpy/layout_tests/models/test_run_results.py:
        (summarize_results):
        * Scripts/webkitpy/port/base.py:
        (Port.__init__):
        (Port.wdiff_available):
        (Port.check_image_diff):
        (Port.wdiff_text):
        * Scripts/webkitpy/port/base_unittest.py:
        (PortTest.test_pretty_patch_os_error):
        (PortTest.test_pretty_patch_script_error):

2013-11-28  Dániel Bátyai  <Batyai.Daniel@stud.u-szeged.hu>

        Checkout should own the scm object in Host
        https://bugs.webkit.org/show_bug.cgi?id=124943

        Reviewed by Ryosuke Niwa.

        * Scripts/webkitpy/common/host.py:
        (Host.__init__):
        (Host.initialize_scm):
        (Host.scm):

2013-11-26  Filip Pizlo  <fpizlo@apple.com>

        Do bytecode validation as part of testing
        https://bugs.webkit.org/show_bug.cgi?id=124913

        Reviewed by Oliver Hunt.

        * Scripts/run-jsc-stress-tests:

2013-11-27  Andres Gomez  <agomez@igalia.com>

        [GTK] Tools/Scripts/update-webkitgtk-libs fails due to missing fontutils dependencies for building the "xserver" module
        https://bugs.webkit.org/show_bug.cgi?id=124940

        Reviewed by Martin Robinson.

        xserver-font-utils is needed for building gtk port dependencies
        with jhbuild.

        * gtk/install-dependencies: Added xserver-font-utils to jhbuild
        dependecies.

2013-11-27  Andres Gomez  <agomez@igalia.com>

        [GTK] Tools/Scripts/update-webkitgtk-libs unsorted and fails because of missing "git"
        https://bugs.webkit.org/show_bug.cgi?id=124938

        Reviewed by Philippe Normand.

        Added needed git dependency for building the gtk port with
        jhbuild. Also, the dependencies needed for building the gtk port
        are now sorted alphabetically.

        * gtk/install-dependencies: Added git as jhbuild dependency and
        sorted dependencies alphabetically.

2013-11-27  Jozsef Berta  <jberta@inf.u-szeged.hu>

        run_webkit_tests.py: error: no such option: --wincairo
        https://bugs.webkit.org/show_bug.cgi?id=124927

        Reviewed by Ryosuke Niwa.

        * BuildSlaveSupport/build.webkit.org-config/config.json: The run_webkit_tests.py doesn't supports
        the layout testing on wincairo, so it is turned off.

2013-11-26  Marcelo Lira  <marcelo.lira@openbossa.org>

        Nix upstreaming - Adding build files and supporting scripts
        https://bugs.webkit.org/show_bug.cgi?id=118367

        Reviewed by Ryosuke Niwa.

        * Scripts/build-webkit:
        * Scripts/run-nix-tests: Added.
        * Scripts/run-webkit-tests:
        * Scripts/update-webkit-libs-jhbuild:
        * Scripts/update-webkitnix-libs: Added.
        * Scripts/webkitdirs.pm:
        (determineArchitecture):
        (argumentsForConfiguration):
        (jscProductDir):
        (builtDylibPathForName):
        (determineIsNix):
        (isNix):
        (isAppleWebKit):
        (launcherPath):
        (launcherName):
        (checkRequiredSystemConfig):
        (copyInspectorFrontendFiles):
        (jhbuildWrapperPrefixIfNeeded):
        (buildCMakeProjectOrExit):
        (cmakeBasedPortName):
        * Scripts/webkitpy/common/config/ports.py:
        (DeprecatedPort.port):
        (EflWK2Port.build_webkit_command):
        (NixPort):
        (NixPort.build_webkit_command):
        * Scripts/webkitpy/port/factory.py:
        (platform_options):
        (PortFactory):
        * Scripts/webkitpy/port/nix.py: Added.
        (NixPort):
        (NixPort._wk2_port_name):
        (NixPort.determine_full_port_name):
        (NixPort.__init__):
        (NixPort._port_flag_for_scripts):
        (NixPort.setup_test_run):
        (NixPort.setup_environ_for_server):
        (NixPort.default_timeout_ms):
        (NixPort.clean_up_test_run):
        (NixPort._generate_all_test_configurations):
        (NixPort._path_to_driver):
        (NixPort._path_to_image_diff):
        (NixPort._image_diff_command):
        (NixPort._search_paths):
        (NixPort.show_results_html_file):
        (NixPort._port_specific_expectations_files):
        (NixPort.default_baseline_search_path):
        * Scripts/webkitpy/port/nix_unittest.py: Added.
        (NixPortTest):
        (NixPortTest._assert_search_path):
        (NixPortTest._assert_expectations_files):
        (NixPortTest.test_baseline_search_path):
        (NixPortTest.test_expectations_files):
        (NixPortTest.test_default_timeout_ms):
        * jhbuild/jhbuild-wrapper:
        (determine_platform):
        * nix/common.py: Added.
        (script_path):
        (top_level_path):
        * nix/jhbuild.modules: Added.
        * nix/jhbuildrc: Added.

2013-11-26  Ryosuke Niwa  <rniwa@webkit.org>

        Record subtest values in Dromaeo tests
        https://bugs.webkit.org/show_bug.cgi?id=124498

        Reviewed by Andreas Kling.

        Supported parsing subtest results.

        * Scripts/webkitpy/performance_tests/perftest.py: Replaced _metrics with an ordered list of subtests, each of
        which contains a dictionary with its name and an ordered list of subtest's metrics.
        (PerfTest.__init__): Initialize _metrics as a list.
        (PerfTest.run): Go through each subtest and its metrics to create a list of TestMetrics.
        (PerfTest._run_with_driver):
        (PerfTest._ensure_metrics): Look for a subtest then a metric in _metrics.

        * Scripts/webkitpy/performance_tests/perftest_unittest.py:
        (TestPerfTest._assert_results_are_correct): Updated the assertions per changes to _metrics.
        (TestPerfTest.test_parse_output): Ditto.
        (TestPerfTest.test_parse_output_with_subtests): Added the metric and the unit on each subtest result as well as
        assertions to ensure subtest results are parsed properly.
        (TestReplayPerfTest.test_run_with_driver_accumulates_results): Updated the assertions per changes to _metrics.
        (TestReplayPerfTest.test_run_with_driver_accumulates_memory_results): Dittp.

        * Scripts/webkitpy/performance_tests/perftestsrunner.py:
        (_generate_results_dict): When the metric for a subtest is processed before that of the main test, the url is
        incorrectly suffixed with '/'. Fix this later by re-computing the url with TestPerfMetric.test_file_name when
        adding new results.

        * Scripts/webkitpy/performance_tests/perftestsrunner_integrationtest.py:
        (TestWithSubtestsData): Added.
        (TestDriver.run_test):
        (MainTest.test_run_test_with_subtests): Added.

2013-11-26  Ryosuke Niwa  <rniwa@webkit.org>

        Enable HTML template element on Windows ports
        https://bugs.webkit.org/show_bug.cgi?id=124758

        Reviewed by Andreas Kling.

        * Scripts/webkitperl/FeatureList.pm:

2013-11-26  Ryosuke Niwa  <rniwa@webkit.org>

        Remove replay performance tests as it's not actively maintained
        https://bugs.webkit.org/show_bug.cgi?id=124764

        Reviewed by Andreas Kling.

        Removed the feature.

        * Scripts/webkitpy/performance_tests/perftest.py:
        (SingleProcessPerfTest.__init__):
        (PerfTestFactory):
        * Scripts/webkitpy/performance_tests/perftest_unittest.py:
        * Scripts/webkitpy/performance_tests/perftestsrunner.py:
        (PerfTestsRunner._parse_args):
        (PerfTestsRunner._collect_tests):
        * Scripts/webkitpy/performance_tests/perftestsrunner_unittest.py:
        (MainTest.test_collect_tests_with_ignored_skipped_list):
        (MainTest.test_default_args):
        * Scripts/webkitpy/thirdparty/__init__.py:
        (AutoinstallImportHook.find_module):
        (AutoinstallImportHook._install_unittest2):
        * Scripts/webkitpy/thirdparty/__init___unittest.py:
        (ThirdpartyTest.test_imports):

2013-11-26  Filip Pizlo  <fpizlo@apple.com>

        Enable aggressive DFG validation in testing
        https://bugs.webkit.org/show_bug.cgi?id=124911

        Rubber stamped by Ryosuke Niwa.
        
        This enables validation testing in non-concurrent-JIT runs.

        * Scripts/run-jsc-stress-tests:

2013-11-26  Dániel Bátyai  <Batyai.Daniel@stud.u-szeged.hu>

        Moved methods which belong to Checkout into checkout.py
        https://bugs.webkit.org/show_bug.cgi?id=124889

        Reviewed by Ryosuke Niwa.

        * Scripts/webkitpy/common/checkout/checkout.py:
        (Checkout.scripts_directory):
        (Checkout):
        (Checkout.script_path):
        (Checkout.commit_message_for_this_commit):
        (Checkout.apply_patch):
        * Scripts/webkitpy/common/checkout/checkout_unittest.py:
        (test_commit_message_for_this_commit):
        (CheckoutTest.test_apply_patch):
        * Scripts/webkitpy/common/checkout/scm/scm.py:
        (SCM.absolute_path):
        * Scripts/webkitpy/common/checkout/scm/scm_unittest.py:
        (SCMTest._setup_webkittools_scripts_symlink):
        * Scripts/webkitpy/common/checkout/scm/svn.py:
        (SVN.create_patch):

2013-11-25  Ryuan Choi  <ryuan.choi@samsung.com>

        [EFL] Use Config mode of find_package for EFL 1.8
        https://bugs.webkit.org/show_bug.cgi?id=124555

        Reviewed by Gyuyoung Kim.

        * MiniBrowser/efl/CMakeLists.txt:
        Added optional config mode and made version requirement optional.

2013-11-25  Andres Gomez  <agomez@igalia.com>

        [GTK] Search functionality in MiniBrowser provides feedback on search fail
        https://bugs.webkit.org/show_bug.cgi?id=122681

        Reviewed by Mario Sanchez Prada.

        When using the search functionality in MiniBrowser, if the search
        fails, the entry background color gets red to report the user
        about the failing condition. When the entry is cleaned or the
        search is again succesful the background turns back to its
        original color.

        * MiniBrowser/gtk/BrowserSearchBar.c:
        (setFailedStyleForEntry): Added.
        (doSearch): Sets the entry's background to its original style if
        there is no text to search.
        (findControllerFailedToFindTextCallback): Added.
        (findControllerFoundTextCallback): Added.
        (browser_search_bar_init): Creates and adds a new CSS provider to
        the text entry so we can change its style based on the success
        condition of the search.
        (browserSearchBarFinalize): Frees the new CSS provider.
        (browser_search_bar_new): Connects the two new handlers to the
        "failed-to-find-text" and "found-text" signals emitted by the
        WebKitFindController.

2013-11-25  Dan Bernstein  <mitz@apple.com>

        [Cocoa] Put most of the Cocoa API behind WK_API_ENABLED guards
        https://bugs.webkit.org/show_bug.cgi?id=124850

        Reviewed by Brady Eidson.

        Added #if WK_API_ENABLED guards around tests that use the Objective-C API.

        * TestWebKitAPI/Tests/CustomProtocolsSyncXHRTest.mm:
        * TestWebKitAPI/Tests/WebKit2ObjC/CustomProtocolsInvalidScheme.mm:
        * TestWebKitAPI/Tests/WebKit2ObjC/CustomProtocolsTest.mm:
        * TestWebKitAPI/Tests/WebKit2ObjC/PreventImageLoadWithAutoResizing.mm:
        * TestWebKitAPI/Tests/WebKit2ObjC/UserContentTest.mm:
        * TestWebKitAPI/Tests/WebKit2ObjC/WKBrowsingContextGroupTest.mm:
        * TestWebKitAPI/Tests/WebKit2ObjC/WKBrowsingContextLoadDelegateTest.mm:

2013-11-25  Commit Queue  <commit-queue@webkit.org>

        Unreviewed, rolling out r159752 and r159754.
        http://trac.webkit.org/changeset/159752
        http://trac.webkit.org/changeset/159754
        https://bugs.webkit.org/show_bug.cgi?id=124847

        Broke linux test bots. (Requested by mhahnenberg on #webkit).

        * Scripts/jsc-stress-test-helpers/check-mozilla-failure: Added.
        * Scripts/run-javascriptcore-tests:
        * Scripts/run-jsc-stress-tests:

2013-11-25  Mark Hahnenberg  <mhahnenberg@apple.com>

        Followup fix after r159752

        * Scripts/run-jsc-stress-tests: We need to handle Release builds too.

2013-11-25  Mark Hahnenberg  <mhahnenberg@apple.com>

        run-jsc-stress-tests should be able to package its tests and move them places
        https://bugs.webkit.org/show_bug.cgi?id=124549

        Reviewed by Filip Pizlo.

        * Scripts/jsc-stress-test-helpers/check-mozilla-failure: Removed. Was just a ruby reimplementation 
        of grep -i -q
        * Scripts/run-javascriptcore-tests: Pass through the --tarball flag.
        * Scripts/run-jsc-stress-tests: Changed to create a bundle of tests inside the results directory. 
        We now also copy whatever VM was specified, along with its associated framework, into this directory. 
        All of the generated scripts now are completely relative within the results directory. This allows 
        run-jsc-stress-tests to execute a bundle from anywhere. Also added a --tarball flag which creates a 
        tarball of the generated results directory. Also refactored several portions of the script into 
        separate functions to make it easier to run them conditionally depending on which mode we're running in.

2013-11-25  László Langó  <lango@inf.u-szeged.hu>

        EWS creates 0 byte sized log files
        https://bugs.webkit.org/show_bug.cgi?id=107606

        Reviewed by Ryosuke Niwa.

        There was a modification in r138264, that tried to make less log,
        because some of the messeges were duplicated. After this the EWS
        created the log file (with the same name as the bugID) but doesn't
        write anything into it, even if there were errors during the build.
        From now only creates the log file only if there is some error.

        * Scripts/webkitpy/tool/bot/queueengine.py:
        (QueueEngine.run): If the build and tests pass, there is no ScriptError raised,
        there is nothing to log. Open the log file only if a ScriptError was raised to
        avoid to make empty log files for bugs.
        (QueueEngine._open_work_log): Does not need to tee STDOUT to log file anymore,
        because of changes in r138264. Teeing is used for locally testing purposes and
        this feature is not used anymore.
        (QueueEngine._ensure_work_log_closed): Close the logfile. We don't use output
        teeing anymore. It is a necessary change because of QueueEngine._open_work_log
        change.
        * Scripts/webkitpy/tool/bot/queueengine_unittest.py:
        (LoggingDelegate): The order of the callbacks was changed by this patch.
        (QueueEngineTest.test_trivial): Won't create log file if the queue was terminated,
        so we have to update this test.
        (QueueEngineTest.test_unexpected_error): The order of the callbacks was changed by
        this patch.
        * Scripts/webkitpy/tool/commands/earlywarningsystem.py:
        (AbstractEarlyWarningSystem.review_patch): Raise again the captured ScriptError
        to be able to handle it in QueueEngine.run. Without this change, the existing
        exception handler never run (the process_work_item method never raise ScriptError)
        We can get the error message only from the ScriptError at this point.

2013-11-22  Dean Jackson  <dino@apple.com>

        Speculative Mountain Lion build fix.

        * MiniBrowser/mac/AppDelegate.m:
        (-[BrowserAppDelegate openDocument:]):

2013-11-22  Anders Carlsson  <andersca@apple.com>

        Fix Mountain Lion bug.

        * MiniBrowser/mac/AppDelegate.m:
        (-[BrowserAppDelegate openDocument:]):

2013-11-22  Anders Carlsson  <andersca@apple.com>

        MiniBrowser should use the blocks-based NSOpenPanel API
        https://bugs.webkit.org/show_bug.cgi?id=124786

        Reviewed by Simon Fraser.

        * MiniBrowser/mac/AppDelegate.m:
        (-[BrowserAppDelegate frontmostBrowserWindowController]):
        Account for windows that don't have a BrowserWindowController.

        (-[BrowserAppDelegate openDocument:]):

2013-11-22  Commit Queue  <commit-queue@webkit.org>

        Unreviewed, rolling out r159690.
        http://trac.webkit.org/changeset/159690
        https://bugs.webkit.org/show_bug.cgi?id=124782

        Broke webkitpy tests (Requested by ap on #webkit).

        * Scripts/webkitpy/tool/bot/queueengine.py:
        (QueueEngine.run):
        (QueueEngine._open_work_log):
        (QueueEngine._ensure_work_log_closed):
        * Scripts/webkitpy/tool/commands/earlywarningsystem.py:
        (AbstractEarlyWarningSystem.review_patch):

2013-11-22  László Langó  <lango@inf.u-szeged.hu>

        EWS creates 0 byte sized log files
        https://bugs.webkit.org/show_bug.cgi?id=107606

        Reviewed by Ryosuke Niwa.

        There was a modification in r138264, that tried to make less log, 
        because some of the messeges were duplicated. After this the EWS 
        created the log file (with the same name as the bugID) but doesn't 
        write anything into it, even if there were errors during the build. 
        From now only creates the log file only if there is some error.

        * Scripts/webkitpy/tool/bot/queueengine.py:
        (QueueEngine.run): If the build and tests pass, there is no ScriptError raised,
        there is nothing to log. Open the log file only if a ScriptError was raised to
        avoid to make empty log files for bugs.
        (QueueEngine._open_work_log): Does not need to tee STDOUT to log file anymore,
        because of changes in r138264. Teeing is used for locally testing purposes and
        this feature is not used anymore.
        (QueueEngine._ensure_work_log_closed): Close the logfile. We don't use output 
        teeing anymore. It is a necessary change because of QueueEngine._open_work_log
        change.
        * Scripts/webkitpy/tool/commands/earlywarningsystem.py:
        (AbstractEarlyWarningSystem.review_patch): Raise again the captured ScriptError
        to be able to handle it in QueueEngine.run. Without this change, the existing
        exception handler never run (the process_work_item method never raise ScriptError)
        We can get the error message only from the ScriptError at this point.

2013-11-21  Peter Molnar  <pmolnar.u-szeged@partner.samsung.com>

        Remove ENABLE_WORKERS
        https://bugs.webkit.org/show_bug.cgi?id=105784

        Reviewed by Darin Adler.

        * Scripts/webkitperl/FeatureList.pm:

2013-11-21  Darin Adler  <darin@apple.com>

        Try to fix buildbot Dashboard for people who have not hidden anything.

        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/BuildbotQueue.js:
        Add a null check for hidden platforms.

2013-11-21  Peter Szanka  <h868064@stud.u-szeged.hu>

        Remove chrome/chromium related things from webkitpy.
        https://bugs.webkit.org/show_bug.cgi?id=124493

        Reviewed by Darin Adler.

        * Scripts/webkitpy/layout_tests/run_webkit_tests_integrationtest.py:
        (PortTest.assert_mock_port_works):
        * Scripts/webkitpy/port/base.py:
        (Port.to.setup_environ_for_server):
        * Scripts/webkitpy/port/mac_unittest.py:
        (test_tests_for_other_platforms):
        * Scripts/webkitpy/port/mock_drt.py:
        (MockTestShell.output_for_test):
        * Scripts/webkitpy/tool/bot/irc_command.py:
        (Restart.execute):
        * Scripts/webkitpy/tool/bot/ircbot_unittest.py:
        (IRCBotTest.test_help):

2013-11-21  Dániel Bátyai  <Batyai.Daniel@stud.u-szeged.hu>

        In filereader.py, process_file() should throw instead of exiting directly when the file doesn't exist
        https://bugs.webkit.org/show_bug.cgi?id=124717

        Reviewed by Ryosuke Niwa.

        * Scripts/webkitpy/style/filereader.py:
        (TextFileReader.process_file):
        * Scripts/webkitpy/style/filereader_unittest.py:
        (TextFileReaderTest.test_process_file__does_not_exist):

2013-11-21  Mark Rowe  <mrowe@apple.com>

        <https://webkit.org/b/124702> Stop overriding VALID_ARCHS.

        All modern versions of Xcode set it appropriately for our needs.

        Reviewed by Alexey Proskuryakov.

        * MiniBrowser/Configurations/Base.xcconfig:
        * WebKitTestRunner/Configurations/Base.xcconfig:

2013-11-21  Nick Diego Yamane  <nick.yamane@openbossa.org>

        webkitdirs::checkForArgumentAndRemoveFromArrayRef() removed wrong element
        https://bugs.webkit.org/show_bug.cgi?id=124676

        Reviewed by Daniel Bates.

        checkForArgumentAndRemoveFromArrayRef functions was removing wrong
        elements when there were more then one occurrence of that argument.
        E.g: Checking for 'a' in {a, b, a, c}, the resulting array would be
        {b, a}, when it should be {b, c}.

        * Scripts/webkitdirs.pm:
        (checkForArgumentAndRemoveFromArrayRef): bugfix mentioned above.
        * Scripts/webkitperl/webkitdirs_unittest/checkForArgumentAndRemoveFromArrayRef.pl:
        Added; Unit tests for webkitdirs::checkForArgumentAndRemoveFromArrayRef function.

2013-11-21  Ryosuke Niwa  <rniwa@webkit.org>

        Update build-webkit after r159550.

        * Scripts/webkitperl/FeatureList.pm:

2013-11-21  Lucas Forschler  <lforschler@apple.com>

        Bring a new bot online, replacing the previous ones.
        
        Unreviewed.

        * BuildSlaveSupport/build.webkit.org-config/config.json:

2013-11-21  Dean Jackson  <dino@apple.com>

        Don't fetch hidden platforms on build.webkit.org/dashboard
        https://bugs.webkit.org/show_bug.cgi?id=124750

        Reviewed by Tim Horton.

        If a platform is hidden, don't fetch its data. If it
        becomes unhidden, try to fetch immediately (unless
        you've recently fetched).

        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/BuildbotQueue.js:
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/BuildbotQueueView.js:

2013-11-21  Commit Queue  <commit-queue@webkit.org>

        Unreviewed, rolling out r159633.
        http://trac.webkit.org/changeset/159633
        https://bugs.webkit.org/show_bug.cgi?id=124726

        it broke 10 webkitpy tests (Requested by dino_ on #webkit).

        * Scripts/webkitpy/style/checker.py:
        (check_webkit_style_configuration):
        (CheckerDispatcher.dispatch):
        (StyleProcessorConfiguration):
        (StyleProcessorConfiguration.__init__):
        (StyleProcessorConfiguration.write_style_error):

2013-11-21  László Langó  <lango@inf.u-szeged.hu>

        Remove the stderr_write attribute from StyleProcessorConfiguration.
        https://bugs.webkit.org/show_bug.cgi?id=124703

        Reviewed by Brent Fulgham.

        * Scripts/webkitpy/style/checker.py:
        (check_webkit_style_configuration):
        (CheckerDispatcher.dispatch):
        (StyleProcessorConfiguration):
        (StyleProcessorConfiguration.__init__):
        (StyleProcessorConfiguration.write_style_error):

2013-11-21  Ryosuke Niwa  <rniwa@webkit.org>

        PerfTestRunner._generate_results_dict shouldn't depend on test objects
        https://bugs.webkit.org/show_bug.cgi?id=124623

        Removed the dependency on test objects from results JSON generation.
        This allows single test.run to return metrics for multiple tests

        Reviewed by Antti Koivisto.

        * Scripts/webkitpy/performance_tests/perftest.py:
        (PerfTestMetric.__init__): Takes the test path and test name.
        (PerfTestMetric.path): Added.
        (PerfTestMetric.test_file_name): Added.
        (PerfTest.run): Accumulate PerfTestMetric objects instead of raw values.
        (PerfTest._ensure_metrics): Instantiate PerfTestMetric with the test path and test name.
        The path is going to have the names of subtests at the end once we support them.

        * Scripts/webkitpy/performance_tests/perftest_unittest.py:
        (TestPerfTestMetric.test_init_set_missing_unit): Specify the test path and test name.
        (TestPerfTestMetric.test_init_set_time_metric): Ditto.
        (TestPerfTestMetric.test_has_values): Ditto.
        (TestPerfTestMetric.test_append): Ditto.

        * Scripts/webkitpy/performance_tests/perftestsrunner.py:
        (_generate_results_dict): Only use metrics.
        (_run_tests_set): Accumulate metrics as supposed to (test, metrics) pairs.

2013-11-21  Manuel Rego Casasnovas  <rego@igalia.com>

        REGRESSION(r159599): webkitdirs.pm spits out warnings at lines 851 and 852
        https://bugs.webkit.org/show_bug.cgi?id=124697

        Reviewed by Ryosuke Niwa.

        * Scripts/webkitdirs.pm:
        (checkForArgumentAndRemoveFromARGVGettingValue): Fix check of array size
        before trying to access to the first element.

2013-11-21  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Mark all deprecated symbols in GObject DOM bindings
        https://bugs.webkit.org/show_bug.cgi?id=124406

        Reviewed by Gustavo Noronha Silva.

        * Scripts/webkitpy/style/checker.py: Add special case for
        WebKitDOMDeprecated.
        * gtk/generate-gtkdoc:
        (get_webkit2_options): Use the prefix of the methods as namespace,
        since this is what gtkdoc expects to sort the index.
        (get_webkit1_options): Ditto.
        (get_webkitdom_options): Ditto.
        * gtk/generate-webkitdom-doc-files:
        (WebKitDOMDocGenerator): Add a global list of deleted objects.
        (WebKitDOMDocGenerator.write_deleted_classes): New method to write
        the documentation for classes that are deprecated because they
        have been removed.
        (WebKitDOMDocGeneratorDocs.write_deleted_classes): Add sections
        for deleted classes too.
        (WebKitDOMDocGeneratorSections.__init__): Build a list of
        deprecated symbols using the given symbols file.
        (WebKitDOMDocGeneratorSections._deleted_class): Returns the
        deleted class corresponding to the given function.
        (WebKitDOMDocGeneratorSections._deprecated_symbols): Builds a
        dictionary of deprecated symbols for every class.
        (WebKitDOMDocGeneratorSections.write_section): Add also the
        deprecated symbols in every section.
        (WebKitDOMDocGeneratorSections.write_deleted_classes): Add
        sections for deleted classes too.

2013-11-20  László Langó  <lango@inf.u-szeged.hu>

        check-webkit-style should support C++11 rvalue references.
        https://bugs.webkit.org/show_bug.cgi?id=123406

        Reviewed by Brent Fulgham.

        * Scripts/webkitpy/style/checkers/cpp.py:
        (check_style):
        * Scripts/webkitpy/style/checkers/cpp_unittest.py:
        (Cpp11StyleTest):
        (Cpp11StyleTest.test_rvaule_reference_at_end_of_line):

2013-11-20  Dean Jackson  <dino@apple.com>

        Allow settings to be shown/hidden on build.webkit.org/dashboard
        https://bugs.webkit.org/show_bug.cgi?id=124694

        Reviewed by Tim Horton.

        In preparation for more options/buttons, allow the page to
        show or hide all the interactive things using a little gear icon
        in the top left corner.

        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/Main.js:
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/Settings.js:
        (Settings.prototype.toggleSettingsDisplay):
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Styles/Main.css:
        (div.cellButton.hide):
        (div.cellButton.unhide):
        (.settings-visible div.cellButton.hide, .settings-visible div.cellButton.unhide):
        (.settings):
        (.settings:hover):
        (.settings-visible .settings):

2013-11-20  Dean Jackson  <dino@apple.com>

        No need to base64 SVG on build.webkit.org/dashboard
        https://bugs.webkit.org/show_bug.cgi?id=124687

        Reviewed by Tim Horton.

        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Styles/StatusLineView.css:
        (.status-line.good .bubble.pictogram):

2013-11-20  Dean Jackson  <dino@apple.com>

        Make links look more like links on build.webkit.org/dashboard
        https://bugs.webkit.org/show_bug.cgi?id=124686

        Reviewed by Tim Horton.

        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Styles/BuildbotQueueView.css:
        (.queue-view .queueLabel:hover):
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Styles/StatusLineView.css:
        (.status-line.linked .label:hover):

2013-11-20  Nick Diego Yamane  <nick.yamane@openbossa.org>

        Modify webkitdirs to reuse checkForArgumentAndRemoveFromARGV
        https://bugs.webkit.org/show_bug.cgi?id=124581

        Reviewed by Daniel Bates.

        Some subroutines are replicating code from checkForArgument**
        functions instead of reusing them as is being done by all other functions.

        * Scripts/webkitdirs.pm:
        (determineXcodeSDK): Added.
        (determinePassedConfiguration): Added.
        (determinePassedArchitecture): Added.
        (checkForArgumentAndRemoveFromARGV): Added.
        (checkForArgumentAndRemoveFromARGVGettingValue): Added.

2013-11-20  Jozsef Berta  <jberta@inf.u-szeged.hu>

        Delete baseline optimizer
        https://bugs.webkit.org/show_bug.cgi?id=122333

        Reviewed by Ryosuke Niwa.

        * Scripts/webkitpy/common/checkout/baselineoptimizer.py: Removed.
        * Scripts/webkitpy/common/checkout/baselineoptimizer_unittest.py: Removed.
        * Scripts/webkitpy/tool/commands/rebaseline.py:
        (RebaselineTest.execute):
        (AbstractParallelRebaselineCommand._files_to_add):
        (AbstractParallelRebaselineCommand._rebaseline):
        * Scripts/webkitpy/tool/commands/rebaseline_unittest.py:
        (TestRebaselineJson.test_rebaseline_all):
        (TestRebaselineJson.test_rebaseline_debug):
        (TestRebaselineExpectations.disabled_test_overrides_are_included_correctly):

2013-11-20  Anders Carlsson  <andersca@apple.com>

        Enable PageLoadTest assertions again
        https://bugs.webkit.org/show_bug.cgi?id=124681

        Reviewed by Tim Horton.

        * TestWebKitAPI/TestWebKitAPI.xcodeproj/project.pbxproj:
        Actually install all-content-in-one-iframe.html, noticed while debugging this assertion.

2013-11-20  Mark Rowe  <mrowe@apple.com>

        Remove some obsolete logic from WebKit.app.

        Reviewed by Alexey Proskuryakov.

        * WebKitLauncher/WebKitNightlyEnabler.m:
        (poseAsWebKitApp): Remove a pre-10.6 codepath.
        (enableWebKitNightlyBehaviour): Remove a 10.4-specific codepath.

2013-11-20  Dániel Bátyai  <Batyai.Daniel@stud.u-szeged.hu>

        Moved stray urls from svn.py and statusserver.py into common.config.urls
        https://bugs.webkit.org/show_bug.cgi?id=124650

        Reviewed by Ryosuke Niwa.

        * Scripts/webkitpy/common/checkout/scm/svn.py:
        (SVNRepository):
        * Scripts/webkitpy/common/config/urls.py:
        * Scripts/webkitpy/common/net/statusserver.py:
        (StatusServer.__init__):
        * Scripts/webkitpy/performance_tests/perftestsrunner.py:
        (_generate_results_dict):

2013-11-20  Commit Queue  <commit-queue@webkit.org>

        Unreviewed, rolling out r159496.
        http://trac.webkit.org/changeset/159496
        https://bugs.webkit.org/show_bug.cgi?id=124641

        It caused warning and build break with cmake lower than 2.8.8
        (Requested by ryuan on #webkit).

        * MiniBrowser/efl/CMakeLists.txt:

2013-11-20  Gabor Rapcsanyi  <rgabor@webkit.org>

        [EFL] libseccomp-2.0.0 doesn't support ARM architecture
        https://bugs.webkit.org/show_bug.cgi?id=124412

        Reviewed by Gyuyoung Kim.

        Update libseccomp to a newer 2.1.0 version.

        * efl/jhbuild.modules:

2013-11-19  Mark Rowe  <mrowe@apple.com>

        <rdar://problem/15487072> Modernize WebKit.app's OS X version checking logic.

        Gestalt is deprecated on recent OS X versions so we should switch off it.

        Reviewed by Sam Weinig.

        * WebKitLauncher/main.m:
        (currentMacOSXVersion): Retrieve the version string from SystemVersion.plist.
        (currentMacOSXMajorVersion): Split the version string at the periods, retrieve the first
        two components, then join them back up.
        (main): Switch to using currentMacOSXMajorVersion to make it clearer which part of
        the version we care about.

2013-11-19  Commit Queue  <commit-queue@webkit.org>

        Unreviewed, rolling out r159538.
        http://trac.webkit.org/changeset/159538
        https://bugs.webkit.org/show_bug.cgi?id=124627

        it broke run-jsc-stress-tests (Requested by mhahnenberg on
        #webkit).

        * Scripts/jsc-stress-test-helpers/check-mozilla-failure: Added.
        * Scripts/run-javascriptcore-tests:
        * Scripts/run-jsc-stress-tests:

2013-11-19  Mark Hahnenberg  <mhahnenberg@apple.com>

        run-jsc-stress-tests should be able to package its tests and move them places
        https://bugs.webkit.org/show_bug.cgi?id=124549

        Reviewed by Geoff Garen and Filip Pizlo.

        * Scripts/jsc-stress-test-helpers/check-mozilla-failure: Removed. This script was just a ruby reimplementation 
        of grep -i -q 
        * Scripts/run-javascriptcore-tests: Pass through the --make-bundle flag.
        * Scripts/run-jsc-stress-tests: Added the new concept of a "bundle", which is a collection of all tests and any
        other files that those tests require to run in any environment along with a fixed root directory into which these
        files and their expected directory structure are cloned. The default Bundle class is basically 
        a no-op so that it functions like run-jsc-stress-tests prior to this patch. MovableBundle is a Bundle that knows 
        how to translate local paths to bundle paths and does all the work of moving each test file into the right place 
        inside the .tests directory. After all the test files have been created in jsc-stress-results MovableBundle 
        creates a tarball of the entire directory for easy relocation. The --make-bundle flag causes run-jsc-stress-tests 
        to use MovableBundle instead of just Bundle. 

2013-11-19  Dan Bernstein  <mitz@apple.com>

        <rdar://problem/15139479> Reenable the JSC Objective-C API tests on Mountain Lion once the bots are running Xcode 5

        Rubber-stamped by Mark Rowe.

        Reverted r156840.

        * TestWebKitAPI/Tests/mac/WebViewDidCreateJavaScriptContext.mm:

2013-11-19  Ryosuke Niwa  <rniwa@webkit.org>

        Yet another build fix. Just allow any character.
        There are just too many special characters to be listed here.

        * Scripts/webkitpy/performance_tests/perftest.py:
        (PerfTest._lines_to_ignore_in_parser_result):
        * Scripts/webkitpy/performance_tests/perftest_unittest.py:
        (TestPerfTest.test_parse_output_with_subtests)

2013-11-19  Ryosuke Niwa  <rniwa@webkit.org>

        Another build fix. Allow ':' in subtest names.

        * Scripts/webkitpy/performance_tests/perftest.py:
        (PerfTest._lines_to_ignore_in_parser_result):
        * Scripts/webkitpy/performance_tests/perftest_unittest.py:
        (TestPerfTest.test_parse_output_with_subtests)

2013-11-19  Ryuan Choi  <ryuan.choi@samsung.com>

        [EFL] Use Config mode of find_package for EFL 1.8
        https://bugs.webkit.org/show_bug.cgi?id=124555

        Reviewed by Gyuyoung Kim.

        * MiniBrowser/efl/CMakeLists.txt: Introduced a config mode to find elementary.

2013-11-19  Ryosuke Niwa  <rniwa@webkit.org>

        Build fix. Subtest names need to be more permissive.

        * Scripts/webkitpy/performance_tests/perftest.py:
        (PerfTest._lines_to_ignore_in_parser_result):
        * Scripts/webkitpy/performance_tests/perftest_unittest.py:
        (TestPerfTest.test_parse_output_with_subtests)

2013-11-18  Mark Rowe  <mrowe@apple.com>

        Use hw.activecpu for determining how many processes to spawn.

        It's documented as the preferred way to determine the number of threads
        or processes to create in a SMP aware application.

        Rubber-stamped by Tim Horton.

        * Scripts/copy-webkitlibraries-to-product-directory:
        * Scripts/run-jsc-stress-tests:
        * WebKitTestRunner/WebKitTestRunner.xcodeproj/project.pbxproj:

2013-11-18  Tim Horton  <timothy_horton@apple.com>

        build.webkit.org/dashboard builder headers should link to the builder page
        https://bugs.webkit.org/show_bug.cgi?id=124553

        Reviewed by Timothy Hatcher.

        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/BuildbotQueue.js:
        (BuildbotQueue.prototype.get overviewURL):
        Add overviewURL(), which returns the URL to the builder overview page, with the last 50 builds shown.

        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/BuildbotBuilderQueueView.js:
        (BuildbotBuilderQueueView.prototype.update.appendBuildArchitecture):
        (BuildbotBuilderQueueView.prototype.update):
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/BuildbotTesterQueueView.js:
        (BuildbotTesterQueueView.prototype.update.appendBuilderQueueStatus):
        (BuildbotTesterQueueView.prototype.update.appendBuild):
        (BuildbotTesterQueueView.prototype.update):
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Styles/BuildbotQueueView.css:
        (.queue-view .queueLabel):
        (.queue-view .queueLabel:not(:first-child)):
        Make the header a link instead of a label, and wire it up to overviewURL.

2013-11-18  Samuel White  <samuel_white@apple.com>

        AX: Add ability to fetch only visible table rows.
        https://bugs.webkit.org/show_bug.cgi?id=124430

        Reviewed by Chris Fleizach.

        Adding method to fetch array of AccessibilityUIElements to help with test brevity and test breakage. Specifically, we
        have a good deal of churn any time we add or update an element attribute. This happens because the number of tests
        that rely on a simple element description text dump to verify a single attribute is non trivial. So any time you
        change add an attribute, you have to update all the tests that are now implicitly verifying this new attribute. But
        as the test guidelines state, our tests should be more focused and specific about what they test.

        * DumpRenderTree/AccessibilityUIElement.cpp:
        (uiElementArrayAttributeValueCallback):
        (AccessibilityUIElement::uiElementArrayAttributeValue):
        (AccessibilityUIElement::getJSClass):
        * DumpRenderTree/AccessibilityUIElement.h:
        * DumpRenderTree/mac/AccessibilityUIElementMac.mm:
        (AccessibilityUIElement::uiElementArrayAttributeValue):
        * WebKitTestRunner/InjectedBundle/AccessibilityUIElement.cpp:
        (WTR::AccessibilityUIElement::uiElementArrayAttributeValue):
        * WebKitTestRunner/InjectedBundle/AccessibilityUIElement.h:
        * WebKitTestRunner/InjectedBundle/Bindings/AccessibilityUIElement.idl:
        * WebKitTestRunner/InjectedBundle/atk/AccessibilityUIElementAtk.cpp:
        (WTR::AccessibilityUIElement::uiElementArrayAttributeValue):
        * WebKitTestRunner/InjectedBundle/mac/AccessibilityUIElementMac.mm:
        (WTR::AccessibilityUIElement::getUIElementsWithAttribute):
        (WTR::AccessibilityUIElement::uiElementArrayAttributeValue):

2013-11-18  Ryosuke Niwa  <rniwa@webkit.org>

        Simplify and reformat the output of performance tests inside test runners
        https://bugs.webkit.org/show_bug.cgi?id=124496

        Reviewed by Antti Koivisto.

        As a preparation to support subtests for Dromaeo and DoYouEvenBench, simplify the output
        performance tests generate. Instead of spitting out noise in PerfTestRunner (runner.js)
        and ignoring it in PerfTest._filter_output (perftest.py), simply avoid generating it in
        the first place.

        Also modernize the output to adopt "metric" concept better and make it forward compatible
        with subtests.

        With this patch, performance tests written using runner.js only produces empty lines or
        lines of the following format inside test runners (DumpRenderTree and WebKitTestRunner):
        <subtest name> -> [<value 1>, <value 2>, ...]
        :<metric name> -> [<value 1>, <value 2>, ...]

        This greatly simplifies the parsing logic inside PerfTest._run_with_driver.

        * Scripts/webkitpy/performance_tests/perftest.py:
        (PerfTest): Removed a bunch of regular expressions that are no longer used.
        (PerfTest._run_with_driver): Just parse the values and description and treat everything
        else as errors.

        * Scripts/webkitpy/performance_tests/perftest_unittest.py:
        (TestPerfTest.test_parse_output): Removed the junk.
        (TestPerfTest._assert_failed_on_line): Extracted from test_parse_output_with_failing_line,
        which was removed in favor of the tests below.
        (TestPerfTest.test_parse_output_with_running_five_times): Added.
        (TestPerfTest.test_parse_output_with_detailed_info): Added.
        (TestPerfTest.test_parse_output_with_statistics): Added.
        (TestPerfTest.test_parse_output_with_description): Removed the junk.
        (TestPerfTest.test_parse_output_with_subtests): Ditto.
        (TestSingleProcessPerfTest.test_use_only_one_process): Ditto.

        * Scripts/webkitpy/performance_tests/perftestsrunner_integrationtest.py:
        (EventTargetWrapperTestData): Ditto.
        (SomeParserTestData): Ditto.
        (MemoryTestData): Ditto.

2013-11-18  Tim Horton  <timothy_horton@apple.com>

        Occasionally, hundreds of tests fail with small text diffs on Mavericks
        https://bugs.webkit.org/show_bug.cgi?id=124312

        Reviewed by Simon Fraser.

        * Scripts/webkitpy/layout_tests/controllers/manager.py:
        (Manager._set_up_run):
        * Scripts/webkitpy/port/base.py:
        (Port.to.reset_preferences):
        * Scripts/webkitpy/port/mac.py:
        (MacPort.reset_preferences):
        Delete DumpRenderTree and WebKitTestRunner defaults domains before running tests,
        returning some of the functionality of 158652 after 159364 removed it.

2013-11-18  Tim Horton  <timothy_horton@apple.com>

        Checkmarks are shifted down on iPhone at build.webkit.org/dashboard
        https://bugs.webkit.org/show_bug.cgi?id=122909

        Reviewed by Alexey Proskuryakov.

        Put the checkmark SVG in the CSS file as a data URI so it loads immediately.

        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Styles/StatusLineView.css:
        (.status-line .bubble):
        (.status-line.good .bubble.pictogram):

2013-11-18  Ryosuke Niwa  <rniwa@webkit.org>

        Remove _lines_to_ignore_in_stderr, which was only used in Chromium port
        https://bugs.webkit.org/show_bug.cgi?id=124499

        Reviewed by Csaba Osztrogonác.

        Removed the code. I didn't like this hack back when it was added, and I don't like it today.

        * Scripts/webkitpy/performance_tests/perftest.py:
        (PerfTest._should_ignore_line):
        * Scripts/webkitpy/performance_tests/perftest_unittest.py:
        (TestPerfTest): Removed the unit test.

2013-11-17  Filip Pizlo  <fpizlo@apple.com>

        Unreviewed, fix this script for older Rubies where Pathname doesn't coerce to String
        quite as easily.
        
        With help from Andy Trick.

        * Scripts/export-llvm-build:

2013-11-15  Filip Pizlo  <fpizlo@apple.com>

        FTL should have an explicit notion of bytecode liveness
        https://bugs.webkit.org/show_bug.cgi?id=124181

        Reviewed by Mark Hahnenberg.

        * Scripts/run-jsc-stress-tests:

2013-11-16  Dan Bernstein  <mitz@apple.com>

        No way for policy client to determine if a the response’s MIME type can be shown
        https://bugs.webkit.org/show_bug.cgi?id=124445

        Reviewed by Sam Weinig.

        * MiniBrowser/mac/WK2BrowserWindowController.m:
        (decidePolicyForResponse): Added canShowMIMEType parameter.
        (-[WK2BrowserWindowController awakeFromNib]): Updated for changes in the policy client.

        * TestWebKitAPI/Tests/WebKit2/PageLoadBasic.cpp:
        (TestWebKitAPI::decidePolicyForResponse): Added canShowMIMEType parameter.

        * WebKitTestRunner/TestController.cpp:
        (WTR::TestController::createWebViewWithOptions): Updated for changes in the policy client.
        (WTR::TestController::decidePolicyForResponse): Added canShowMIMEType parameter.
        * WebKitTestRunner/TestController.h:

2013-11-16  Tim Horton  <timothy_horton@apple.com>

        Checkmarks are shifted down on iPhone at build.webkit.org/dashboard
        https://bugs.webkit.org/show_bug.cgi?id=122909

        Reviewed by Timothy Hatcher.

        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Images/checkmark.svg: Added.
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/StatusLineView.js:
        (StatusLineView.prototype.set repeatCount):
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Styles/StatusLineView.css:
        (.status-line.good .bubble.pictogram):
        Use an SVG image instead of an obscure font for the checkboxes so they
        render identically on all platforms.

2013-11-15  Tim Horton  <timothy_horton@apple.com>

        Occasionally, hundreds of tests fail with small text diffs on Mavericks
        https://bugs.webkit.org/show_bug.cgi?id=124312

        Reviewed by Alexey Proskuryakov.

        Try reverting the part of r158652 that deleted all of the persistent
        defaults, in the thought that there might be some sort of race between
        processes causing some settings to be left in the wrong state.

        * DumpRenderTree/mac/DumpRenderTree.mm:
        (setDefaultsToConsistentValuesForTesting):
        * WebKitTestRunner/mac/main.mm:
        (setDefaultsToConsistentValuesForTesting):

2013-11-15  Dan Bernstein  <mitz@apple.com>

        Give the policy client the originating frame of a navigation action
        https://bugs.webkit.org/show_bug.cgi?id=124431

        Reviewed by Anders Carlsson.

        * MiniBrowser/mac/WK2BrowserWindowController.m:
        (decidePolicyForNavigationAction): Added originatingFrame parameter.
        (-[WK2BrowserWindowController awakeFromNib]): Updated for the new version of the policy
        client.

        * TestWebKitAPI/Tests/WebKit2/DownloadDecideDestinationCrash.cpp:
        (TestWebKitAPI::decidePolicyForNavigationAction): Added originatingFrame parameter.
        (TestWebKitAPI::setPagePolicyClient): Updated for the new version of the policy client.

        * TestWebKitAPI/Tests/WebKit2/PageLoadBasic.cpp:
        (TestWebKitAPI::decidePolicyForNavigationAction): Added originatingFrame parameter.
        (TestWebKitAPI::TEST): Updated for the new version of the policy client.

        * WebKitTestRunner/TestController.cpp:
        (WTR::TestController::createWebViewWithOptions): Updated for the new version of the policy
        client.
        (WTR::TestController::decidePolicyForNavigationAction): Added originatingFrame parameter.
        * WebKitTestRunner/TestController.h:

2013-11-15  Tim Horton  <timothy_horton@apple.com>

        build.webkit.org/dashboard should provide a way to focus on a subset of bots
        https://bugs.webkit.org/show_bug.cgi?id=122676

        Reviewed by Timothy Hatcher.

        Add a small 'hide' button next to every platform logo, and a 'show all'
        button which only appears when at least one platform is hidden. Hidden
        platforms persist using localStorage.

        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/Initialization.js:
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/Main.js:
        (updateHiddenPlatforms):
        (documentReady.unhideButton):
        (documentReady.hideButton):
        (documentReady):
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/Settings.js: Added.
        (Settings.prototype.setObject):
        (Settings.prototype.getObject):
        (Settings.prototype.addSettingListener):
        (Settings.prototype.fireSettingListener):
        (Settings.prototype.toggleHiddenPlatform):
        (Settings.prototype.clearHiddenPlatforms):
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Styles/Main.css:
        (div.cellButton):
        (div.cellButton.hide):
        (.hidden):
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/index.html:

2013-11-15  Jer Noble  <jer.noble@apple.com>

        MediaTime addition and subtraction operators have errors when the rhs is infinite.
        https://bugs.webkit.org/show_bug.cgi?id=124413

        Reviewed by Eric Carlson.

        Add a test for operator+ and operator- where an infinite value appears
        on the right-hand side:
        * TestWebKitAPI/Tests/WTF/MediaTime.cpp:
        (TestWebKitAPI::TEST):

        Add a LLDB summary provider for MediaTime which displays the rational
        time as well as the value in seconds:
        * lldb/lldb_webkit.py:
        (__lldb_init_module):
        (WTFMediaTime_SummaryProvider):
        (WTFHashTableProvider.has_children):
        (WTFMediaTimeProvider):
        (WTFMediaTimeProvider.__init__):
        (WTFMediaTimeProvider.timeValue):
        (WTFMediaTimeProvider.timeScale):
        (WTFMediaTimeProvider.isInvalid):
        (WTFMediaTimeProvider.isPositiveInfinity):
        (WTFMediaTimeProvider.isNegativeInfinity):
        (WTFMediaTimeProvider.isIndefinite):

2013-11-15  Tim Horton  <timothy_horton@apple.com>

        Make it possible to select revision numbers on build.webkit.org/dashboard
        https://bugs.webkit.org/show_bug.cgi?id=124400

        Reviewed by Timothy Hatcher.

        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/BuildbotQueueView.js:
        (BuildbotQueueView.prototype.revisionLinksForIteration):
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Styles/Main.css:
        (.selectable):
        Add a child span to the trac link, which has '-webkit-user-select: all' on it.
        This way, a Dashboard user can highlight revision numbers for easy copying,
        and doesn't even have to be precise about the selection.

2013-11-15  Tim Horton  <timothy_horton@apple.com>

        Adjust and add retina versions of EFL and GTK build.webkit.org/dashboard icons
        https://bugs.webkit.org/show_bug.cgi?id=124399

        Reviewed by Gustavo Noronha Silva.

        Add new EFL and GTK icons (derived from Wikipedia's SVGs) to make new 1x and 2x icons,
        with the icons adjusted to have solid backgrounds, to not be squished, and to not
        intersect the ring, similar to the Mac icons.

        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Images/EFL.png:
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Images/EFL@2x.png: Added.
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Images/GTK.png:
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Images/GTK@2x.png: Added.
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/Main.js:
        (documentReady.hideButton):
        (documentReady):
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Styles/Main.css:
        (table.queue-grid tr.platform.linux-gtk img.logo):
        (table.queue-grid tr.platform.linux-efl img.logo):

2013-11-15  Stephane Jadaud  <sjadaud@sii.fr>

        [GStreamer] Add support for Media Source API
        https://bugs.webkit.org/show_bug.cgi?id=99065

        Reviewed by Philippe Normand.

        * Scripts/webkitperl/FeatureList.pm:

2013-11-15  Xabier Rodriguez Calvar  <calvaris@igalia.com>

        [GTK] Bumping GStreamer version to 1.2.1 for the dependencies
        https://bugs.webkit.org/show_bug.cgi?id=124360

        Reviewed by Philippe Normand.

        * gtk/jhbuild.modules: Bumped GStreamer version up to 1.2.1

2013-11-14  Brent Fulgham  <bfulgham@apple.com>

        [Win] Improve support for command line builds of 64-bit JSC
        https://bugs.webkit.org/show_bug.cgi?id=124380

        Reviewed by David Kilzer.

        * Scripts/webkitdirs.pm:
        (argumentsForConfiguration): Recognize all flavors of Debug and Release (i.e., 'Debug',
        'Debug|Win32', 'Debug|x64') when passing arguments to child processes.
        (determinePassedConfiguration): Don't suffix configuration with "|Win32" or "|x64". That's
        what the "$configurationForVisualStudio" value is for.

2013-11-14  Oliver Hunt  <oliver@apple.com>

        Make CLoop easier to build, and make it work
        https://bugs.webkit.org/show_bug.cgi?id=124359

        Reviewed by Geoffrey Garen.

        Add --cloop support to forcibly enable to CLoop build

        * Scripts/build-jsc:
        * Scripts/build-webkit:

2013-11-14  Lucas Forschler  <lforschler@apple.com>

        Add webkit slave.

        Unreviewed.

        * BuildSlaveSupport/build.webkit.org-config/config.json:

2013-11-14  Tim Horton  <timothy_horton@apple.com>

        build.webkit.org/dashboard can’t open different results in two new tabs
        https://bugs.webkit.org/show_bug.cgi?id=124383

        Reviewed by Alexey Proskuryakov.

        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/BuildbotQueueView.js:
        (BuildbotQueueView.prototype.revisionLinksForIteration):
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/StatusLineView.js:
        (StatusLineView.prototype._clicked):
        Use _blank (which is effectively open-in-new-tab, in Safari) instead of _new (which isn't a
        real pseudo-target and instead acts as a named target and will end up causing all link clicks
        to open in the same secondary tab).

2013-11-14  Anders Carlsson  <andersca@apple.com>

        Remove duplicate entry.

        * Scripts/webkitpy/common/config/contributors.json:

2013-11-14  Krzysztof Czech  <k.czech@samsung.com>

        [ATK] Change WKTR/DRT AX methods to use nullptr 
        https://bugs.webkit.org/show_bug.cgi?id=124352

        Reviewed by Anders Carlsson.

        Change WKTR/DRT accessibility related methods to use nullptr.

        * DumpRenderTree/atk/AccessibilityControllerAtk.cpp:
        (AccessibilityController::AccessibilityController):
        (AccessibilityController::elementAtPoint):
        (AccessibilityController::removeNotificationListener):
        (AccessibilityController::childElementById):
        * DumpRenderTree/atk/AccessibilityNotificationHandlerAtk.cpp:
        (AccessibilityNotificationHandler::AccessibilityNotificationHandler):
        * DumpRenderTree/atk/AccessibilityUIElementAtk.cpp:
        (AccessibilityUIElement::elementAtPoint):
        (AccessibilityUIElement::linkedUIElementAtIndex):
        (AccessibilityUIElement::getChildAtIndex):
        (AccessibilityUIElement::titleUIElement):
        (AccessibilityUIElement::parentElement):
        (AccessibilityUIElement::subrole):
        (AccessibilityUIElement::roleDescription):
        (AccessibilityUIElement::orientation):
        (AccessibilityUIElement::ariaDropEffects):
        (AccessibilityUIElement::uiElementForSearchPredicate):
        (AccessibilityUIElement::cellForColumnAndRow):
        (AccessibilityUIElement::disclosedRowAtIndex):
        (AccessibilityUIElement::ariaOwnsElementAtIndex):
        (AccessibilityUIElement::ariaFlowToElementAtIndex):
        (AccessibilityUIElement::selectedRowAtIndex):
        (AccessibilityUIElement::rowAtIndex):
        (AccessibilityUIElement::disclosedByRow):
        (AccessibilityUIElement::removeNotificationListener):
        (AccessibilityUIElement::classList):
        * WebKitTestRunner/InjectedBundle/atk/AccessibilityControllerAtk.cpp:
        (WTR::AccessibilityController::logAccessibilityEvents):
        (WTR::AccessibilityController::resetToConsistentState):
        (WTR::childElementById):
        (WTR::AccessibilityController::accessibleElementById):
        (WTR::AccessibilityController::removeNotificationListener):
        * WebKitTestRunner/InjectedBundle/atk/AccessibilityNotificationHandlerAtk.cpp:
        (WTR::AccessibilityNotificationHandler::setNotificationFunctionCallback):
        (WTR::AccessibilityNotificationHandler::removeAccessibilityNotificationHandler):
        * WebKitTestRunner/InjectedBundle/atk/AccessibilityUIElementAtk.cpp:
        (WTR::AccessibilityUIElement::elementAtPoint):
        (WTR::AccessibilityUIElement::childAtIndex):
        (WTR::AccessibilityUIElement::linkedUIElementAtIndex):
        (WTR::AccessibilityUIElement::ariaOwnsElementAtIndex):
        (WTR::AccessibilityUIElement::ariaFlowToElementAtIndex):
        (WTR::AccessibilityUIElement::disclosedRowAtIndex):
        (WTR::AccessibilityUIElement::rowAtIndex):
        (WTR::AccessibilityUIElement::selectedChildAtIndex):
        (WTR::AccessibilityUIElement::selectedRowAtIndex):
        (WTR::AccessibilityUIElement::titleUIElement):
        (WTR::AccessibilityUIElement::parentElement):
        (WTR::AccessibilityUIElement::disclosedByRow):
        (WTR::AccessibilityUIElement::uiElementAttributeValue):
        (WTR::AccessibilityUIElement::orientation):
        (WTR::AccessibilityUIElement::uiElementForSearchPredicate):
        (WTR::AccessibilityUIElement::cellForColumnAndRow):
        (WTR::AccessibilityUIElement::horizontalScrollbar):
        (WTR::AccessibilityUIElement::verticalScrollbar):
        (WTR::AccessibilityUIElement::removeNotificationListener):
        (WTR::AccessibilityUIElement::textMarkerRangeForElement):
        (WTR::AccessibilityUIElement::previousTextMarker):
        (WTR::AccessibilityUIElement::nextTextMarker):
        (WTR::AccessibilityUIElement::textMarkerRangeForMarkers):
        (WTR::AccessibilityUIElement::startTextMarkerForTextMarkerRange):
        (WTR::AccessibilityUIElement::endTextMarkerForTextMarkerRange):
        (WTR::AccessibilityUIElement::endTextMarkerForBounds):
        (WTR::AccessibilityUIElement::startTextMarkerForBounds):
        (WTR::AccessibilityUIElement::textMarkerForPoint):
        (WTR::AccessibilityUIElement::accessibilityElementForTextMarker):
        (WTR::AccessibilityUIElement::textMarkerForIndex):
        (WTR::AccessibilityUIElement::supportedActions):
        (WTR::AccessibilityUIElement::pathDescription):
        (WTR::AccessibilityUIElement::mathPostscriptsDescription):
        (WTR::AccessibilityUIElement::mathPrescriptsDescription):
        (WTR::AccessibilityUIElement::classList):

2013-11-14  Éva Balázsfalvi  <balazsfalvi.eva@stud.u-szeged.hu>

        run-perf-tests should warn loudly if you're using a Debug build.
        https://bugs.webkit.org/show_bug.cgi?id=105236

        Reviewed by Csaba Osztrogonác.

        * Scripts/webkitpy/performance_tests/perftestsrunner.py:
        (PerfTestsRunner.run):

2013-11-14  Éva Balázsfalvi  <balazsfalvi.eva@stud.u-szeged.hu>

        Fix Tools/Scripts/webkitpy/port/factory.py --help to display which configuration is default
        https://bugs.webkit.org/show_bug.cgi?id=124143

        Reviewed by Csaba Osztrogonác.

        * Scripts/webkitpy/port/factory.py:
        (configuration_options):

2013-11-13  Anders Carlsson  <andersca@apple.com>

        Add a Vector constructor that takes an std::initializer_list
        https://bugs.webkit.org/show_bug.cgi?id=124287

        Reviewed by Antti Koivisto.

        * TestWebKitAPI/Tests/WTF/Vector.cpp:
        (TestWebKitAPI::TEST):

2013-11-13  Mario Sanchez Prada  <mario.prada@samsung.com>

        Unreviewed GTK gardening. Updated rebaseline unit tests to include WK2 bot.

        * Scripts/webkitpy/tool/commands/rebaseline_unittest.py:
        (TestRebaselineTest.test_baseline_directory): Updated.

2013-11-13  Krzysztof Czech  <k.czech@samsung.com>

        [ATK] Support compilation of EFL/GTK without accessibility
        https://bugs.webkit.org/show_bug.cgi?id=122448

        Reviewed by Chris Fleizach.

        Added missing HAVE(ACCESSIBILITY) guards and stubs to ATK's related files,
        so that in case of turning off the HAVE_ACCESSIBILITY macro EFL/GTK would compile properly.

        * DumpRenderTree/AccessibilityController.h:
        * DumpRenderTree/AccessibilityUIElement.h:
        * DumpRenderTree/atk/AccessibilityCallbacks.h:
        * DumpRenderTree/atk/AccessibilityNotificationHandlerAtk.cpp:
        * DumpRenderTree/atk/AccessibilityNotificationHandlerAtk.h:
        * WebKitTestRunner/InjectedBundle/AccessibilityController.cpp:
        (WTR::AccessibilityController::rootElement):
        (WTR::AccessibilityController::focusedElement):
        * WebKitTestRunner/InjectedBundle/AccessibilityUIElement.cpp:
        * WebKitTestRunner/InjectedBundle/atk/AccessibilityControllerAtk.cpp:
        * WebKitTestRunner/InjectedBundle/atk/AccessibilityNotificationHandlerAtk.cpp:
        * WebKitTestRunner/InjectedBundle/atk/AccessibilityNotificationHandlerAtk.h:
        * WebKitTestRunner/InjectedBundle/atk/AccessibilityUIElementAtk.cpp:
        * WebKitTestRunner/PlatformEfl.cmake:

2013-11-12  Ryuan Choi  <ryuan.choi@samsung.com>

        [EFL] Added libxss-dev to install-dependencies
        https://bugs.webkit.org/show_bug.cgi?id=124254

        Reviewed by Gyuyoung Kim.

        libxss-dev is required to build EFL packages.
        see building part in http://www.enlightenment.org/p.php?p=contribute

        * efl/install-dependencies: Added libxss-dev to parameter of apt-get command.

2013-11-12  Tim Horton  <timothy_horton@apple.com>

        After http://trac.webkit.org/changeset/159109, update
        rebaseline_unittest to use the new GTK bot names.

        * Scripts/webkitpy/tool/commands/rebaseline_unittest.py:
        (TestRebaselineTest.test_baseline_directory):

2013-11-12  Denis Nomiyama  <d.nomiyama@samsung.com>

        [GTK] Update GTK builders in Tools/Scripts/webkitpy/port/builders.py
        https://bugs.webkit.org/show_bug.cgi?id=124144

        Reviewed by Gustavo Noronha Silva.

        Updated the list of GTK builders in Tools/Scripts/webkitpy/port/builders.py
        according to http://build.webkit.org/builders.

        * Scripts/webkitpy/port/builders.py:

2013-11-11  Samuel White  <samuel_white@apple.com>

        AX: support helpText() in DumpRenderTree
        https://bugs.webkit.org/show_bug.cgi?id=40194

        Reviewed by Chris Fleizach.

        Implemented stubbed helpText methods so we can move aria-help.html back to LayoutTests/accessibility.

        * DumpRenderTree/win/AccessibilityUIElementWin.cpp:
        (AccessibilityUIElement::helpText):

2013-11-11  Anders Carlsson  <andersca@apple.com>

        Remove block based APIs from the WebKit2 C API
        https://bugs.webkit.org/show_bug.cgi?id=124157

        Reviewed by Sam Weinig.

        Update for WK2 changes.

        * MiniBrowser/mac/WK2BrowserWindowController.m:
        (dumpSource):
        (-[WK2BrowserWindowController dumpSourceToConsole:]):

2013-11-11  Tamas Gergely  <gertom@inf.u-szeged.hu>

        The feeder queue will not feed patches older than one week.
        https://bugs.webkit.org/show_bug.cgi?id=107152

        Reviewed by Csaba Osztrogonác.

        The feeder queue will not feed patches older than one week.
        Unit test added to this scenario.

        * Scripts/webkitpy/common/net/bugzilla/bugzilla.py:
        (BugzillaQueries._parse_attachment_ids_request_query):
          Handle date parameter.
        (BugzillaQueries):
        (BugzillaQueries._fetch_attachment_ids_request_query):
          Propagate date.
        (BugzillaQueries.fetch_attachment_ids_from_review_queue):
          Propagate date.
        * Scripts/webkitpy/common/net/bugzilla/bugzilla_mock.py:
        (MockBugzillaQueries.fetch_attachment_ids_from_review_queue):
          Handle date.
        * Scripts/webkitpy/common/net/bugzilla/bugzilla_unittest.py:
        (test_request_page_parsing):
          Unit test added.
        * Scripts/webkitpy/tool/bot/feeders.py:
        (EWSFeeder.feed):
          Query patch ids with date parameter (now - 1 week).

2013-11-11  Tamas Gergely  <gertom@inf.u-szeged.hu>

        Do not shut down ImageDiff server after every diff during the tests.
        https://bugs.webkit.org/show_bug.cgi?id=124140

        Reviewed by Csaba Osztrogonác.

        There was a FIXME: There is no need to shut down the ImageDiff
        server after every diff. Shutdown is removed from that point.

        * Scripts/webkitpy/port/image_diff.py:
        (ImageDiffer._read):

2013-11-08  Matthew Hanson  <matthew_hanson@apple.com>

        Unreviewed. Added myself as a contributor.

        * Scripts/webkitpy/common/config/contributors.json:

2013-11-08  Krzysztof Czech  <k.czech@samsung.com>

        [GTK] accessibility/aria-link-supports-press.html is failing
        https://bugs.webkit.org/show_bug.cgi?id=98355

        Reviewed by Mario Sanchez Prada.

        Checking "jump" action for link elements. Action "jump" occurs when a link 
        element is pressed/clicked.

        * DumpRenderTree/atk/AccessibilityUIElementAtk.cpp:
        (AccessibilityUIElement::isPressActionSupported):
        * WebKitTestRunner/InjectedBundle/atk/AccessibilityUIElementAtk.cpp:
        (WTR::AccessibilityUIElement::isPressActionSupported):

2013-11-08  Przemyslaw Szymanski  <p.szymanski3@samsung.com>

        [JHBUILD] Jhbuild Makefile build bug workaround
        https://bugs.webkit.org/show_bug.cgi?id=123971

        Reviewed by Ryosuke Niwa.

        After Jhbuild repository is cloned (for instance when you use
        Tools/Scripts/update-webkitefl-libs) it is built from sources.
        If you have GREP_OPTIONS grep env variable set (for instance
        GREP_OPTIONS=-n) then it is jhbuild build error. Makefile.plain
        uses shell grep. For specific GREP_OPTIONS grep output will be
        different than expected one by Jhbuild and there is an error
        with Jhbuild build. Jhbuild will not be built and then WebKit
        source also will not be built. This patch is a workaround to this
        issue. It disables GREP_OPTIONS for Jhbuild build time.

        * jhbuild/jhbuild-wrapper:
        (install_jhbuild):

2013-11-08  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Ignore deprecated macros when generating gtk-doc
        https://bugs.webkit.org/show_bug.cgi?id=123988

        Reviewed by Philippe Normand.

        * gtk/generate-gtkdoc:
        (get_common_options): Ignore also WEBKIT_DEPRECATED and
        WEBKIT_DEPRECATED_FOR decorators.

2013-11-08  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Pass the library namespace to gtkdoc-mkdb
        https://bugs.webkit.org/show_bug.cgi?id=123900

        Reviewed by Martin Robinson.

        This fixes the generation of the index of symbols in the API
        documentation.

        * gtk/generate-gtkdoc:
        (get_webkit2_options): Define namespace as WebKit.
        (get_webkit1_options): Ditto.
        (get_webkitdom_options): Define namespace as WebKitDOM.
        * gtk/gtkdoc.py:
        (GTKDoc.__init__): Add namespace option.
        (GTKDoc._run_gtkdoc_mkdb): Pass namespace to mkdb if present.

2013-11-07  Chris Fleizach  <cfleizach@apple.com>

        Modify email order list for James Craig so his primary email is first.

        * Scripts/webkitpy/common/config/contributors.json:

2013-11-07  Nick Diego Yamane  <nick.yamane@openbossa.org>

        [Gtk] Disable LTO when building cairo
        https://bugs.webkit.org/show_bug.cgi?id=123954

        Reviewed by Martin Robinson.

        Cairo always uses LTO, when it detects compiler support.
        LTO is buggy in many/all versions of GCC and shouldn't be enabled by
        default. This patch disables LTO when building cairo library.
        - See: https://bugs.freedesktop.org/show_bug.cgi?id=60852

        With gcc 4.7.3, for example, the build fails with the following message:
        'lto1: fatal error: LTO_tags out of range: Range is 0 to 361, value is 15872'

        * gtk/jhbuild.modules:

2013-11-07  Samuel White  <samuel_white@apple.com>

        AX: DRT AccessibilityUIElement::isFocused methods should be finished.
        https://bugs.webkit.org/show_bug.cgi?id=123774

        Reviewed by Chris Fleizach.

        Implemented AccessibilityUIElement::isFocused methods and removed FIXMEs.

        * DumpRenderTree/mac/AccessibilityUIElementMac.mm:
        (AccessibilityUIElement::isFocused):
        * WebKitTestRunner/InjectedBundle/mac/AccessibilityUIElementMac.mm:
        (WTR::AccessibilityUIElement::isFocused):

2013-11-07  Dániel Bátyai  <Batyai.Daniel@stud.u-szeged.hu>

        Removed retrieveQMakespecVar function
        https://bugs.webkit.org/show_bug.cgi?id=123996

        Reviewed by Csaba Osztrogonác.

        * Scripts/webkitdirs.pm:

2013-11-07  Dániel Bátyai  <Batyai.Daniel@stud.u-szeged.hu>

        Removed QMake related filters
        https://bugs.webkit.org/show_bug.cgi?id=123992

        Reviewed by Csaba Osztrogonác.

        * Scripts/webkitpy/tool/commands/rebaseline_unittest.py:
        (TestRebaseline.test_rebaseline):
        (TestRebaselineExpectations.test_rebaseline_expectations):

2013-11-07  Nick Diego Yamane  <nick.yamane@openbossa.org>

        [Efl] Disable LTO when building cairo
        https://bugs.webkit.org/show_bug.cgi?id=123947

        Reviewed by Gyuyoung Kim.

        Cairo always uses LTO, when it detects compiler support.
        LTO is buggy in many/all versions of GCC and shouldn't be enabled by
        default. This patch disables LTO when building cairo library.
        - See: https://bugs.freedesktop.org/show_bug.cgi?id=60852

        With gcc 4.7.3, for example, the build fails with the following message:
        'lto1: fatal error: LTO_tags out of range: Range is 0 to 361, value is 15872'

        * efl/jhbuild.modules:

2013-11-07  Mario Sanchez Prada  <mario.prada@samsung.com>

        AX: [ATK] Video and audio elements are not properly exposed
        https://bugs.webkit.org/show_bug.cgi?id=123894

        Reviewed by Chris Fleizach.

        Update DRT and WKTR to handle the ATK_ROLE_EMBEDDED role.

        * DumpRenderTree/atk/AccessibilityUIElementAtk.cpp: Updated.
        * WebKitTestRunner/InjectedBundle/atk/AccessibilityUIElementAtk.cpp: Updated.

2013-11-07  Peter Molnar  <pmolnar.u-szeged@partner.samsung.com>

        Change git_commit_from_svn_revision() to work in a pure git checkout
        https://bugs.webkit.org/show_bug.cgi?id=111668

        Reviewed by Ryosuke Niwa.

        * Scripts/webkitpy/common/checkout/scm/git.py:
        (Git.git_commit_from_svn_revision):

2013-11-06  Jer Noble  <jer.noble@apple.com>

        Unreviewed webkitpy unit test fix; update baselines after r158765

        * Scripts/webkitpy/port/win_unittest.py:
        (WinPortTest.test_baseline_search_path):

2013-11-06  Jer Noble  <jer.noble@apple.com>

        [Win] run-webkit-tests on the win platform should fall back to mac-mountainlion, not mac-lion.
        https://bugs.webkit.org/show_bug.cgi?id=123905

        Reviewed by Brent Fulgham.

        Now that the mac-lion results have been removed, the win port should fall back to
        the mac-mountainlion results.

        * Scripts/webkitpy/port/win.py:
        (WinPort.default_baseline_search_path):

2013-11-06  Anders Carlsson  <andersca@apple.com>

        Fix a Mountain Lion test failure.

        NSURLRequest doesn't conform to NSSecureCoding on Mountain Lion, so don't try to test encoding it.

        * TestWebKitAPI/Tests/WebKit2ObjC/WKRemoteObjectRegistry.mm:
        (TestWebKitAPI::TEST):

2013-11-06  Krzysztof Czech  <k.czech@samsung.com>

        [ATK] Implement tables-related attributesOf*() functions for AccessibilityUIElement
        https://bugs.webkit.org/show_bug.cgi?id=118969

        Reviewed by Mario Sanchez Prada.

        Added missing implementation of attributesOfColumnHeaders, attributesOfRowHeaders, attributesOfVisibleCells.

        * DumpRenderTree/atk/AccessibilityUIElementAtk.cpp:
        (AccessibilityUIElement::attributesOfChildren):
        (AccessibilityUIElement::attributesOfColumnHeaders):
        (AccessibilityUIElement::attributesOfRowHeaders):
        (AccessibilityUIElement::attributesOfVisibleCells):
        * WebKitTestRunner/InjectedBundle/atk/AccessibilityUIElementAtk.cpp:
        (WTR::AccessibilityUIElement::attributesOfChildren):
        (WTR::AccessibilityUIElement::attributesOfColumnHeaders):
        (WTR::AccessibilityUIElement::attributesOfRowHeaders):
        (WTR::AccessibilityUIElement::attributesOfVisibleCells):

2013-11-05  Benjamin Poulain  <benjamin@webkit.org>

        [WK2] Add a WebKit2 API for Geolocation's highAccuracy
        https://bugs.webkit.org/show_bug.cgi?id=123786

        Reviewed by Darin Adler.

        Add basic testing for the Geolocation API (start, stop and change accuracy).

        * TestWebKitAPI/GNUmakefile.am:
        * TestWebKitAPI/PlatformEfl.cmake:
        * TestWebKitAPI/PlatformGTK.cmake:
        * TestWebKitAPI/TestWebKitAPI.xcodeproj/project.pbxproj:
        * TestWebKitAPI/Tests/WebKit2/Geolocation.cpp: Added.
        (TestWebKitAPI::operator<<):
        (TestWebKitAPI::GeolocationStateTracker::~GeolocationStateTracker):
        (TestWebKitAPI::GeolocationStateTracker::eventsChanged):
        (TestWebKitAPI::GeolocationStateTracker::startUpdatingCallback):
        (TestWebKitAPI::GeolocationStateTracker::stopUpdatingCallback):
        (TestWebKitAPI::GeolocationStateTracker::setEnableHighAccuracyCallback):
        (TestWebKitAPI::decidePolicyForGeolocationPermissionRequestCallBack):
        (TestWebKitAPI::setupGeolocationProvider):
        (TestWebKitAPI::setupView):
        (TestWebKitAPI::GeolocationBasicStateTracker::GeolocationBasicStateTracker):
        (TestWebKitAPI::GeolocationBasicStateTracker::eventsChanged):
        (TestWebKitAPI::GeolocationBasicWithHighAccuracyStateTracker::GeolocationBasicWithHighAccuracyStateTracker):
        (TestWebKitAPI::GeolocationBasicWithHighAccuracyStateTracker::eventsChanged):
        (TestWebKitAPI::GeolocationTransitionToHighAccuracyStateTracker::GeolocationTransitionToHighAccuracyStateTracker):
        (TestWebKitAPI::GeolocationTransitionToHighAccuracyStateTracker::eventsChanged):
        (TestWebKitAPI::GeolocationTransitionToLowAccuracyStateTracker::GeolocationTransitionToLowAccuracyStateTracker):
        (TestWebKitAPI::GeolocationTransitionToLowAccuracyStateTracker::eventsChanged):
        (TestWebKitAPI::didFinishLoadForFrame):
        * TestWebKitAPI/Tests/WebKit2/geolocationGetCurrentPosition.html: Added.
        * TestWebKitAPI/Tests/WebKit2/geolocationGetCurrentPositionWithHighAccuracy.html: Added.
        * TestWebKitAPI/Tests/WebKit2/geolocationWatchPosition.html: Added.
        * TestWebKitAPI/Tests/WebKit2/geolocationWatchPositionWithHighAccuracy.html: Added.
        * WebKitTestRunner/GeolocationProviderMock.cpp:
        (WTR::GeolocationProviderMock::GeolocationProviderMock):

2013-11-05  Anders Carlsson  <andersca@apple.com>

        Implement more NSCoder methods
        https://bugs.webkit.org/show_bug.cgi?id=123815

        Reviewed by Dan Bernstein.

        Add a method that takes an NSArray, an NSDictionary and an NSURLRequest.

        * TestWebKitAPI/Tests/WebKit2ObjC/WKRemoteObjectRegistry.mm:
        (TestWebKitAPI::TEST):
        * TestWebKitAPI/Tests/mac/WKRemoteObjectRegistry_Bundle.mm:
        (-[BundleObject testMethodWithArray:dictionary:request:]):
        * TestWebKitAPI/Tests/mac/WKRemoteObjectRegistry_Shared.h:

2013-11-05  Filip Pizlo  <fpizlo@apple.com>

        Update ReducedFTL
        https://bugs.webkit.org/show_bug.cgi?id=123805

        Reviewed by Sam Weinig.
        
        - Make ReducedFTL build with debug info.
        
        - Give ReducedFTL a --loop mode that runs everything in a loop. Great for finding
          memory leaks and attaching a profiler.
        
        - Reorder the passes so that they match the FTL.
        
        - Make it possible to change the backend opt level and enable the fast isel.

        * ReducedFTL/ReducedFTL.c:
        (usage):
        (roundUpSize):
        (mmAllocateCodeSection):
        (main):
        * ReducedFTL/build.sh:

2013-11-05  Chris Fleizach  <cfleizach@apple.com>

        AX: switch DRT AX methods to use nullptr
        https://bugs.webkit.org/show_bug.cgi?id=123773

        Reviewed by Andreas Kling.

        Switch AX related code in DRT and WKTR to use nullptr.

        * DumpRenderTree/AccessibilityUIElement.cpp:
        (AccessibilityUIElement::startTextMarker):
        (AccessibilityUIElement::endTextMarker):
        * DumpRenderTree/mac/AccessibilityControllerMac.mm:
        (findAccessibleObjectById):
        (AccessibilityController::accessibleElementById):
        * DumpRenderTree/mac/AccessibilityUIElementMac.mm:
        (AccessibilityUIElement::getChildAtIndex):
        (AccessibilityUIElement::linkedUIElementAtIndex):
        (AccessibilityUIElement::ariaOwnsElementAtIndex):
        (AccessibilityUIElement::ariaFlowToElementAtIndex):
        (AccessibilityUIElement::disclosedRowAtIndex):
        (AccessibilityUIElement::selectedChildAtIndex):
        (AccessibilityUIElement::selectedRowAtIndex):
        (AccessibilityUIElement::rowAtIndex):
        (AccessibilityUIElement::titleUIElement):
        (AccessibilityUIElement::parentElement):
        (AccessibilityUIElement::disclosedByRow):
        (AccessibilityUIElement::stringAttributeValue):
        (AccessibilityUIElement::uiElementAttributeValue):
        (AccessibilityUIElement::role):
        (AccessibilityUIElement::subrole):
        (AccessibilityUIElement::roleDescription):
        (AccessibilityUIElement::title):
        (AccessibilityUIElement::description):
        (AccessibilityUIElement::orientation):
        (AccessibilityUIElement::stringValue):
        (AccessibilityUIElement::language):
        (AccessibilityUIElement::helpText):
        (AccessibilityUIElement::valueDescription):
        (AccessibilityUIElement::speak):
        (AccessibilityUIElement::classList):
        (AccessibilityUIElement::ariaDropEffects):
        (AccessibilityUIElement::rangeForLine):
        (AccessibilityUIElement::rangeForPosition):
        (AccessibilityUIElement::boundsForRange):
        (AccessibilityUIElement::stringForRange):
        (AccessibilityUIElement::attributedStringForRange):
        (AccessibilityUIElement::uiElementForSearchPredicate):
        (AccessibilityUIElement::attributesOfColumnHeaders):
        (AccessibilityUIElement::attributesOfRowHeaders):
        (AccessibilityUIElement::attributesOfColumns):
        (AccessibilityUIElement::attributesOfRows):
        (AccessibilityUIElement::attributesOfVisibleCells):
        (AccessibilityUIElement::attributesOfHeader):
        (AccessibilityUIElement::rowIndexRange):
        (AccessibilityUIElement::columnIndexRange):
        (AccessibilityUIElement::cellForColumnAndRow):
        (AccessibilityUIElement::horizontalScrollbar):
        (AccessibilityUIElement::verticalScrollbar):
        (AccessibilityUIElement::pathDescription):
        (AccessibilityUIElement::selectedTextRange):
        (AccessibilityUIElement::url):
        (AccessibilityUIElement::textMarkerRangeForElement):
        (AccessibilityUIElement::textMarkerForIndex):
        (AccessibilityUIElement::previousTextMarker):
        (AccessibilityUIElement::nextTextMarker):
        (AccessibilityUIElement::stringForTextMarkerRange):
        (AccessibilityUIElement::textMarkerRangeForMarkers):
        (AccessibilityUIElement::startTextMarkerForTextMarkerRange):
        (AccessibilityUIElement::endTextMarkerForTextMarkerRange):
        (AccessibilityUIElement::endTextMarkerForBounds):
        (AccessibilityUIElement::startTextMarkerForBounds):
        (AccessibilityUIElement::textMarkerForPoint):
        (AccessibilityUIElement::accessibilityElementForTextMarker):
        (AccessibilityUIElement::startTextMarker):
        (AccessibilityUIElement::endTextMarker):
        (AccessibilityUIElement::supportedActions):
        (AccessibilityUIElement::mathPostscriptsDescription):
        (AccessibilityUIElement::mathPrescriptsDescription):
        * WebKitTestRunner/InjectedBundle/AccessibilityController.cpp:
        (WTR::AccessibilityController::accessibleElementById):
        * WebKitTestRunner/InjectedBundle/atk/AccessibilityUIElementAtk.cpp:
        (WTR::AccessibilityUIElement::startTextMarker):
        (WTR::AccessibilityUIElement::endTextMarker):
        * WebKitTestRunner/InjectedBundle/mac/AccessibilityControllerMac.mm:
        (WTR::findAccessibleObjectById):
        (WTR::AccessibilityController::accessibleElementById):
        * WebKitTestRunner/InjectedBundle/mac/AccessibilityUIElementMac.mm:
        (WTR::AccessibilityUIElement::childAtIndex):
        (WTR::AccessibilityUIElement::linkedUIElementAtIndex):
        (WTR::AccessibilityUIElement::ariaOwnsElementAtIndex):
        (WTR::AccessibilityUIElement::ariaFlowToElementAtIndex):
        (WTR::AccessibilityUIElement::disclosedRowAtIndex):
        (WTR::AccessibilityUIElement::rowAtIndex):
        (WTR::AccessibilityUIElement::selectedChildAtIndex):
        (WTR::AccessibilityUIElement::selectedRowAtIndex):
        (WTR::AccessibilityUIElement::titleUIElement):
        (WTR::AccessibilityUIElement::parentElement):
        (WTR::AccessibilityUIElement::disclosedByRow):
        (WTR::AccessibilityUIElement::stringAttributeValue):
        (WTR::AccessibilityUIElement::uiElementAttributeValue):
        (WTR::AccessibilityUIElement::role):
        (WTR::AccessibilityUIElement::subrole):
        (WTR::AccessibilityUIElement::roleDescription):
        (WTR::AccessibilityUIElement::title):
        (WTR::AccessibilityUIElement::description):
        (WTR::AccessibilityUIElement::orientation):
        (WTR::AccessibilityUIElement::stringValue):
        (WTR::AccessibilityUIElement::language):
        (WTR::AccessibilityUIElement::helpText):
        (WTR::AccessibilityUIElement::valueDescription):
        (WTR::AccessibilityUIElement::classList):
        (WTR::AccessibilityUIElement::speak):
        (WTR::AccessibilityUIElement::ariaDropEffects):
        (WTR::AccessibilityUIElement::rangeForLine):
        (WTR::AccessibilityUIElement::rangeForPosition):
        (WTR::AccessibilityUIElement::boundsForRange):
        (WTR::AccessibilityUIElement::stringForRange):
        (WTR::AccessibilityUIElement::attributedStringForRange):
        (WTR::AccessibilityUIElement::uiElementForSearchPredicate):
        (WTR::AccessibilityUIElement::attributesOfColumnHeaders):
        (WTR::AccessibilityUIElement::attributesOfRowHeaders):
        (WTR::AccessibilityUIElement::attributesOfColumns):
        (WTR::AccessibilityUIElement::attributesOfRows):
        (WTR::AccessibilityUIElement::attributesOfVisibleCells):
        (WTR::AccessibilityUIElement::attributesOfHeader):
        (WTR::AccessibilityUIElement::rowIndexRange):
        (WTR::AccessibilityUIElement::columnIndexRange):
        (WTR::AccessibilityUIElement::cellForColumnAndRow):
        (WTR::AccessibilityUIElement::horizontalScrollbar):
        (WTR::AccessibilityUIElement::verticalScrollbar):
        (WTR::AccessibilityUIElement::selectedTextRange):
        (WTR::AccessibilityUIElement::url):
        (WTR::AccessibilityUIElement::textMarkerRangeForElement):
        (WTR::AccessibilityUIElement::previousTextMarker):
        (WTR::AccessibilityUIElement::nextTextMarker):
        (WTR::AccessibilityUIElement::stringForTextMarkerRange):
        (WTR::AccessibilityUIElement::textMarkerRangeForMarkers):
        (WTR::AccessibilityUIElement::startTextMarkerForTextMarkerRange):
        (WTR::AccessibilityUIElement::endTextMarkerForTextMarkerRange):
        (WTR::AccessibilityUIElement::endTextMarkerForBounds):
        (WTR::AccessibilityUIElement::startTextMarkerForBounds):
        (WTR::AccessibilityUIElement::textMarkerForPoint):
        (WTR::AccessibilityUIElement::accessibilityElementForTextMarker):
        (WTR::AccessibilityUIElement::textMarkerForIndex):
        (WTR::AccessibilityUIElement::startTextMarker):
        (WTR::AccessibilityUIElement::endTextMarker):
        (WTR::AccessibilityUIElement::mathPostscriptsDescription):
        (WTR::AccessibilityUIElement::mathPrescriptsDescription):
        (WTR::AccessibilityUIElement::pathDescription):
        (WTR::AccessibilityUIElement::supportedActions):

2013-11-05  László Langó  <laszlo.lango@frontendart.com>

        Remove leftover Qt related things from the flakiness_dashboard
        https://bugs.webkit.org/show_bug.cgi?id=123800

        Reviewed by Anders Carlsson.

        * TestResultServer/static-dashboards/flakiness_dashboard_unittests.js:
        (test):

2013-11-05  Robert Plociennik  <r.plociennik@samsung.com>

        [EFL] accessibility/svg-group-element-with-title.html is failing
        https://bugs.webkit.org/show_bug.cgi?id=114151

        Reviewed by Mario Sanchez Prada.

        atk_component_ref_accessible_at_point(), utilized in
        AccessibilityUIElement::elementAtPoint(), is expected to 'get a reference to the
        accessible child, if one exists, at the coordinate point specified' and not
        explicitly return self in case of lack of child elements. This contradicts with
        expected behavior of elementAtPoint(). Therefore, elementAtPoint() is
        changed to return self regardless of coordinates specified, provided no child
        element could be retrieved, effectively mimicing the behaviour of equivalent
        Mac implementation in accessibilityHitTest().

        * DumpRenderTree/atk/AccessibilityUIElementAtk.cpp:
        (AccessibilityUIElement::elementAtPoint): Fixed.
        * WebKitTestRunner/InjectedBundle/atk/AccessibilityUIElementAtk.cpp:
        (WTR::AccessibilityUIElement::elementAtPoint): Fixed.

2013-11-05  Gyuyoung Kim  <gyuyoung.kim@samsung.com>

        [CSS] Enable css-image-orientation on EFL and GTK ports.
        https://bugs.webkit.org/show_bug.cgi?id=123698

        Reviewed by Beth Dakin.

        r157909 added wrong early return for css-image-orientation. It causes about 20 regressions in layout test
        when enabling css-image-orientaiton. This fixes those wrong implementation as well as enables it on EFL
        and GTK ports by default.

        * Scripts/webkitperl/FeatureList.pm:

2013-11-04  Alexey Proskuryakov  <ap@apple.com>

        DumpRenderTree should reset its preferences file on launch
        https://bugs.webkit.org/show_bug.cgi?id=29751

        Reviewed by Dan Bernstein.

        Using NSArgumentDomain was not a good idea. While it works with NSUserDefaults
        and CFPreferencesCopyAppValue family of functions, it doesn't work with
        CFPreferencesCopyValue(..., kCFPreferencesCurrentApplication, ...).

        So, now we'll just set defaults in the current application.

        * DumpRenderTree/mac/DumpRenderTree.mm: (setDefaultsToConsistentValuesForTesting):
        - Delete the defaults.
        - Removed CFPreferencesSetAppValue calls, as -setValuesForKeysWithDictionary: does the same.
        - The comment about [NSUserDefaults standardUserDefaults] indirectly initializing NSApplication was incorrect.

        * WebKitTestRunner/mac/main.mm: (setDefaultsToConsistentValuesForTesting):
        Switched to -setValuesForKeysWithDictionary for consistency.

2013-11-04  Filip Pizlo  <fpizlo@apple.com>

        Running FTL tests shouldn't reduce coverage on DFG tests
        https://bugs.webkit.org/show_bug.cgi?id=123780

        Reviewed by Geoffrey Garen.

        * Scripts/run-jsc-stress-tests:

2013-11-04  Anders Carlsson  <andersca@apple.com>

        More WKRemoteObjectRegistry work
        https://bugs.webkit.org/show_bug.cgi?id=123754

        Reviewed by Dan Bernstein.

        * TestWebKitAPI/Tests/WebKit2ObjC/WKRemoteObjectRegistry.mm:
        (TestWebKitAPI::TEST):
        Use the correct bundle test name. Call Util::run.

        * TestWebKitAPI/Tests/mac/WKRemoteObjectRegistry_Bundle.mm:
        (-[BundleObject sayHello]):
        (-[BundleObject testMethodWithString:double:integer:]):
        Add BundleObject implementation. Register the bundle object with
        the remote object registry. Call _handleMessageWithName:body: on the incoming message.

2013-11-04  Krzysztof Czech  <k.czech@samsung.com>

        [EFL] Change ATK version to 2.10.0
        https://bugs.webkit.org/show_bug.cgi?id=123727

        Reviewed by Mario Sanchez Prada.

        Provided new API to retrieve text at a given offset.

        * efl/jhbuild.modules:

2013-11-04  Robert Plociennik  <r.plociennik@samsung.com>

        [EFL] accessibility/textarea-line-for-index.html is failing
        https://bugs.webkit.org/show_bug.cgi?id=112015

        Reviewed by Mario Sanchez Prada.

        Provided implementation for AccessibilityUIElement::lineForIndex().

        * DumpRenderTree/atk/AccessibilityUIElementAtk.cpp:
        (AccessibilityUIElement::lineForIndex): Implemented.
        * WebKitTestRunner/InjectedBundle/atk/AccessibilityUIElementAtk.cpp:
        (WTR::AccessibilityUIElement::lineForIndex): Implemented.

2013-11-04  Krzysztof Czech  <k.czech@samsung.com>

        [EFL] accessibility/button-press-action.html
        https://bugs.webkit.org/show_bug.cgi?id=111993

        Reviewed by Mario Sanchez Prada.

        Provided an implementation for AccessibilityUIElement::isPressActionSupported.

        * DumpRenderTree/atk/AccessibilityUIElementAtk.cpp:
        (AccessibilityUIElement::isPressActionSupported):
        * WebKitTestRunner/InjectedBundle/atk/AccessibilityUIElementAtk.cpp:
        (WTR::AccessibilityUIElement::isPressActionSupported):

2013-11-03  Patrick Gansterer  <paroga@webkit.org>

        Add test for ListHashSet::removeLast()
        https://bugs.webkit.org/show_bug.cgi?id=121810

        Reviewed by Anders Carlsson.

        * TestWebKitAPI/Tests/WTF/ListHashSet.cpp:
        (TestWebKitAPI::TEST):

2013-11-02  Filip Pizlo  <fpizlo@apple.com>

        LLVM assertion failures should funnel into WTF's crash handling
        https://bugs.webkit.org/show_bug.cgi?id=123682

        Reviewed by Geoffrey Garen.
        
        Need to disable LLVM's crash overrides so that we can do our own crash overrides.

        * Scripts/configure-llvm:

2013-11-01  Andy Estes  <aestes@apple.com>

        Teach check-for-webkit-framework-include-consistency to ignore stale iOS Private headers that might exist in build directories due to r158443
        https://bugs.webkit.org/show_bug.cgi?id=123636

        Reviewed by Andreas Kling.

        * Scripts/check-for-webkit-framework-include-consistency:

2013-11-01  Anders Carlsson  <andersca@apple.com>

        Begin work on encoding argument types
        https://bugs.webkit.org/show_bug.cgi?id=123631

        Reviewed by Dan Bernstein.

        Add another test method.

        * TestWebKitAPI/Tests/WebKit2ObjC/WKRemoteObjectRegistry.mm:
        * TestWebKitAPI/Tests/mac/WKRemoteObjectRegistry_Shared.h:

2013-11-01  Afonso R. Costa Jr.  <afonso.costa@samsung.com>

        Expose setApplicationCacheOriginQuota via window.internals
        https://bugs.webkit.org/show_bug.cgi?id=87838

        Reviewed by Joseph Pecoraro.

        * DumpRenderTree/TestRunner.cpp: Move setApplicationCacheOriginQuota
        to window.internals
        (TestRunner::staticFunctions):
        * DumpRenderTree/TestRunner.h: Ditto.
        * DumpRenderTree/blackberry/TestRunnerBlackBerry.cpp: Remove setApplicationCacheOriginQuota.
        * DumpRenderTree/efl/TestRunnerEfl.cpp: Ditto.
        * DumpRenderTree/gtk/TestRunnerGtk.cpp: Ditto.
        * DumpRenderTree/mac/TestRunnerMac.mm: Ditto.
        * DumpRenderTree/win/TestRunnerWin.cpp: Ditto.
        * WebKitTestRunner/InjectedBundle/Bindings/TestRunner.idl: Ditto.
        * WebKitTestRunner/InjectedBundle/TestRunner.cpp: Ditto.
        * WebKitTestRunner/InjectedBundle/TestRunner.h: Ditto.

2013-10-31  Mark Lam  <mark.lam@apple.com>

        REGRESSION: Crashes in -[UIDelegate webView:frame:exceededDatabaseQuotaForSecurityOrigin:database:].
        https://bugs.webkit.org/show_bug.cgi?id=123383.

        Reviewed by Geoffrey Garen.

        Removed an inappropriate assertion in DumpRenderTree/mac/UIDelegate.mm and
        added 2 attributes (databaseDefaultQuota and databaseMaxQuota) to allow
        tests to set appropriate quota settings to exercise quota expansion tests
        when needed.

        * DumpRenderTree/TestRunner.cpp:
        (TestRunner::TestRunner):
        (getDatabaseDefaultQuotaCallback):
        (getDatabaseMaxQuotaCallback):
        (setDatabaseDefaultQuotaCallback):
        (setDatabaseMaxQuotaCallback):
        (TestRunner::staticValues):
        * DumpRenderTree/TestRunner.h:
        (TestRunner::databaseDefaultQuota):
        (TestRunner::setDatabaseDefaultQuota):
        (TestRunner::databaseMaxQuota):
        (TestRunner::setDatabaseMaxQuota):
        * DumpRenderTree/blackberry/DumpRenderTree.cpp:
        (BlackBerry::WebKit::DumpRenderTree::exceededDatabaseQuota):
        * DumpRenderTree/efl/DumpRenderTreeView.cpp:
        (onExceededDatabaseQuota):
        * DumpRenderTree/mac/UIDelegate.mm:
        (-[UIDelegate webView:frame:exceededDatabaseQuotaForSecurityOrigin:database:]):
        * DumpRenderTree/win/UIDelegate.cpp:
        (UIDelegate::exceededDatabaseQuota):
        * WebKitTestRunner/InjectedBundle/Bindings/TestRunner.idl:
        * WebKitTestRunner/InjectedBundle/InjectedBundlePage.cpp:
        (WTR::InjectedBundlePage::didExceedDatabaseQuota):
        * WebKitTestRunner/InjectedBundle/TestRunner.cpp:
        (WTR::TestRunner::TestRunner):
        * WebKitTestRunner/InjectedBundle/TestRunner.h:
        (WTR::TestRunner::databaseDefaultQuota):
        (WTR::TestRunner::setDatabaseDefaultQuota):
        (WTR::TestRunner::databaseMaxQuota):
        (WTR::TestRunner::setDatabaseMaxQuota):
        * WebKitTestRunner/TestController.cpp:
        (WTR::TestController::createOtherPage):
        (WTR::TestController::createWebViewWithOptions):

2013-10-31  Anders Carlsson  <andersca@apple.com>

        Add a WKRemoteObject class
        https://bugs.webkit.org/show_bug.cgi?id=123586

        Reviewed by Dan Bernstein.

        * TestWebKitAPI/Tests/WebKit2ObjC/WKRemoteObjectRegistry.mm:
        (TestWebKitAPI::TEST):
        Add a conformsToProtocol: test.

2013-10-30  Ryosuke Niwa  <rniwa@webkit.org>

        build.webkit.org should have a clean build button
        https://bugs.webkit.org/show_bug.cgi?id=123559

        Reviewed by Darin Adler.

        Add a new "clean" forced scheduler. When a build was created by this scheduler, CleanBuildIfScheduled
        step executes clean-build script that removes the WebKitBuild directory.

        Also added make-passwords-json.py which creates a fake passwords.json from config.json for testing purposes.

        * BuildSlaveSupport/build.webkit.org-config/make-passwords-json.py: Added.
        * BuildSlaveSupport/build.webkit.org-config/master.cfg:
        (CleanBuildIfScheduled): Added.
        (CleanBuildIfScheduled.start): Added. Don't do a clean build if if this build wasn't schecueld by
        the clean build scheduler.
        (DeleteStaleBuildFiles): Added.
        (DeleteStaleBuildFiles.start): Added. Don't delete stale build files if this build was scheduled by
        the clean build scheduler since everything in the WebKitBuild directory had already been removed.
        (Factory.__init__): Always add CleanBuildIfScheduled.  The step itself checks whether to run
        clean-build script or hide itself.
        (loadBuilderConfig): Added the new clean build scheduler. Also make ForceScheduler future proof; in newer
        versions of buildbot, builderNames needs to be a list of regular strings.
        * BuildSlaveSupport/clean-build: Added.

2013-10-31  Filip Pizlo  <fpizlo@apple.com>

        Remove CachedTranscendentalFunction because caching math functions is an ugly idea
        https://bugs.webkit.org/show_bug.cgi?id=123574

        Reviewed by Mark Hahnenberg.

        Make it easier to see that a test doesn't have an -expected file.

        * Scripts/run-jsc-stress-tests:

2013-10-31  Tamas Gergely  <gertom@inf.u-szeged.hu>

        Run tests as if they are expected to pass when --force is given.
        https://bugs.webkit.org/show_bug.cgi?id=112890

        Reviewed by Ryosuke Niwa.

        The --force switch of new-run-webkit-tests is now forces all tests to
        be run with 'PASS' as expected result.

        * Scripts/webkitpy/layout_tests/controllers/manager.py:
        (Manager.run):
        * Scripts/webkitpy/layout_tests/models/test_expectations.py:
        (TestExpectations.__init__):
        (TestExpectations._add_expectations):
        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:
        (parse_args):
        (_set_up_derived_options):

2013-10-31  Geoffrey Garen  <ggaren@apple.com>

        Added Mark Lam as a reviewer.

        Unreviewed.

        * Scripts/webkitpy/common/config/contributors.json:

2013-10-30  Alexey Proskuryakov  <ap@apple.com>

        Teach the style checker about ENUM_CLASS
        https://bugs.webkit.org/show_bug.cgi?id=123528

        Reviewed by Andy Estes.

        * Scripts/webkitpy/style/checkers/cpp.py:
        (_EnumState.process_clean_line): Make content of an ENUM_CLASS declaration
        equivalent to enum content for checking.
        (check_braces): Allow semicolon at the end.

        * Scripts/webkitpy/style/checkers/cpp_unittest.py:
        (NoNonVirtualDestructorsTest.test_enum_casing):
        (NoNonVirtualDestructorsTest.test_enum_trailing_semicolon):
        (WebKitStyleTest.test_braces):
        Test it.

2013-10-30  Ryosuke Niwa  <rniwa@webkit.org>

        kill-old-processes should kill Web Socket script
        https://bugs.webkit.org/show_bug.cgi?id=123546

        Reviewed by Benjamin Poulain.

        * BuildSlaveSupport/kill-old-processes:
        (main):

2013-10-30  Alexey Proskuryakov  <ap@apple.com>

        Set svn:ignore for .pyc files created for test-webkitpy.

        * Scripts/webkitpy/layout_tests/reftests: Added property svn:ignore.
        * Scripts/webkitpy/performance_tests: Added property svn:ignore.
        * Scripts/webkitpy/to_be_moved: Added property svn:ignore.
        * Scripts/webkitpy/w3c: Added property svn:ignore.

2013-10-30  Alexey Proskuryakov  <ap@apple.com>

        85 inspector tests asserting in DrawingAreaProxyImpl::updateAcceleratedCompositingMode()
        when there is a stale WebKitTestRunner preference
        https://bugs.webkit.org/show_bug.cgi?id=115115

        Reviewed by Darin Adler.

        Delete stale preferences on launch.

        * WebKitTestRunner/TestController.h:
        * WebKitTestRunner/TestController.cpp:
        (WTR::TestController::initialize): Now that we don't have preferences stored from
        the previous run, we need th reinstate them before creating a WKView. Not all preferences
        can be applied to an existing view retroactively.
        (WTR::TestController::resetPreferencesToConsistentValues): Split out of resetStateToConsistentValues,
        because there is no injected bundle yet when calling this function from initialize().

        * WebKitTestRunner/mac/main.mm: (setDefaultsToConsistentValuesForTesting): Delete
        the preferences.

        * WebKitTestRunner/InjectedBundle/mac/InjectedBundleMac.mm: (WTR::InjectedBundle::platformInitialize):
        Added some FIXMEs.

2013-10-30  Anders Carlsson  <andersca@apple.com>

        Try to fix the 32-bit build.
        
        * TestWebKitAPI/Tests/WebKit2ObjC/WKRemoteObjectRegistry.mm:
        * TestWebKitAPI/Tests/mac/WKRemoteObjectRegistry_Bundle.mm:

2013-10-30  Anders Carlsson  <andersca@apple.com>

        Begin fleshing out an API test for WKRemoteObjectRegistry
        https://bugs.webkit.org/show_bug.cgi?id=123531

        Reviewed by Andreas Kling.

        Add a very simple test that doesn't really test anything for now.

        * TestWebKitAPI/TestWebKitAPI.xcodeproj/project.pbxproj:
        * TestWebKitAPI/Tests/WebKit2ObjC/WKRemoteObjectRegistry.mm: Added.
        * TestWebKitAPI/Tests/mac/WKRemoteObjectRegistry_Bundle.mm: Added.
        * TestWebKitAPI/Tests/mac/WKRemoteObjectRegistry_Shared.h: Added.

2013-10-30  Filip Pizlo  <fpizlo@apple.com>

        Remove unnecessary touch

        Rubber stamped by Mark Hahnenberg.

        * Scripts/run-jsc-stress-tests:

2013-10-30  Samuel White  <samuel_white@apple.com>

        AX: Add samuel_white@apple.com to accessibility watchlist cc rules
        https://bugs.webkit.org/show_bug.cgi?id=123515

        Reviewed by Chris Fleizach.

        Adding myself and jcraig@apple.com (per his request) to the accessibility watchlist. Also
        updating contributors.json with permission from bweinstein@apple.com to make this possible.

        * Scripts/webkitpy/common/config/contributors.json:
        * Scripts/webkitpy/common/config/watchlist:

2013-10-30  Patrick Gansterer  <paroga@webkit.org>

        [WIN] Add executable entry points to DRT and WinLauncher
        https://bugs.webkit.org/show_bug.cgi?id=121837

        Reviewed by Brent Fulgham.

        This allows to compile and run the executables without DLLLauncher.

        * DumpRenderTree/win/DumpRenderTree.cpp:
        (main):
        (dllLauncherEntryPoint):
        * WinLauncher/WinLauncher.cpp:
        (wWinMain):
        (dllLauncherEntryPoint):

2013-10-30  Filip Pizlo  <fpizlo@apple.com>

        run-jsc-stress-tests should handle ".." in paths and "slow!" in cmd's
        https://bugs.webkit.org/show_bug.cgi?id=123521

        Reviewed by Mark Hahnenberg.

        * Scripts/run-jsc-stress-tests:

2013-10-30  Alexey Proskuryakov  <ap@apple.com>

        Mavericks: 128 tests are failing due to pixel differences
        https://bugs.webkit.org/show_bug.cgi?id=123488

        Reviewed by Simon Fraser.

        Apple font preferences cannot be fully reset after they've been read, so we
        need to set them using CFPreferences before initializing NSApplication.

        In theory, this should be an issue on WebKit2 as well, but somehow it doesn't
        appear to be. I guess we can figure out the reasons for this difference when/if
        any observable problems start to occur.

        * DumpRenderTree/mac/DumpRenderTree.mm:
        (setDefaultsToConsistentValuesForTesting): Only set defaults here, move other work
        to prepareConsistentTestingEnvironment().
        (main): Call setDefaultsToConsistentValuesForTesting before [NSApplication sharedApplication]
        (which is unnecessary anyway since NSUserDefaults will implicitly call it, but seems
        useful to keep in case we change out approach to defaults again).

2013-10-29  Andy Estes  <aestes@apple.com>

        Teach the style checker how to handle Objective-C categories and NS_ENUM
        https://bugs.webkit.org/show_bug.cgi?id=123482

        Reviewed by Dan Bernstein.

        * Scripts/webkitpy/style/checkers/cpp.py:
        (check_spacing_for_function_call): Allow a space before '(' in a line
        starting with @interface or @implementation, since this is defining an
        Objective-C category rather than a function.
        (check_braces): The opening brace of an NS_ENUM should not be on its
        own line.
        * Scripts/webkitpy/style/checkers/cpp_unittest.py: Added unit tests.

2013-10-30  Robert Plociennik  <r.plociennik@samsung.com>

        [EFL] accessibility/textarea-selected-text-range.html is failing
        https://bugs.webkit.org/show_bug.cgi?id=112016

        Reviewed by Mario Sanchez Prada.

        Provided implementation for AccessibilityUIElement::selectedTextRange() and
        AccessibilityUIElement::setSelectedTextRange().

        * DumpRenderTree/atk/AccessibilityUIElementAtk.cpp:
        (AccessibilityUIElement::selectedTextRange): Implemented.
        (AccessibilityUIElement::setSelectedTextRange): Implemented
        * WebKitTestRunner/InjectedBundle/atk/AccessibilityUIElementAtk.cpp:
        (WTR::AccessibilityUIElement::selectedTextRange): Implemented.
        (WTR::AccessibilityUIElement::setSelectedTextRange): Implemented.

2013-10-30  Robert Plociennik  <r.plociennik@samsung.com>

        [GTK] accessibility/svg-remote-element.html is failing
        https://bugs.webkit.org/show_bug.cgi?id=101185

        Reviewed by Chris Fleizach.

        Implemented missing methods by mimicing existing functionality in
        AccessibilityObject::clickPoint() using available ATK API.

        * DumpRenderTree/atk/AccessibilityUIElementAtk.cpp:
        (AccessibilityUIElement::clickPointX): Implemented.
        (AccessibilityUIElement::clickPointY): Implemented.
        * WebKitTestRunner/InjectedBundle/atk/AccessibilityUIElementAtk.cpp:
        (WTR::AccessibilityUIElement::clickPointX): Implemented.
        (WTR::AccessibilityUIElement::clickPointY): Implemented.

2013-10-30  Tamas Gergely  <gertom@inf.u-szeged.hu>

        Removed Windows platform configurations from WebKitTestRunner.
        https://bugs.webkit.org/show_bug.cgi?id=123152

        Reviewed by Csaba Osztrogonác.

        Removed Windows specific parts from the source files, Windows specific
        subdirectory (win) and Visual Studio property files from the WebKitTestRunner,
        as the platform is no longer supported by this tool.

        * WebKitTestRunner/Configurations/InjectedBundleCFLite.vsprops: Removed.
        * WebKitTestRunner/Configurations/InjectedBundleCommon.vsprops: Removed.
        * WebKitTestRunner/Configurations/InjectedBundleCoreFoundation.vsprops: Removed.
        * WebKitTestRunner/Configurations/WebKitTestRunnerCFLite.vsprops: Removed.
        * WebKitTestRunner/Configurations/WebKitTestRunnerCommon.vsprops: Removed.
        * WebKitTestRunner/Configurations/WebKitTestRunnerCoreFoundation.vsprops: Removed.
        * WebKitTestRunner/Configurations/WebKitTestRunnerCoreGraphics.vsprops: Removed.
        * WebKitTestRunner/InjectedBundle/AccessibilityController.cpp:
        (WTR::AccessibilityController::rootElement):
        (WTR::AccessibilityController::focusedElement):
        * WebKitTestRunner/InjectedBundle/AccessibilityController.h:
        * WebKitTestRunner/InjectedBundle/AccessibilityUIElement.h:
        * WebKitTestRunner/InjectedBundle/InjectedBundleMain.cpp:
        * WebKitTestRunner/InjectedBundle/TestRunner.h:
        * WebKitTestRunner/PlatformWebView.h:
        * WebKitTestRunner/TestController.cpp:
        (WTR::TestController::initialize):
        * WebKitTestRunner/TestInvocation.cpp:
        (WTR::createWKURL):
        * WebKitTestRunner/cg/TestInvocationCG.cpp:
        * WebKitTestRunner/config.h:
        * WebKitTestRunner/win/InjectedBundle.vcproj: Removed.
        * WebKitTestRunner/win/InjectedBundleDebug.vsprops: Removed.
        * WebKitTestRunner/win/InjectedBundleDebugAll.vsprops: Removed.
        * WebKitTestRunner/win/InjectedBundleDebugCairoCFLite.vsprops: Removed.
        * WebKitTestRunner/win/InjectedBundleGenerated.vcproj: Removed.
        * WebKitTestRunner/win/InjectedBundleGeneratedCommon.vsprops: Removed.
        * WebKitTestRunner/win/InjectedBundlePostBuild.cmd: Removed.
        * WebKitTestRunner/win/InjectedBundlePreBuild.cmd: Removed.
        * WebKitTestRunner/win/InjectedBundleProduction.vsprops: Removed.
        * WebKitTestRunner/win/InjectedBundleRelease.vsprops: Removed.
        * WebKitTestRunner/win/InjectedBundleReleaseCairoCFLite.vsprops: Removed.
        * WebKitTestRunner/win/PlatformWebViewWin.cpp: Removed.
        * WebKitTestRunner/win/TestControllerWin.cpp: Removed.
        * WebKitTestRunner/win/TestInvocationWin.cpp: Removed.
        * WebKitTestRunner/win/WebKitTestRunner.vcproj: Removed.
        * WebKitTestRunner/win/WebKitTestRunnerDebug.vsprops: Removed.
        * WebKitTestRunner/win/WebKitTestRunnerDebugAll.vsprops: Removed.
        * WebKitTestRunner/win/WebKitTestRunnerDebugCairoCFLite.vsprops: Removed.
        * WebKitTestRunner/win/WebKitTestRunnerLauncher.vcproj: Removed.
        * WebKitTestRunner/win/WebKitTestRunnerLauncherCommon.vsprops: Removed.
        * WebKitTestRunner/win/WebKitTestRunnerLauncherDebug.vsprops: Removed.
        * WebKitTestRunner/win/WebKitTestRunnerLauncherDebugAll.vsprops: Removed.
        * WebKitTestRunner/win/WebKitTestRunnerLauncherDebugCairoCFLite.vsprops: Removed.
        * WebKitTestRunner/win/WebKitTestRunnerLauncherProduction.vsprops: Removed.
        * WebKitTestRunner/win/WebKitTestRunnerLauncherRelease.vsprops: Removed.
        * WebKitTestRunner/win/WebKitTestRunnerLauncherReleaseCairoCFLite.vsprops: Removed.
        * WebKitTestRunner/win/WebKitTestRunnerPostBuild.cmd: Removed.
        * WebKitTestRunner/win/WebKitTestRunnerPreBuild.cmd: Removed.
        * WebKitTestRunner/win/WebKitTestRunnerProduction.vsprops: Removed.
        * WebKitTestRunner/win/WebKitTestRunnerRelease.vsprops: Removed.
        * WebKitTestRunner/win/WebKitTestRunnerReleaseCairoCFLite.vsprops: Removed.
        * WebKitTestRunner/win/build-generated-files.sh: Removed.
        * WebKitTestRunner/win/main.cpp: Removed.

2013-10-29  Alexey Proskuryakov  <ap@apple.com>

        Result of focus-option-control-on-page.html depends on system preferences
        https://bugs.webkit.org/show_bug.cgi?id=123304

        Reviewed by Simon Fraser.

        * DumpRenderTree/mac/DumpRenderTree.mm: (setDefaultsToConsistentValuesForTesting):
        Override a preference that WebKit reads to decide what Tab does, so that current
        user default doesn't affect tests.

        * WebKitTestRunner/mac/main.mm: (setDefaultsToConsistentValuesForTesting):
        Ditto.

2013-10-29  Filip Pizlo  <fpizlo@apple.com>

        It should be possible to specify extra tests to run-javascriptcore-tests
        https://bugs.webkit.org/show_bug.cgi?id=123495

        Reviewed by Oliver Hunt.
        
        This adds two ways to specify additional tests: the option --extra-tests=<blah>, and
        the environment variable EXTRA_JSC_TESTS.
        
        Those two values (the command-line option and the environment variable) are passed
        as extra arguments to run-jsc-stress-tests.
        
        To make this extra super useful, run-jsc-stress-tests now allows yaml configuration
        files to be recursive: if a "- collection:" line is found, the string is handled
        just as if it was a command-line argument. This allows you to use --extra-tests=file
        where file contains a bunch of "- collection:" lines, and this is equivalent to each
        of those lines being a command-line argument.

        * Scripts/run-javascriptcore-tests:
        * Scripts/run-jsc-stress-tests:

2013-10-29  Ryosuke Niwa  <rniwa@webkit.org>

        Add Mavericks builders to the old flakiness dashboard.

        * TestResultServer/static-dashboards/builders.jsonp:
        * TestResultServer/static-dashboards/flakiness_dashboard.js:

2013-10-29  Seokju Kwon  <seokju@webkit.org>

        Fix memory leak in Tools/DumpRenderTree/TestNetscapePlugIn/main.cpp
        https://bugs.webkit.org/show_bug.cgi?id=123478

        Reviewed by Anders Carlsson.

        * DumpRenderTree/TestNetscapePlugIn/main.cpp:
        (NPP_Destroy): Add a missing free() for 'obj->evaluateScriptOnMouseDownOrKeyDown'.

2013-10-29  Lucas Forschler  <lforschler@apple.com>

        Move the SEO bots from testers to archivers.
        
        Unreviewed.
        
        * BuildSlaveSupport/build.webkit.org-config/config.json:

2013-10-29  Hugo Parente Lima  <hugo.lima@openbossa.org>

        Adding Nix files in Source/Platform to trunk
        https://bugs.webkit.org/show_bug.cgi?id=118331

        Reviewed by Benjamin Poulain.

        Add a special rule for Nix API files located at Source/Platform/nix.

        * Scripts/webkitpy/style/checker.py:

 2013-10-29  Nadav Rotem  <nrotem@apple.com>
 
         Add myself as a comitter.
         https://bugs.webkit.org/show_bug.cgi?id=123455
 
         Reviewed by Anders Carlsson.
 
         * Scripts/webkitpy/common/config/contributors.json:
 
2013-10-29  Lucas Forschler  <lforschler@apple.com>

        Teach the WebKit2 testers to abort early by setting the shouldAbortEarly property to True.
        https://bugs.webkit.org/show_bug.cgi?id=123450

        Reviewed by Alexey Proskuryakov.

        * BuildSlaveSupport/build.webkit.org-config/master.cfg:
        (RunWebKit2Tests.start):

2013-10-29  Alexey Proskuryakov  <ap@apple.com>

        [Mac] Rationalize user defaults override code
        https://bugs.webkit.org/show_bug.cgi?id=123436

        Reviewed by Dan Bernstein.

        * DumpRenderTree/mac/DumpRenderTree.mm:
        (resetWebPreferencesToConsistentValues): Renamed from resetDefaultsToConsistentValues,
        because this function only resets WebPreferences now.
        (setDefaultsToConsistentValuesForTesting): Moved code for setting the defaults
        here, because tests never change them, and they only need to be set once, not
        before each test. Removed long obsolete workaround for HIToolbox preferences.
        Don't call resetWebPreferencesToConsistentValues, because it will be called before
        the first test anyway.
        (main): Don't set AppleMagnifiedMode here, moved that to setDefaultsToConsistentValuesForTesting.
        (resetWebViewToConsistentStateBeforeTesting): Moved TestRunner::setSerializeHTTPLoads
        and setlocale calls out of resetWebPreferencesToConsistentValues().
        Added AppleAquaAntiAliasingChanged notification that we had in WK2, because it's
        also needed in WK1.

        * WebKitTestRunner/InjectedBundle/mac/InjectedBundleMac.mm:
        (WTR::InjectedBundle::platformInitialize): Use literal syntax for defaults
        dictionary.

        * WebKitTestRunner/mac/main.mm:
        (setDefaultsToConsistentValuesForTesting): Factored out of main(), and changed to
        use NSArgumentDomain for everything.

2013-10-29  Philippe Normand  <pnormand@igalia.com>

        [GTK] enable media-stream in build-webkit
        https://bugs.webkit.org/show_bug.cgi?id=123144

        Reviewed by Martin Robinson.

        * Scripts/webkitperl/FeatureList.pm: Enable media-stream build
        for the GTK+ port.

2013-10-29  Gyuyoung Kim  <gyuyoung.kim@samsung.com>

        EFL 32 bit buildbot doesn't work on dashboard
        https://bugs.webkit.org/show_bug.cgi?id=123435

        Reviewed by Csaba Osztrogonác.

        32 bit buildbot doesn't work on dashboard because name is different from buildbot list.

        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/WebKitBuildbot.js:
        (WebKitBuildbot):

2013-10-28  Simon Fraser  <simon.fraser@apple.com>

        Floating left the header broke other pages, and this CSS has no way to customize
        per-page.

        * BuildSlaveSupport/build.webkit.org-config/public_html/default.css:

2013-10-28  Simon Fraser  <simon.fraser@apple.com>

        Remove underlines on the bot names in the header.
        
        * BuildSlaveSupport/build.webkit.org-config/public_html/default.css:
        (td.LastBuild a):

2013-10-28  Gyuyoung Kim  <gyuyoung.kim@samsung.com>

        Add EFL release bots to the buildbot dashboard
        https://bugs.webkit.org/show_bug.cgi?id=123430

        Reviewed by Darin Adler.

        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Images/EFL.png: Added.
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/WebKitBuildbot.js:
        (WebKitBuildbot): add 64 bits release wk2 and wk1 testers and 32 bits release builder.
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Styles/Main.css:
        (table.queue-grid tr.platform.linux-efl img.logo): use the EFL logo in its dashboard line.

2013-10-28  Simon Fraser  <simon.fraser@apple.com>

        More waterfall tweaking.

        * BuildSlaveSupport/build.webkit.org-config/public_html/default.css:
        (body > .header):
        (td.LastBuild):
        (td.LastBuild a):
        (td.LastBuild,td.Activity a,td.Change a,td.Builder a):

2013-10-28  Simon Fraser  <simon.fraser@apple.com>

        More waterfall tweaking.

        * BuildSlaveSupport/build.webkit.org-config/public_html/default.css:
        (body.interface):
        (body > hr):
        (div.content h1):
        (body > .header):
        (td.Activity a,td.Change a,td.Builder a):
        (td.Builder):

2013-10-28  Simon Fraser  <simon.fraser@apple.com>

        Apply changes to default.css, revert buildbot.css which seems to be unused.

        * BuildSlaveSupport/build.webkit.org-config/public_html/buildbot.css:
        (body):
        (body, td):
        (a:link,a:visited,a:active):
        (td.Time):
        (td.Activity):
        (.exception, td.offline):
        * BuildSlaveSupport/build.webkit.org-config/public_html/default.css:
        (body.interface):
        (.auth):
        (td.LastBuild):
        (td.Time):
        (td.Activity):
        (.offline,td.offline,.retry):

2013-10-28  Simon Fraser  <simon.fraser@apple.com>

        Prettify the waterfall page, and make it a little more space-efficient.
        
        * BuildSlaveSupport/build.webkit.org-config/public_html/buildbot.css:
        (body, td):
        (body.interface):
        (.auth):
        (.header):
        (div.content h1):
        (a):
        (a:link,a:active):
        (a:link,a:visited,a:active):
        (td.LastBuild):
        (td.Time):
        (td.Activity):
        (.exception, td.offline, .retry):

2013-10-28  Simon Fraser  <simon.fraser@apple.com>

        Fix Lion readableName (spotted by Dan Bernstein).

        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/Buildbot.js:

2013-10-28  Simon Fraser  <simon.fraser@apple.com>

        Add tooltips to the platform icons in Dashboard
        https://bugs.webkit.org/show_bug.cgi?id=123429

        Reviewed by Alexey Proskuryakov.
        
        Add a human readable name to Buildbot.Platform entries, and use it to
        show a tooltip on the ring image.

        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/Buildbot.js:
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/Main.js:
        (documentReady):

2013-10-28  Simon Fraser  <simon.fraser@apple.com>

        Allow explicit sort order for Dashboard platforms
        https://bugs.webkit.org/show_bug.cgi?id=123419

        Reviewed by Tim Hatcher.
        
        Assign a specific sort order to Dashboard platforms, rather than
        just using object property order.

        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/Buildbot.js:
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/BuildbotQueue.js:
        (BuildbotQueue):
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/Main.js:
        (documentReady):

2013-10-28  Simon Fraser  <simon.fraser@apple.com>

        Tidy up main http://build.webkit.org page
        https://bugs.webkit.org/show_bug.cgi?id=123413

        Reviewed by Alexey Proskuryakov.
        
        Break the list of links into sections. Add some font style.

        * BuildSlaveSupport/build.webkit.org-config/templates/root.html:

2013-10-28  Myles C. Maxfield  <mmaxfield@apple.com>

        Parsing support for -webkit-text-decoration-skip: ink
        https://bugs.webkit.org/show_bug.cgi?id=123358

        Reviewed by Dean Jackson.

        Adding ENABLE(CSS3_TEXT_DECORATION)

        * Scripts/webkitperl/FeatureList.pm:

2013-10-28  Lucas Forschler  <lforschler@apple.com>

        Add additional Apple Mavericks test bots.
        
        Unreviewed.
        
        * BuildSlaveSupport/build.webkit.org-config/config.json:

2013-10-28  Bastien Nocera <hadess@hadess.net>

        Name all the GLib timeout sources
        https://bugs.webkit.org/show_bug.cgi?id=123229

        Reviewed by Anders Carlsson.

        Give a name to GLib timeout sources, this is helpful when
        profiling WebKitGTK applications.

2013-10-28  Bastien Nocera <hadess@hadess.net>

        Replace 0 timeouts g_timeout_add() by g_idle_add()
        https://bugs.webkit.org/show_bug.cgi?id=123260

        Reviewed by Carlos Garcia Campos.

        A zero timeout should be equivalent to using g_idle_add_full(G_PRIORITY_DEFAULT, ...)
        without the nagging feeling that the wrong API was used.

        * DumpRenderTree/gtk/DumpRenderTree.cpp: Use g_idle_add() instead
        of 0-timer.
        (topLoadingFrameLoadFinished):
        * DumpRenderTree/gtk/EventSender.cpp: Ditto.
        (scheduleAsynchronousClickCallback):
        (scheduleAsynchronousKeyDownCallback):

2013-10-25  Anton Obzhirov  <a.obzhirov@samsung.com>

        [GTK] [WebKit2] CanHandleRequest API test fails
        https://bugs.webkit.org/show_bug.cgi?id=88453

        Reviewed by Martin Robinson.

        * Scripts/run-gtk-tests:
        (TestRunner):

2013-10-25  Ryosuke Niwa  <rniwa@webkit.org>

        Build fix after r157815. Don't resolve the path from webkit_base. Use the relative path as is.

        * Scripts/webkitpy/port/base.py:
        (Port.repository_paths):

2013-10-25  Jer Noble  <jer.noble@apple.com>

        [WTF] Add a multiplication operator (and a few others) to MediaTime
        https://bugs.webkit.org/show_bug.cgi?id=123137

        Reviewed by Eric Carlson.

        Add tests for new MediaTime operators.

        * TestWebKitAPI/Tests/WTF/MediaTime.cpp:
        (TestWebKitAPI::TEST):

2013-10-24  Mark Rowe  <mrowe@apple.com>

        Remove references to OS X 10.7 from Xcode configuration settings.

        Now that we're not building for OS X 10.7 they're no longer needed.

        Reviewed by Anders Carlsson.

        * DumpRenderTree/mac/Configurations/Base.xcconfig:
        * DumpRenderTree/mac/Configurations/DebugRelease.xcconfig:
        * MiniBrowser/Configurations/Base.xcconfig:
        * MiniBrowser/Configurations/DebugRelease.xcconfig:
        * TestWebKitAPI/Configurations/Base.xcconfig:
        * TestWebKitAPI/Configurations/DebugRelease.xcconfig:
        * WebKitLauncher/Configurations/Base.xcconfig:
        * WebKitTestRunner/Configurations/Base.xcconfig:
        * WebKitTestRunner/Configurations/DebugRelease.xcconfig:

2013-10-24  Mark Rowe  <mrowe@apple.com>

        <rdar://problem/15312643> Prepare for the mysterious future.

        Reviewed by David Kilzer.

        * DumpRenderTree/mac/Configurations/Base.xcconfig:
        * DumpRenderTree/mac/Configurations/DebugRelease.xcconfig:
        * MiniBrowser/Configurations/Base.xcconfig:
        * MiniBrowser/Configurations/DebugRelease.xcconfig:
        * TestWebKitAPI/Configurations/Base.xcconfig:
        * TestWebKitAPI/Configurations/DebugRelease.xcconfig:
        * WebKitLauncher/Configurations/Base.xcconfig:
        * WebKitTestRunner/Configurations/Base.xcconfig:
        * WebKitTestRunner/Configurations/DebugRelease.xcconfig:

2013-10-24  Daniel Bates  <dabates@apple.com>

        Crash in WebCore::NavigationScheduler::startTimer()
        https://bugs.webkit.org/show_bug.cgi?id=123288
        <rdar://problem/14055644>

        Reviewed by Alexey Proskuryakov.

        Add API test.

        * TestWebKitAPI/TestWebKitAPI.xcodeproj/project.pbxproj:
        * TestWebKitAPI/Tests/mac/WillPerformClientRedirectToURLCrash.html: Added.
        * TestWebKitAPI/Tests/mac/WillPerformClientRedirectToURLCrash.mm: Added.

2013-10-24  Gyuyoung Kim  <gyuyoung.kim@samsung.com>

        [GTK] Disable css-image-orientation
        https://bugs.webkit.org/show_bug.cgi?id=123257

        Reviewed by Martin Robinson.

        CSS image orientation isn't stable yet. So, test regression happen since r157909.
        This feature should be enabled again after it is stable.

        * Scripts/webkitperl/FeatureList.pm:

2013-10-24  Peter Molnar  <pmolnar.u-szeged@partner.samsung.com>

        Fix argument passing for jhbuild.
        https://bugs.webkit.org/show_bug.cgi?id=123253

        Reviewed by Gustavo Noronha Silva.

        The update-webkit-libs-jhbuild previously didn't allowed
        extra arguments to be passed to jhbuild.

        * Scripts/update-webkit-libs-jhbuild:
        (runJhbuild):
        * Scripts/update-webkitefl-libs:

2013-10-24  Sanghyup Lee  <sh53.lee@samsung.com>

        [EFL] Compilation warning in DumpRenderTreeView.cpp on 64-Bit
        https://bugs.webkit.org/show_bug.cgi?id=123251

        Reviewed by Csaba Osztrogonác.

        Replace %llu by PRIu64 macro to print an uint64_t value and silent a
        compilation warning on 64-Bit.

        * DumpRenderTree/efl/DumpRenderTreeView.cpp:
        (onExceededDatabaseQuota):

2013-10-24  Ryuan Choi  <ryuan.choi@samsung.com>

        [EFL] Build break with latest EFL 1.8 libraries.
        https://bugs.webkit.org/show_bug.cgi?id=123245

        Reviewed by Gyuyoung Kim.

        After fixed build break on EFL 1.8 at r138326, EFL libraries are changed
        Eo typedef and splitted header files which contain version macro.

        * TestWebKitAPI/PlatformWebView.h: Changed Eo typedef.
        * WebKitTestRunner/InjectedBundle/TestRunner.h: Ditto.
        * WebKitTestRunner/PlatformWebView.h: Ditto.

2013-10-24  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GObject bindings] Make EventTarget interface introspectable
        https://bugs.webkit.org/show_bug.cgi?id=77835

        Reviewed by Gustavo Noronha Silva.

        * Scripts/webkitpy/style/checker.py: Add exceptions for custom
        GObject DOM bindings headers.

2013-10-23  Lucas Forschler  <lforschler@apple.com>

        Add two more mac bots to the Mavericks Test Queue.
        
        Unreviewed.
        
        * BuildSlaveSupport/build.webkit.org-config/config.json:

2013-10-23  Filip Pizlo  <fpizlo@apple.com>

        Have a way of dealing with slow tests in run-jsc-stress-tests
        https://bugs.webkit.org/show_bug.cgi?id=123221

        Reviewed by Mark Hahnenberg.
        
        If you add the slow! command to //@ then all subsequent plans are prepended to the run list
        rather than appended to it. This means that slow tests get queued up first and are less likely
        to block completion.

        * Scripts/run-jsc-stress-tests:

2013-10-23  Alex Christensen  <achristensen@webkit.org>

        Explicitly build Win32 or x64 configuration on Windows.
        https://bugs.webkit.org/show_bug.cgi?id=123206

        Reviewed by Brent Fulgham.

        * Scripts/webkitdirs.pm:
        (jscPath):
        (determineConfigurationForVisualStudio):
        (determinePassedConfiguration):
        Add |Win32 to the end of 32-bit Visual Studio build configurations.
        (safariPath):
        * Scripts/build-webkit:
        * Scripts/old-run-webkit-tests:
        * Scripts/run-api-tests:
        (testToolPath):
        * Scripts/run-javascriptcore-tests:
        (testapiPath):
        * Scripts/run-regexp-tests:
        (testapiPath):
        * Scripts/sunspider-compare-results:
        (pathToBuiltJSC):
        Use configuration instead of configurationForVisualStudio, which are now always different.

2013-10-23  Mark Lam  <mark.lam@apple.com>

        Re-instate ProposedDatabases needed by detailsForNameAndOrigin().
        https://bugs.webkit.org/show_bug.cgi?id=123131.

        Reviewed by Geoffrey Garen.

        Updated these files to allow database quotas to grow within a limit for
        testing purposes.

        * DumpRenderTree/blackberry/DumpRenderTree.cpp:
        (BlackBerry::WebKit::DumpRenderTree::exceededDatabaseQuota):
        * DumpRenderTree/efl/DumpRenderTreeView.cpp:
        (onExceededDatabaseQuota):
        * DumpRenderTree/mac/UIDelegate.mm:
        (-[UIDelegate webView:frame:exceededDatabaseQuotaForSecurityOrigin:database:]):
        * DumpRenderTree/win/UIDelegate.cpp:
        (UIDelegate::exceededDatabaseQuota):
        * WebKitTestRunner/InjectedBundle/InjectedBundlePage.cpp:
        (WTR::InjectedBundlePage::didExceedDatabaseQuota):
        * WebKitTestRunner/TestController.cpp:
        (WTR::exceededDatabaseQuota):

2013-10-23  Simon Fraser  <simon.fraser@apple.com>

        It's valid to have a build ID of 0.

        Reviewed by Tim Hatcher.

        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/BuildbotIteration.js:
        (BuildbotIteration):

2013-10-23  Simon Fraser  <simon.fraser@apple.com>

        Remove Lion bots from the Dashboard.

        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/WebKitBuildbot.js:
        (WebKitBuildbot):

2013-10-23  Mario Sanchez Prada  <mario.prada@samsung.com>

        [GTK] Expose image links properly
        https://bugs.webkit.org/show_bug.cgi?id=84044

        Reviewed by Chris Fleizach.

        Expose the accessible URL if present, as yet another attribute
        for the AccessibilityUIElement wrapper. For coherence with what
        the Mac port does (and what you would expect as the output of
        the layout test), we strip the absolute URL path for relative
        references, if it's the case, leaving the base of the URL path
        out of the exposed string.

        * DumpRenderTree/atk/AccessibilityUIElementAtk.cpp:
        (attributesOfElement): Print the AXURL, if available.
        (AccessibilityUIElement::url): Expose the URL if present. That
        is, if the wrapped AtkObject implements AtkHyperlinkImpl.
        * WebKitTestRunner/InjectedBundle/atk/AccessibilityUIElementAtk.cpp:
        (attributesOfElement): Print the AXURL, if available.
        (WTR::AccessibilityUIElement::url): Expose the URL if present.
        That is, if the wrapped AtkObject implements AtkHyperlinkImpl.

2013-10-23  Simon Fraser  <simon.fraser@apple.com>

        Remove Lion bots.

        * BuildSlaveSupport/build.webkit.org-config/config.json:

2013-10-22  Simon Fraser  <simon.fraser@apple.com>

        Dashboard repaints constantly
        https://bugs.webkit.org/show_bug.cgi?id=122133

        Reviewed by Tim Horton.
        
        Pulsing shadows are really bad for battery life.

        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Styles/StatusLineView.css:
        (.status-line.bad .bubble):
        (.status-line.bad .message):

2013-10-22  Commit Queue  <commit-queue@webkit.org>

        Unreviewed, rolling out r157835.
        http://trac.webkit.org/changeset/157835
        https://bugs.webkit.org/show_bug.cgi?id=123192

        broke 32-bit builds (Requested by smfr on #webkit).

        * TestWebKitAPI/Tests/WTF/MediaTime.cpp:
        (TestWebKitAPI::TEST):

2013-10-22  Jer Noble  <jer.noble@apple.com>

        [WTF] Add a multiplication operator (and a few others) to MediaTime
        https://bugs.webkit.org/show_bug.cgi?id=123137

        Reviewed by Eric Carlson.

        Add tests for new MediaTime operators.

        * TestWebKitAPI/Tests/WTF/MediaTime.cpp:
        (TestWebKitAPI::TEST):

2013-10-22  Simon Fraser  <simon.fraser@apple.com>

        Educate webkitpy about Mavericks.

        Reviewed by Ryosuke Niwa.

        * Scripts/webkitpy/common/system/platforminfo.py:
        (PlatformInfo._determine_mac_version):
        * Scripts/webkitpy/common/system/platforminfo_unittest.py:
        (TestPlatformInfo.test_os_version):
        * Scripts/webkitpy/layout_tests/models/test_expectations.py:
        (TestExpectationParser):
        * Scripts/webkitpy/port/builders.py:
        * Scripts/webkitpy/port/mac.py:
        (MacPort):
        * Scripts/webkitpy/port/mac_unittest.py:
        (test_versions):
        (test_baseline_search_path):
        * Scripts/webkitpy/tool/commands/rebaseline_unittest.py:
        (TestRebaselineTest.test_baseline_directory):
        (TestRebaselineExpectations.test_rebaseline_expectations):

2013-10-22  Stephanie Lewis  <slewis@apple.com>

        Update the build trigger list for Mavericks.

        Unreviewed.

        * BuildSlaveSupport/build.webkit.org-config/wkbuild.py:
        (_should_file_trigger_build):

2013-10-22  Simon Fraser  <simon.fraser@apple.com>

        Add Mavericks bots to the dashboard.

        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/WebKitBuildbot.js:
        (WebKitBuildbot):

2013-10-22  Samuel White  <samuel_white@apple.com>

        AX: Add paramAttrs to fetch start and end text markers in a given rect.
        https://bugs.webkit.org/show_bug.cgi?id=122164

        Reviewed by Chris Fleizach.

        Added accessibility element hooks to test endTextMarkerForBounds and startTextMarkerForBounds.

        * DumpRenderTree/AccessibilityUIElement.cpp:
        (endTextMarkerForBoundsCallback):
        (startTextMarkerForBoundsCallback):
        (AccessibilityUIElement::endTextMarkerForBounds):
        (AccessibilityUIElement::startTextMarkerForBounds):
        (AccessibilityUIElement::getJSClass):
        * DumpRenderTree/AccessibilityUIElement.h:
        * DumpRenderTree/mac/AccessibilityUIElementMac.mm:
        (AccessibilityUIElement::endTextMarkerForBounds):
        (AccessibilityUIElement::startTextMarkerForBounds):
        * WebKitTestRunner/InjectedBundle/AccessibilityUIElement.cpp:
        (WTR::AccessibilityUIElement::endTextMarkerForBounds):
        (WTR::AccessibilityUIElement::startTextMarkerForBounds):
        * WebKitTestRunner/InjectedBundle/AccessibilityUIElement.h:
        * WebKitTestRunner/InjectedBundle/Bindings/AccessibilityUIElement.idl:
        * WebKitTestRunner/InjectedBundle/atk/AccessibilityUIElementAtk.cpp:
        (WTR::AccessibilityUIElement::endTextMarkerForBounds):
        (WTR::AccessibilityUIElement::startTextMarkerForBounds):
        * WebKitTestRunner/InjectedBundle/mac/AccessibilityUIElementMac.mm:
        (WTR::AccessibilityUIElement::endTextMarkerForBounds):
        (WTR::AccessibilityUIElement::startTextMarkerForBounds):

2013-10-22  Ryosuke Niwa  <rniwa@webkit.org>

        There should be a way to specify additional repository paths in NRWT
        https://bugs.webkit.org/show_bug.cgi?id=123135

        Reviewed by Alexey Proskuryakov.

        Added --additional-repository-name and --additional-repository-path options to NRWT.
        These options allow us to submit addtional repository information, such as of Safari's
        to the new flakiness dashboard.

        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:
        (parse_args):
        * Scripts/webkitpy/port/base.py:
        (Port.repository_paths):

2013-10-22  Commit Queue  <commit-queue@webkit.org>

        Unreviewed, rolling out r157774.
        http://trac.webkit.org/changeset/157774
        https://bugs.webkit.org/show_bug.cgi?id=123167

        causes python test to fail (Requested by smfr on #webkit).

        * Scripts/webkitpy/layout_tests/controllers/manager.py:
        (Manager.run):
        * Scripts/webkitpy/layout_tests/models/test_expectations.py:
        (TestExpectations.__init__):
        (TestExpectations._add_expectations):
        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:
        (parse_args):
        (_set_up_derived_options):

2013-10-22  Lucas Forschler  <lforschler@apple.com>

        Prepare WebKit Buildbot master for Mavericks.
        This adds the following bot configurations:
            Mavericks Release/Debug builders
            Mavericks Release/Debug WK1 Testers
            Mavericks Release/Debug WK2 Testers

        Unreviewed.
        
        * BuildSlaveSupport/build.webkit.org-config/config.json:

2013-10-21  Tamas Gergely  <gertom@inf.u-szeged.hu>

        Run tests as if they are expected to pass when --force is given.
        https://bugs.webkit.org/show_bug.cgi?id=112890

        Reviewed by Ryosuke Niwa.

        The --force switch of new-run-webkit-tests is now forces all tests to
        be run with 'PASS' as expected result.

        * Scripts/webkitpy/layout_tests/controllers/manager.py:
        (Manager.run):
        * Scripts/webkitpy/layout_tests/models/test_expectations.py:
        (TestExpectations.__init__):
        (TestExpectations._add_expectations):
        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:
        (parse_args):
        (_set_up_derived_options):

2013-10-21  Mark Rowe  <mrowe@apple.com>

        Add a version of WebKitSystemInterface for Mavericks.

        Reviewed by Ryosuke Niwa.

        * DumpRenderTree/mac/Configurations/DebugRelease.xcconfig:
        * Scripts/copy-webkitlibraries-to-product-directory:
        * WebKitTestRunner/Configurations/DebugRelease.xcconfig:

2013-10-21  Anders Carlsson  <andersca@apple.com>

        Navigation policy callback not called when performing the same fragment navigation twice
        https://bugs.webkit.org/show_bug.cgi?id=123121
        <rdar://problem/15230466>

        Reviewed by Beth Dakin.

        Add a test.

        * TestWebKitAPI/TestWebKitAPI.xcodeproj/project.pbxproj:
        * TestWebKitAPI/Tests/mac/FragmentNavigation.html: Added.
        * TestWebKitAPI/Tests/mac/FragmentNavigation.mm: Added.
        (+[WebKit1FragmentNavigationTestDelegate shared]):
        (-[WebKit1FragmentNavigationTestDelegate webView:runJavaScriptAlertPanelWithMessage:initiatedByFrame:]):
        (-[WebKit1FragmentNavigationTestDelegate webView:decidePolicyForNavigationAction:request:frame:decisionListener:]):
        (-[WebKit1FragmentNavigationTestDelegate webView:didFinishLoadForFrame:]):
        (-[WebKit1FragmentNavigationTestDelegate _runNextTestWithWebView:]):
        (TestWebKitAPI::TEST):

2013-10-21  Dan Bernstein  <mitz@apple.com>

        Style checker should allow a space after the @property keyword
        https://bugs.webkit.org/show_bug.cgi?id=123117

        Reviewed by Anders Carlsson.

        * Scripts/webkitpy/style/checkers/cpp.py:
        (check_spacing_for_function_call): Allow a space between @property and the following (
        * Scripts/webkitpy/style/checkers/cpp_unittest.py:
        (CppStyleTest.test_spacing_for_fncall): Added a test case.

2013-10-21  peavo@outlook.com  <peavo@outlook.com>

        [WinCairo] Build does not start.
        https://bugs.webkit.org/show_bug.cgi?id=123059

        Reviewed by Csaba Osztrogonác.

        The function isAppleWinWebKit() does no longer return true for WinCairo, need to add isWinCairo() checks instead.

        * Scripts/build-webkit:

2013-10-21  Zan Dobersek  <zdobersek@igalia.com>

        [Jhbuild] Bump the required Jhbuild revision
        https://bugs.webkit.org/show_bug.cgi?id=123089

        Reviewed by Carlos Garcia Campos.

        * jhbuild/jhbuild-wrapper: Latest versions of the gnome-common tools produce failures when configuring Jhbuild
        due to the configure.ac script using both IT_PROG_INTLTOOL and AM_GNU_GETTEXT macros. This is already fixed
        in the Jhbuild source so a more recent revision of it should be used.

2013-10-19  Alexey Proskuryakov  <ap@apple.com>

        Mac build fix.

        * DumpRenderTree/mac/DumpRenderTree.mm: Cast the length for %lu specifier.

2013-10-19  Alexey Proskuryakov  <ap@apple.com>

        Enable webaudio/ tests on DRT/Mac
        https://bugs.webkit.org/show_bug.cgi?id=86914

        Reviewed by Darin Adler.

        * DumpRenderTree/ForwardingHeaders/runtime/ArrayBufferView.h: Copied from Source/WebCore/ForwardingHeaders/runtime/ArrayBufferView.h.
        * DumpRenderTree/ForwardingHeaders/runtime/JSArrayBufferView.h: Copied from Source/WebCore/ForwardingHeaders/runtime/JSArrayBufferView.h.
        * DumpRenderTree/ForwardingHeaders/runtime/TypedArrayInlines.h: Copied from Source/WebCore/ForwardingHeaders/runtime/TypedArrayInlines.h.
        There is no way to efficiently get TypedArray buffer using API, so we need some internal headers.

        * DumpRenderTree/TestRunner.cpp:
        (setAudioResultCallback): 
        (TestRunner::staticFunctions):
        * DumpRenderTree/TestRunner.h:
        (TestRunner::audioResult):
        (TestRunner::setAudioResult):
        The function has a different name and argument type now, updated accordingly.
        Changed buffer from std::string to std::vector<char>, because it's more idiomatic.

        * DumpRenderTree/mac/DumpRenderTree.mm:
        (dumpAudio): Updated for the new name of audioResult accessor.
        (dump): Print the result in the format webkitpy currently expects.

        * WebKitTestRunner/TestInvocation.cpp:
        (WTR::TestInvocation::dumpAudio): fwrite the whole block at once, splitting into
        chunks made no sense.

        * WebKitTestRunner/InjectedBundle/TestRunner.cpp:
        (WTR::TestRunner::setAudioResult): Added a FIXME about getting off WKBundle SPI.

        * DumpRenderTree/CMakeLists.txt: Added JavaScriptCore/parser to include search list,
        so that "SourceProvider.h" can be found.

2013-10-19  Ryosuke Niwa  <rniwa@webkit.org>

        run-webkit-tests should submit time and modifiers to the new flakiness dashboard
        https://bugs.webkit.org/show_bug.cgi?id=123070

        Reviewed by Alexey Proskuryakov.

        * Scripts/webkitpy/layout_tests/controllers/manager.py:
        (Manager.run):
        * Scripts/webkitpy/layout_tests/models/test_run_results.py:
        (summarize_results): Added include_time_and_modifiers. Report test_run_time and modifiers
        in the test expectations when this argument is set to true.

2013-10-19  Alexey Proskuryakov  <ap@apple.com>

        Mac DumpRenderTree builds without NDEBUG even in release mode
        https://bugs.webkit.org/show_bug.cgi?id=123066

        Reviewed by Dan Bernstein.

        * DumpRenderTree/DumpRenderTree.xcodeproj/project.pbxproj:
        * DumpRenderTree/mac/Configurations/Base.xcconfig:
        Use the same pattern as WebCore and WebKitTestRunner.

2013-10-19  Zan Dobersek  <zdobersek@igalia.com>

        REGRESSION(r155373): Mac WK2 EWS bots is actually Mac WK1 debug
        https://bugs.webkit.org/show_bug.cgi?id=123064

        Reviewed by Ryosuke Niwa.

        Revert r155373 as it is causing incorrect port/platform deduction for the Mac EWS systems.

        * Scripts/webkitpy/common/config/ports.py: Added.
        (DeprecatedPort):
        (DeprecatedPort.name):
        (DeprecatedPort.flag):
        (DeprecatedPort.script_path):
        (DeprecatedPort.script_shell_command):
        (DeprecatedPort.port):
        (DeprecatedPort.makeArgs):
        (DeprecatedPort.update_webkit_command):
        (DeprecatedPort.check_webkit_style_command):
        (DeprecatedPort.prepare_changelog_command):
        (DeprecatedPort.build_webkit_command):
        (DeprecatedPort.run_javascriptcore_tests_command):
        (DeprecatedPort.run_webkit_unit_tests_command):
        (DeprecatedPort.run_webkit_tests_command):
        (DeprecatedPort.run_python_unittests_command):
        (DeprecatedPort.run_perl_unittests_command):
        (DeprecatedPort.run_bindings_tests_command):
        (MacPort):
        (MacWK2Port):
        (MacWK2Port.run_webkit_tests_command):
        (WinPort):
        (WinPort.run_bindings_tests_command):
        (GtkPort):
        (GtkPort.build_webkit_command):
        (GtkPort.run_webkit_tests_command):
        (GtkWK2Port):
        (GtkWK2Port.build_webkit_command):
        (GtkWK2Port.run_webkit_tests_command):
        (QtPort):
        (QtPort.build_webkit_command):
        (QtPort.run_webkit_tests_command):
        (QtWK2Port):
        (QtWK2Port.build_webkit_command):
        (QtWK2Port.run_webkit_tests_command):
        (EflPort):
        (EflPort.build_webkit_command):
        (EflWK2Port):
        (EflWK2Port.build_webkit_command):
        * Scripts/webkitpy/common/config/ports_mock.py: Added.
        (MockPort):
        (MockPort.name):
        (MockPort.check_webkit_style_command):
        (MockPort.update_webkit_command):
        (MockPort.build_webkit_command):
        (MockPort.prepare_changelog_command):
        (MockPort.run_python_unittests_command):
        (MockPort.run_perl_unittests_command):
        (MockPort.run_javascriptcore_tests_command):
        (MockPort.run_webkit_unit_tests_command):
        (MockPort.run_webkit_tests_command):
        (MockPort.run_bindings_tests_command):
        * Scripts/webkitpy/common/config/ports_unittest.py: Added.
        (DeprecatedPortTest):
        (DeprecatedPortTest.test_mac_port):
        (DeprecatedPortTest.test_gtk_port):
        (DeprecatedPortTest.test_gtk_wk2_port):
        (DeprecatedPortTest.test_efl_port):
        (DeprecatedPortTest.test_qt_port):
        (DeprecatedPortTest.test_qt_wk2_port):
        * Scripts/webkitpy/port/base.py:
        (Port._port_flag_for_scripts):
        (Port._wk2_port_name):
        * Scripts/webkitpy/port/base_unittest.py:
        (PortTest.test_build_path):
        * Scripts/webkitpy/port/efl_unittest.py:
        (EflPortTest.test_show_results_html_file):
        * Scripts/webkitpy/port/gtk_unittest.py:
        (GtkPortTest.test_get_crash_log):
        * Scripts/webkitpy/port/mac_unittest.py:
        (test_64bit):
        * Scripts/webkitpy/port/test.py:
        (TestPort.virtual_test_suites):
        * Scripts/webkitpy/tool/bot/flakytestreporter.py:
        (FlakyTestReporter.__init__):
        * Scripts/webkitpy/tool/bot/irc_command.py:
        (Rollout._update_working_copy):
        * Scripts/webkitpy/tool/commands/download_unittest.py:
        * Scripts/webkitpy/tool/commands/earlywarningsystem.py:
        (AbstractEarlyWarningSystem.run_command):
        * Scripts/webkitpy/tool/commands/queues.py:
        (PatchProcessingQueue.begin_work_queue):
        (CommitQueue.run_command):
        * Scripts/webkitpy/tool/main.py:
        (WebKitPatch.__init__):
        (WebKitPatch.deprecated_port):
        (WebKitPatch.handle_global_options):
        * Scripts/webkitpy/tool/mocktool.py:
        (MockTool.__init__):
        (MockTool.deprecated_port):
        * Scripts/webkitpy/tool/steps/build.py:
        (Build.build):
        * Scripts/webkitpy/tool/steps/checkstyle.py:
        (CheckStyle.run):
        * Scripts/webkitpy/tool/steps/commit.py:
        (Commit._check_test_expectations):
        * Scripts/webkitpy/tool/steps/preparechangelog.py:
        (PrepareChangeLog.run):
        * Scripts/webkitpy/tool/steps/preparechangelogforrevert.py:
        (PrepareChangeLogForRevert.run):
        * Scripts/webkitpy/tool/steps/runtests.py:
        (RunTests.run):
        * Scripts/webkitpy/tool/steps/runtests_unittest.py:
        (RunTestsTest.test_webkit_run_unit_tests):
        * Scripts/webkitpy/tool/steps/steps_unittest.py:
        (StepsTest.test_runtests_args):
        * Scripts/webkitpy/tool/steps/update.py:
        (Update._update_command):
        * Scripts/webkitpy/tool/steps/update_unittest.py:
        (UpdateTest.test_update_command_non_interactive):
        (UpdateTest.test_update_command_interactive):

2013-10-19  Andreas Kling  <akling@apple.com>

        RefPtr::releaseNonNull() incorrectly increments the refcount.
        <https://webkit.org/b/123063>

        Add an API test to verify that no extra refs are added when calling
        RefPtr::releaseNonNull().

        Reviewed by Anders Carlsson.

2013-10-18  Rik Cabanier <cabanier@adobe.com>
        Add Rik Cabanier to list of committers
        https://bugs.webkit.org/show_bug.cgi?id=123031

        reviewed by Dirk Schulze.

        * Tools/Scripts/webkitpy/common/config/contributors.json: Added name.

2013-10-18  Denis Nomiyama  <d.nomiyama@samsung.com>

        [ATK] Fix invalid signal to set objects to an unknown state "layout-complete"
        https://bugs.webkit.org/show_bug.cgi?id=122970

        Reviewed by Mario Sanchez Prada.

        Removed an invalid signal to set an object state to layout-complete
        that does not exist. It was replaced by ATK:AtkDocument:load-complete.

        * DumpRenderTree/atk/AccessibilityCallbacksAtk.cpp:
        (axObjectEventListener): Replaced layout-complete with load-complete.
        (connectAccessibilityCallbacks): Connect callback to new listener for
        ATK:AtkDocument:load-complete.
        (disconnectAccessibilityCallbacks): Disconnect callback to new listener
        for ATK:AtkDocument:load-complete.
        * WebKitTestRunner/InjectedBundle/atk/AccessibilityNotificationHandlerAtk.cpp:
        (axObjectEventListener): Replaced layout-complete with load-complete.
        (WTR::AccessibilityNotificationHandler::connectAccessibilityCallbacks):
        Connect callback to new listener for ATK:AtkDocument:load-complete.
        (WTR::AccessibilityNotificationHandler::disconnectAccessibilityCallbacks):
        Disconnect callback to new listener for ATK:AtkDocument:load-complete.

2013-10-18  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Generate API documentation for GObject DOM bindings
        https://bugs.webkit.org/show_bug.cgi?id=121538

        Reviewed by Gustavo Noronha Silva.

        The .symbols file that is now generated for checking GObject DOM
        bindings API compatibility while building can also be used to
        generate the files needed to produce the gtk-doc
        documentation. The new script generate-webkitdom-doc-files can
        generate the docs.sgml and sections.txt files from the given list
        of .symbols files.

        * gtk/GNUmakefile.am: Add rules to generate webkitdomgtk-docs.sgml
        and webkitdomgtk-sections.txt as well as rules to install the
        generated WebKitDOMGTK documentation.
        * gtk/generate-gtkdoc:
        (webkitdom_docs_html_path): New helper function that returns the
        path where the DOM API documentation has been generated.
        (get_webkit2_options): Include DOM API docs to the list of xref
        dependencies.
        (get_webkit1_options): Ditto.
        (get_webkitdom_options): Return the gtk-doc options to generate
        the DOM API docs.
        (get_webkitdom_options.derived_sources_path):
        (get_webkitdom_options.src_path):
        * gtk/generate-webkitdom-doc-files: Added.
        (WebKitDOMDocGenerator):
        (WebKitDOMDocGenerator.write_header):
        (WebKitDOMDocGenerator.write_section):
        (WebKitDOMDocGenerator.write_footer):
        (WebKitDOMDocGeneratorDocs):
        (WebKitDOMDocGeneratorDocs.write_header):
        (write_section):
        (write_footer):
        (WebKitDOMDocGeneratorSections):
        (WebKitDOMDocGeneratorSections.__init__):
        (WebKitDOMDocGeneratorSections._dom_class):
        (WebKitDOMDocGeneratorSections._dom_class_decamelize):
        (WebKitDOMDocGeneratorSections._symbol_list):
        (WebKitDOMDocGeneratorSections.write_section):

2013-10-17  Alex Christensen  <achristensen@webkit.org>

        Run JavaScriptCore tests again on Windows.
        https://bugs.webkit.org/show_bug.cgi?id=122787

        Reviewed by Tim Horton.

        * Scripts/build-jsc:
        (buildMyProject): Use JavaScriptCore.sln to build JavaScriptCore and WTF.
        * Scripts/run-javascriptcore-tests: Don't run stress tests on WinCairo.
        * Scripts/webkitdirs.pm:
        (determineConfigurationForVisualStudio):
        (determineConfigurationProductDir):
        Build directory should end with bin64 and configuration should end with |x64 on Win64.
        (isAppleWinWebKit):
        (copyInspectorFrontendFiles):
        (setPathForRunningWebKitApp):
        Separated WinCairo directories and options from AppleWin.

2013-10-17  Mihnea Ovidenie  <mihnea@adobe.com>

        Unreviewed. Add myself as a reviewer.

        * Scripts/webkitpy/common/config/contributors.json:

2013-10-17  Andreas Kling  <akling@apple.com>

        Make it possible to assign a PassRef to a RefPtr.
        <https://webkit.org/b/122943>

        Added a small API test for RefPtr=(PassRef) so we know this code
        will compile (and work.)

        Reviewed by Antti Koivisto.

2013-10-16  Filip Pizlo  <fpizlo@apple.com>

        We need test coverage for just the Baseline JIT
        https://bugs.webkit.org/show_bug.cgi?id=122929

        Reviewed by Sam Weinig.
        
        Adds no-LLInt versions of all tests. For the Mozilla tests, also add a BaselineJIT-only
        variant.

        * Scripts/run-jsc-stress-tests:

2013-10-16  Ryosuke Niwa  <rniwa@webkit.org>

        Support multiple repositories in submitting results to --results-server-host
        https://bugs.webkit.org/show_bug.cgi?id=122935

        Reviewed by Anders Carlsson.

        Remoevd --got-revision and added the logic to extract revision information
        from multiple repositories as done in run-perf-tests.

        * Scripts/webkitpy/layout_tests/controllers/manager.py:
        (Manager.upload_results):
        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:
        (parse_args):

2013-10-16  Darin Adler  <darin@apple.com>

        Add PassRef and createRefCounted so we can improve creation of RefCounted objects
        https://bugs.webkit.org/show_bug.cgi?id=122904

        Reviewed by Anders Carlsson.

        * TestWebKitAPI/Tests/WTF/Ref.cpp: Added some basic tests for adoptRef and PassRef.

2013-10-16  Darin Adler  <darin@apple.com>

        Need tests for RefPtr self-assignment and self-move-assignment.

        * TestWebKitAPI/Tests/WTF/RefPtr.cpp: Added tests.

2013-10-16  Robert Plociennik  <r.plociennik@samsung.com>

        [EFL] Minibrowser can't load child window's location
        https://bugs.webkit.org/show_bug.cgi?id=122485

        Reviewed by Gyuyoung Kim.

        * MiniBrowser/efl/main.c: Now calling window_create() without the url parameter
            followed by an explicit call to ewk_view_url_set() where appropriate.
        (on_key_down):
        (on_window_create):
        (window_create):
        (elm_main):

2013-10-15  Sergio Correia  <sergio.correia@openbossa.org>

        [EFL][WK2] Make SeccompFilters build again after r156349 and r156353
        https://bugs.webkit.org/show_bug.cgi?id=122872

        Reviewed by Anders Carlsson.

        * TestWebKitAPI/PlatformEfl.cmake: Mark SeccompFilters API test as
        failing.

2013-10-15  Dean Jackson  <dino@apple.com>

        Add ENABLE_WEB_ANIMATIONS flag
        https://bugs.webkit.org/show_bug.cgi?id=122871

        Reviewed by Tim Horton.

        Eventually might be http://dev.w3.org/fxtf/web-animations/
        but this is just engine-internal work at the moment.

        * Scripts/webkitperl/FeatureList.pm:

2013-10-15  Darin Adler  <darin@apple.com>

        Add some API tests for Vector, RefPtr, and Ref
        https://bugs.webkit.org/show_bug.cgi?id=122840

        Reviewed by Andreas Kling.

        * TestWebKitAPI/CMakeLists.txt: Added new files.
        * TestWebKitAPI/GNUmakefile.am: Ditto.
        * TestWebKitAPI/TestWebKitAPI.vcxproj/TestWebKitAPI.vcxproj: Ditto.
        * TestWebKitAPI/TestWebKitAPI.vcxproj/TestWebKitAPI.vcxproj.filters: Ditto.
        * TestWebKitAPI/TestWebKitAPI.xcodeproj/project.pbxproj: Ditto.

        * TestWebKitAPI/Tests/WTF/Ref.cpp: Added.
        * TestWebKitAPI/Tests/WTF/RefLogger.h: Added.
        * TestWebKitAPI/Tests/WTF/RefPtr.cpp: Added.
        * TestWebKitAPI/Tests/WTF/Vector.cpp: Added move-only insert tests.

2013-10-14  Roger Fong  <roger_fong@apple.com>

        Adding myself to CC list for some components.

        * Scripts/webkitpy/common/config/watchlist:

2013-10-13  Darin Adler  <darin@apple.com>

        Deprecate or remove deleteAllValues functions; there are only a few call sites left
        https://bugs.webkit.org/show_bug.cgi?id=122738

        Reviewed by Anders Carlsson.

        * DumpRenderTree/win/DRTDataObject.cpp:
        (DRTDataObject::~DRTDataObject):
        * DumpRenderTree/win/UIDelegate.cpp:
        (DRTUndoStack::~DRTUndoStack):
        (DRTUndoStack::clear):
        Renamed deleteAllValues to deprecatedDeleteAllValues.

        * Scripts/do-webcore-rename: Updated to perform this rename, as is traditional.

2013-10-13  Alexey Proskuryakov  <ap@apple.com>

        build.webkit.org/dashboard incorrectly shows interrupted builds as green
        https://bugs.webkit.org/show_bug.cgi?id=122732

        Reviewed by Tim Hatcher.

        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/BuildbotIteration.js:
        (BuildbotIteration.prototype.update): Removed a special case for status 4 (EXCEPTION).
        I don't see it occur any time in recent history, but judging from what happens for
        status 5 (RETRY), we can just finish this function normally.
        Record overall text description for iteration as BuildbotIteration.text.

        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/BuildbotTesterQueueView.js:
        (BuildbotTesterQueueView.prototype.update.appendBuilderQueueStatus): If an iteration is a failure,
        but no tests failed, make it yellow, and use buildbot-provided description for it.

2013-10-13  Alexey Proskuryakov  <ap@apple.com>

        Remove Chromium specific code from flakiness dashboard
        https://bugs.webkit.org/show_bug.cgi?id=122714

        Reviewed by Sam Weinig.

        Also removed code related to GPU tests and virtual suites.
        "Fallbacks map" was chromium only too, not sure why they needed special handling there.

        * TestResultServer/model/jsonresults_unittest.py:
        * TestResultServer/static-dashboards/builders.js:
        * TestResultServer/static-dashboards/dashboard_base.js:
        * TestResultServer/static-dashboards/flakiness_dashboard.html:
        * TestResultServer/static-dashboards/flakiness_dashboard.js:
        * TestResultServer/static-dashboards/flakiness_dashboard_tests.css:
        * TestResultServer/static-dashboards/flakiness_dashboard_unittests.js:
        * TestResultServer/static-dashboards/history.js:
        * TestResultServer/static-dashboards/loader.js:
        * TestResultServer/static-dashboards/ui.js:
        * TestResultServer/templates/uploadform.html:

2013-10-11  Timothy Hatcher  <timothy@apple.com>

        Remove preference support for picking the old Web Inspector.
        https://bugs.webkit.org/show_bug.cgi?id=122655

        Reviewed by Alexey Proskuryakov.

        * WebKitTestRunner/TestController.cpp:
        (WTR::TestController::resetStateToConsistentValues):

2013-10-11  Filip Pizlo  <fpizlo@apple.com>

        Fix 64-bit build on everything but Windows.

        Rubber stamped by Brent Fulgham.

        * Scripts/webkitdirs.pm:
        (argumentsForConfiguration):

2013-10-11  Alexey Proskuryakov  <ap@apple.com>

        Touch a file to see how auto-update works.

        Rubber-stamped by Tim Hatcher.

        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/BuildbotTestResults.js:

2013-10-11  Alexey Proskuryakov  <ap@apple.com>

        LeaksViewer fails to present recent results list if current build is still updating svn
        https://bugs.webkit.org/show_bug.cgi?id=122670

        Fixed an obvious mistake in the previous patch.

        * BuildSlaveSupport/build.webkit.org-config/public_html/LeaksViewer/RecentBuildsLoader.js:
        (RecentBuildsLoader.prototype.start):

2013-10-11  Alexey Proskuryakov  <ap@apple.com>

        LeaksViewer fails to present recent results list if current build is still updating svn
        https://bugs.webkit.org/show_bug.cgi?id=122670

        Reviewed by Adam Roben.

        * BuildSlaveSupport/build.webkit.org-config/public_html/LeaksViewer/RecentBuildsLoader.js:
        (RecentBuildsLoader.prototype.start): Skip builds that don't have an svn revision yet.

2013-10-11  Brent Fulgham  <bfulgham@apple.com>

        Unreviewed build fix for --64-bit target.

        * Scripts/webkitdirs.pm:
        (argumentsForConfiguration): Use 'isWin64' test, since @ARGV value may have
        been removed by this point.
        (hasArgument): Remove unused temporary.

2013-10-10  Gustavo Noronha Silva  <gustavo.noronha@collabora.com>

        webkit-patch failure-reason has a quite low limit for 'too many failures'
        https://bugs.webkit.org/show_bug.cgi?id=122556

        Reviewed by Darin Adler.

        * Scripts/webkitpy/tool/commands/queries.py:
        (FailureReason._explain_failures_for_builder): adjust the number of too many failures
        to match what the layout test runners use these days.

2013-10-10  Gustavo Noronha Silva  <gustavo.noronha@collabora.com>

        webkit-patch failure-reason should allow specifying failures one is interested in
        https://bugs.webkit.org/show_bug.cgi?id=122554

        Reviewed by Darin Adler.

        * Scripts/webkitpy/tool/commands/queries.py:
        (FailureReason):
        (FailureReason._explain_failures_for_builder): keep track of explained failures and drop out of the
        loop if the ones we're interested in been explained.
        (FailureReason._done_explaining): check the failures we're interested in have been explained, if any.
        (FailureReason.execute): initialize failures to explain and the explained set.

2013-10-10  Filip Pizlo  <fpizlo@apple.com>

        Make sure that DataTypes.h is in the binary drop.

        Rubber stamped by Michael Saboff.

        * Scripts/export-llvm-build:

2013-10-10  Filip Pizlo  <fpizlo@apple.com>

        FTL: Soft-link LLVM as a workaround for LLVM's static initializers and exit-time destructors
        https://bugs.webkit.org/show_bug.cgi?id=122566

        Reviewed by Mark Rowe.

        * Scripts/configure-llvm:

2013-10-10  Mark Rowe  <mrowe@apple.com>

        <rdar://problem/13341666> WebKit should always build against an SDK.

        Have all projects default to building against the OS X Internal SDK for the Production
        configuration. For the Debug and Release configurations, look for UseInternalSDK.xcconfig
        to determine whether the OS X Internal SDK should be used. If not, use the normal OS X SDK.

        Reviewed by Dan Bernstein.

        * DumpRenderTree/mac/Configurations/Base.xcconfig:
        * DumpRenderTree/mac/Configurations/DebugRelease.xcconfig:
        * MiniBrowser/Configurations/Base.xcconfig:
        * MiniBrowser/Configurations/DebugRelease.xcconfig:
        * TestWebKitAPI/Configurations/Base.xcconfig:
        * TestWebKitAPI/Configurations/DebugRelease.xcconfig:
        * WebKitTestRunner/Configurations/Base.xcconfig:
        * WebKitTestRunner/Configurations/DebugRelease.xcconfig:

2013-10-10  Gustavo Noronha Silva  <gns@gnome.org>

        Unreviewed gardening, the inspector protocol timeouts are also affecting TestInspectorServer.

        * Scripts/run-gtk-tests:
        (TestRunner): skip TestInspectorServer.

2013-10-10  Andres Gomez  <agomez@igalia.com>

        [GTK] Provide search functionality to MiniBrowser
        https://bugs.webkit.org/show_bug.cgi?id=117631

        Reviewed by Carlos Garcia Campos.

        Adds a search bar to MiniBrowser with the minimum functionality
        and a new button to the toolbar for showing the new search
        bar. Typical keyboard shortcuts are also added.

        * MiniBrowser/gtk/BrowserSearchBar.c: Added.
        (doSearch):
        (searchNext):
        (searchPrevious):
        (searchCloseButtonClickedCallback):
        (searchEntryMenuIconPressedCallback):
        (searchEntryClearIconReleasedCallback):
        (searchEntryChangedCallback):
        (searchEntryActivatedCallback):
        (searchPrevButtonClickedCallback):
        (searchNextButtonClickedCallback):
        (searchMenuCheckButtonToggledCallback):
        (browser_search_bar_init):
        (browserSearchBarFinalize):
        (browser_search_bar_class_init):
        (browser_search_bar_new):
        (browser_search_bar_add_accelerators):
        (browser_search_bar_open):
        (browser_search_bar_close):
        * MiniBrowser/gtk/BrowserSearchBar.h: Added.
        * MiniBrowser/gtk/BrowserWindow.c:
        (webViewEnterFullScreen): Closes new search bar.
        (webViewLeaveFullScreen): Opens new search bar if previously
        visible.
        (searchCallback): Added. Shows and hides the new search bar.
        (browser_window_init): Added search button to the toolbar.
        (browserWindowConstructed): Creates the new search bar.
        * MiniBrowser/gtk/GNUmakefile.am: Added new files to compilation.

2013-10-09  Gustavo Noronha Silva  <gustavo.noronha@collabora.com>

        webkit-patch failure-reason fails with UnicodeDecodeError when name has non-ascii characters
        https://bugs.webkit.org/show_bug.cgi?id=122552

        Reviewed by Darin Adler.

        * Scripts/webkitpy/common/checkout/commitinfo.py:
        (CommitInfo.blame_string): ensure objects are made into unicode strings, not regular ones that
        will cause UnicodeDecodeError for non-ascii characters.

2013-10-09  Alexey Proskuryakov  <ap@apple.com>

        Would like a link to dashboard from build.webkit.org main page
        https://bugs.webkit.org/show_bug.cgi?id=122577

        Reviewed by Tim Hatcher.

        * BuildSlaveSupport/build.webkit.org-config/templates/root.html: Added.

2013-10-09  Brent Fulgham  <bfulgham@apple.com>

        [Win] Check for MathML fonts and warn user if they are missing.
        https://bugs.webkit.org/show_bug.cgi?id=122568

        Reviewed by Tim Horton.

        * Scripts/webkitdirs.pm:
        (checkRequiredSystemConfig): Use common gperf/bison/flex tests, rather than
        Windows-specific code I added previously.
        (fontExists): Added
        (checkInstalledTools): Add check for MathML fonts.

2013-10-09  Alexey Proskuryakov  <ap@apple.com>

        http://build.webkit.org/dashboard/ doesn't link to webkitpy failures
        https://bugs.webkit.org/show_bug.cgi?id=122471

        Reviewed by Tim Hatcher.

        Added links to webkitpy, webkitperl and bindings-tests results.

        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/Buildbot.js:
        (Buildbot.prototype.apiTestResultsURLForIteration):
        (Buildbot.prototype.webkitpyTestResultsURLForIteration):
        (Buildbot.prototype.webkitperlTestResultsURLForIteration):
        (Buildbot.prototype.bindingsTestResultsURLForIteration):
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/BuildbotTesterQueueView.js:
        (BuildbotTesterQueueView.prototype.update.appendBuilderQueueStatus):

2013-10-09  Alexey Proskuryakov  <ap@apple.com>

        Move some functions from WebKitBuildbot to Buildbot class.

        Suggested by Tim Hatcher.

        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/Buildbot.js:
        (Buildbot.prototype.javascriptTestResultsURLForIteration):
        (Buildbot.prototype.apiTestResultsURLForIteration):
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/WebKitBuildbot.js:
        (WebKitBuildbot.prototype.layoutTestResultsURLForIteration):

2013-10-09  Timothy Hatcher  <timothy@apple.com>

        Add API tests to the Dashbord page.

        https://bugs.webkit.org/show_bug.cgi?id=122283

        Reviewed by Timothy Hatcher.

        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/BuildbotTesterQueueView.js:
        (BuildbotTesterQueueView.prototype.update.appendBuilderQueueStatus):
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/WebKitBuildbot.js:
        (WebKitBuildbot.prototype.apiTestResultsURLForIteration):

2013-10-09  Timothy Hatcher  <timothy@apple.com>

        Attempt to fix faulty Dashboard iteration updating by always rebuilding test result objects.

        https://bugs.webkit.org/show_bug.cgi?id=122515

        Reviewed by Alexey Proskuryakov.

        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/BuildbotIteration.js:
        (BuildbotIteration.prototype.update):

2013-10-09  Alexey Proskuryakov  <ap@apple.com>

        build.webkit.org/dashboard doesn't provide a results link when there issues at multiple steps
        https://bugs.webkit.org/show_bug.cgi?id=122573

        Reviewed by Tim Hatcher.

        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/BuildbotTesterQueueView.js:
        (BuildbotTesterQueueView.prototype.update.appendBuilderQueueStatus): Provide a URL.

        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/Buildbot.js:
        (Buildbot.prototype.buildPageURLForIteration): Added.

2013-10-09  Alexey Proskuryakov  <ap@apple.com>

        http://build.webkit.org/dashboard/ links to a wrong jscore-test results page
        https://bugs.webkit.org/show_bug.cgi?id=122569

        Reviewed by Tim Hatcher.

        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/WebKitBuildbot.js:
        (WebKitBuildbot.prototype.javascriptTestResultsURLForIteration): "actual.html" used
        to be produced by the old Mozilla test harness that we don't use any more.

2013-10-09  Gustavo Noronha Silva  <gustavo.noronha@collabora.com>

        Add GTK 64 bits release to the buildbot dashboard
        https://bugs.webkit.org/show_bug.cgi?id=122548

        Reviewed by Darin Adler.

        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Images/GTK.png: Added.
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/WebKitBuildbot.js:
        (WebKitBuildbot): add 64 bits release wk2 and wk1 testers.
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Styles/Main.css:
        (table.queue-grid tr.platform.linux-gtk img.logo): use the GTK+ logo in its dashboard line.

2013-10-09  Mario Sanchez Prada  <mario.prada@samsung.com>

        [ATK] Implement new API in AtkText: atk_text_get_string_at_offset()
        https://bugs.webkit.org/show_bug.cgi?id=120638

        Reviewed by Gustavo Noronha Silva.

        * gtk/jhbuild.modules: Raised ATK and AT-SPI versions to 2.10.0, so we
        can check both the old and new APIs to retrieve text at a given offset.

2013-10-08  Alex Christensen  <achristensen@webkit.org>

        Improved WinLauncher.
        https://bugs.webkit.org/show_bug.cgi?id=122536

        Reviewed by Brent Fulgham.

        * WinLauncher/PrintWebUIDelegate.cpp:
        (PrintWebUIDelegate::runJavaScriptAlertPanelWithMessage): Added.
        (PrintWebUIDelegate::runJavaScriptConfirmPanelWithMessage): Added.
        * WinLauncher/PrintWebUIDelegate.h: Removed stubs.
        * WinLauncher/WinLauncher.cpp:
        (createCrashReport): Use the executable name instead of "WinLauncher".
        * WinLauncher/WinLauncher.vcxproj/WinLauncher.exe.manifest: Removed.
        * WinLauncher/WinLauncher.vcxproj/WinLauncherLibCommon.props: Link to Wininet.lib.
        * win/DLLLauncher/DLLLauncherMain.cpp: Remove VS2005 dependency for WinCairo.

2013-10-08  Mark Lam  <mark.lam@apple.com>

        Fix ruby LoadError when running run-javascriptcore-tests.
        https://bugs.webkit.org/show_bug.cgi?id=122519.

        Reviewed by Mark Hahnenberg.

        The scripts needed to explicitly require 'rubygems' for older versions of ruby
        (versions before 1.9).

        * Scripts/jsc-stress-test-helpers/profiler-test-helper:
        * Scripts/run-jsc-stress-tests:

2013-10-08  Christophe Dumez  <ch.dumez@sisa.samsung.com>

        Unreviewed, add my new email to contributors.json.

        * Scripts/webkitpy/common/config/contributors.json:

2013-10-08  Brent Fulgham  <bfulgham@apple.com>

        Unreviewed build correction.

        * Scripts/webkitpy/port/win.py:
        (WinPort.write_registry_value): Use string representation of error message to avoid
        format conversion problem.

2013-10-07  Brent Fulgham  <bfulgham@apple.com>

        [Win] Add checks for proper build and test environment
        https://bugs.webkit.org/show_bug.cgi?id=122466

        Reviewed by Darin Adler.

        This patch makes two changes:
        1. Update webkitdirs.pm to check for some common misconfigurations and provide helpful warnings or
           error messages so that people know what to fix to get things working.
        2. Modify the win.py port to handle the 32-bit and 64-bit test environments, as well as making sure
           the various environment settings are properly configured for our test environment.

        * Scripts/webkitdirs.pm:
        (checkInstalledTools): Add checks for some common Cygwin configuration problems that have
        caused problems in the past.
        (setupAppleWinEnv):
        * Scripts/webkitpy/port/win.py:
        (WinPort):
        (WinPort.read_registry_string): Parameterize for run architecture and registry root.
        (WinPort.write_registry_value): Parameterize registry writing by data type (string versus
        DWORD, etc.)
        (WinPort.write_registry_string): Revise to call new generic registry write function.
        (WinPort.setup_crash_log_saving): Revise for new API
        (WinPort.restore_crash_log_saving): Ditto
        (WinPort.prevent_error_dialogs): Add new methods to prevent Windows dialogs that block our test
        servers from running.
        (WinPort.allow_error_dialogs): Ditto.
        (WinPort.setup_test_run): Call new API to turn off user input dialogs on program failure.
        (WinPort.clean_up_test_run): Call new API to reactivatea user input dialogs after test run finished.

2013-10-08  Philippe Normand  <pnormand@igalia.com>

        [GStreamer] enable v4l2 plugin
        https://bugs.webkit.org/show_bug.cgi?id=122503

        Reviewed by Martin Robinson.

        * gtk/jhbuild.modules: Enable the plugin, it now builds fine since
        we updated our GStreamer version to 1.0.8.

2013-10-08  Mario Sanchez Prada  <mario.prada@samsung.com>

        [ATK] Expose state of aria-invalid as ATK_STATE_INVALID_ENTRY
        https://bugs.webkit.org/show_bug.cgi?id=122104

        Reviewed by Chris Fleizach.

        Updated stringAttributeValue to double check that the exposure of
        aria-invalid as a state is consistent with its exposure as a text
        attribute as well, when it applies (implementations of AtkText).

        * DumpRenderTree/atk/AccessibilityUIElementAtk.cpp:
        (AccessibilityUIElement::stringAttributeValue): Add double check.
        * WebKitTestRunner/InjectedBundle/atk/AccessibilityUIElementAtk.cpp:
        (WTR::AccessibilityUIElement::stringAttributeValue): Ditto.

2013-10-07  Filip Pizlo  <fpizlo@apple.com>

        run-jsc-stress-tests progress meter should update more quickly on older Rubies
        https://bugs.webkit.org/show_bug.cgi?id=122459

        Reviewed by Darin Adler.

        * Scripts/run-jsc-stress-tests:

2013-10-07  Gustavo Noronha Silva  <gns@gnome.org>

        [buildbot] parse tests that are reported as crashed correctly for GTK+
        https://bugs.webkit.org/show_bug.cgi?id=122476

        Reviewed by Martin Robinson.

        * BuildSlaveSupport/build.webkit.org-config/master.cfg:
        (RunGtkAPITests.commandComplete): parse the crashed tests output so that is reported
        as a failure of the API tests.

2013-10-07  Gustavo Noronha Silva  <gns@gnome.org>

        Unreviewed. Skipping API test that is causing the next one to crash,
        see https://bugs.webkit.org/show_bug.cgi?id=121970.

        * Scripts/run-gtk-tests:
        (TestRunner):

2013-10-07  Gustavo Noronha Silva  <gustavo.noronha@collabora.com>

        [GTK] run-gtk-tests does not distinguish between failure and crashes
        https://bugs.webkit.org/show_bug.cgi?id=122135

        Reviewed by Martin Robinson.

        The GTK+ API test runner does not distinguish between failures and crashes. This change
        makes it do that, so it's easier for us to spot the more important/higher priority crash
        case.

        * Scripts/run-gtk-tests:
        (TestRunner._run_test_command): return the exit code instead of a boolean true/false,
        so we have more information on how the process ended.
        (TestRunner._run_test): check the exit code to distinguish between crashes and failures.
        (TestRunner.run_tests): report crashes.

2013-10-07  Gustavo Noronha Silva  <gns@gnome.org>

        [GTK] Missing packages for APT on install-dependencies
        https://bugs.webkit.org/show_bug.cgi?id=121555

        Reviewed by Martin Robinson.

        * gtk/install-dependencies: add packages that are needed for
        building WebKit itself and the jhbuild dependencies.

2013-10-07  Anders Carlsson  <andersca@apple.com>

        Fix test failures.

        * Scripts/webkitpy/port/base.py:
        (Port.to.start_helper):
        * Scripts/webkitpy/port/mock_drt.py:
        (MockDRTPort.start_helper):

2013-10-07  Anders Carlsson  <andersca@apple.com>

        Always force discrete mode when running layout tests
        https://bugs.webkit.org/show_bug.cgi?id=122465

        Reviewed by Tim Horton.

        This should speed up WebGL tests and hopefully prevent race conditions that may cause window server crashes from happening.
        
        * DumpRenderTree/DumpRenderTree.xcodeproj/project.pbxproj:
        Link with IOKit.

        * DumpRenderTree/mac/LayoutTestHelper.m:
        (installLayoutTestColorProfile):
        Check installColorProfile.

        (restoreUserColorProfile):
        Check installColorProfile.

        (lockDownDiscreteGraphics):
        New function to force discrete graphics.

        (main):
        Add '--install-color-profile' option.

        * Scripts/webkitpy/layout_tests/controllers/manager.py:
        (Manager._set_up_run):
        Always start the helper, but pass self._options.pixel_tests to it.

        * Scripts/webkitpy/port/mac.py:
        (MacPort.start_helper):
        Pass --install-color-profile' to the helper if pixel_tests is true.

2013-10-07  Timothy Hatcher  <timothy@apple.com>

        Properly count binding test failures as failures.

        Fix the total for multiple failures in different steps too by avoiding undefined.

        https://bugs.webkit.org/show_bug.cgi?id=122232

        Reviewed by Alexey Proskuryakov.

        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/BuildbotTestResults.js:
        (BuildbotTestResults):
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/BuildbotTesterQueueView.js:
        (BuildbotTesterQueueView.prototype.update.appendBuilderQueueStatus):

2013-10-07  Gustavo Noronha Silva  <gustavo.noronha@collabora.com>

        [GTK] Fails to build with jhbuild with newer system glib
        https://bugs.webkit.org/show_bug.cgi?id=122132

        Reviewed by Martin Robinson.

        Newer glib includes new symbols that some system libraries which we depend on, such as pango, have
        started relying on. glib is not a dependency that should change test results, and is provided in
        jhbuild with the intention of supporting the other bits that do, so using a newer stable release
        should not be an issue.

        * gtk/jhbuild.modules:

2013-10-06  Filip Pizlo  <fpizlo@apple.com>

        run-jsc-stress-tests shouldn't print its goofy progress meter when running on the bots
        https://bugs.webkit.org/show_bug.cgi?id=122437

        Reviewed by Antoine Quint.

        * Scripts/run-jsc-stress-tests:

2013-10-06  Filip Pizlo  <fpizlo@apple.com>

        Unreviewed, fix build on old Rubies.

        * Scripts/run-jsc-stress-tests:

2013-10-06  Filip Pizlo  <fpizlo@apple.com>

        Unified test infrastructure via the jsc shell
        https://bugs.webkit.org/show_bug.cgi?id=120696

        Reviewed by Oliver Hunt.
        
        Make run-jsc-stress-tests smart enough to be able to handle different styles of test
        output (silent or noisy) and different styles of test failure (just bad exit code,
        text diff, filtering for some magical text, etc.). This allows me to get rid of the
        layout-test-helper. It also allows me to switch all of the old Mozilla tests to
        running in run-jsc-stress-tests.
        
        Also removes all of the code paths that defended against not having shellwords. Just
        install the shellwords gem if you want to run tests.
        
        Also removes the non-parallel test running code. No reason for it to exist anymore.
        
        This is a massive increase in test coverage. It uncovered bugs. I fixed two of them
        as part of this patch, and left three more as new bugzillas.

        * Scripts/create-mozilla-js-test-list: Added.
        * Scripts/jsc-stress-test-helpers/check-mozilla-failure: Added.
        * Scripts/jsc-stress-test-helpers/layout-test-helper: Removed.
        * Scripts/run-javascriptcore-tests:
        * Scripts/run-jsc-stress-tests:

2013-10-05  Filip Pizlo  <fpizlo@apple.com>

        run-jsc-stress-tests should be less verbose
        https://bugs.webkit.org/show_bug.cgi?id=122397

        Reviewed by Sam Weinig.
        
        It now just prints something like:
        
         965/1831 ....
        
        Where the first number is the number of tests that completed, the second number is the
        number of tests total, and the dots are the number of tests running right now - which is
        useful towards the end when you're waiting for the last slow tests to finish.
        
        It will also print out the output from failing tests and it will print a line for skipped
        tests (to annoy you into getting them into a shape where they can be unskipped). For
        example, for LayoutTests, it will print just the diff, if the test fails. It's cool.

        * Scripts/run-jsc-stress-tests:

2013-10-05  Filip Pizlo  <fpizlo@apple.com>

        Allow skipping of run-jsc-stress-tests that are configured using yaml files
        https://bugs.webkit.org/show_bug.cgi?id=122385

        Reviewed by Sam Wieinig.
        
        Make tests run via YAML be able to do the parse-for-commands trick that allows
        us to skip tests and do other custom per-test stuff.

        * Scripts/jsc-stress-test-helpers/layout-test-helper:
        * Scripts/run-jsc-stress-tests:

2013-10-05  Filip Pizlo  <fpizlo@apple.com>

        Unreviewed, fix tests on older Rubies.

        * Scripts/run-jsc-stress-tests:

2013-10-05  Anders Carlsson  <andersca@apple.com>

        Don't filter the weak symbols.

        * Scripts/check-for-weak-vtables-and-externals:

2013-10-04  Filip Pizlo  <fpizlo@apple.com>

        Have run-javascriptcore-tests run JS LayoutTests using run-jsc-stress-tests so that it runs in parallel
        https://bugs.webkit.org/show_bug.cgi?id=122376

        Reviewed by Mark Hahnenberg.

        * Scripts/jsc-stress-test-helpers/layout-test-helper: Added.
        * Scripts/run-javascriptcore-tests:
        (printThingsFound):
        * Scripts/run-jsc-stress-tests:

2013-10-04  Filip Pizlo  <fpizlo@apple.com>

        It should be even easier to run and debug a failing JSC stress test
        https://bugs.webkit.org/show_bug.cgi?id=122337

        Reviewed by Oliver Hunt.
        
        If a test fails, you can now just say:

        sh WebKitBuild/Debug/jsc-stress-results/regress/script-tests/emscripten-cube2hash.js.ftl-eager-no-cjit

        and get the reproduction. You don't have to set any environment variables like before.
        Also if you want to debug the failing test you can now just say:

        sh WebKitBuild/Debug/jsc-stress-results/regress/script-tests/emscripten-cube2hash.js.ftl-eager-no-cjit lldb --

        Broadly, any arguments passed to the reproduction script are prepended to the command to
        run the test. This is sort of quirky and won't work for some tests (for example the
        profiler tests run a ruby script that runs some other stuff) but it'll work for most of
        them and that's good enough for now.

        * Scripts/run-jsc-stress-tests:

2013-10-04  Brent Fulgham  <bfulgham@apple.com>

        [Windows] Correct run-path when using 64-bit binaries.

        Reviewed by David Kilzer.

        * Scripts/webkitdirs.pm:
        (determineConfigurationProductDir): If running in 64-bit mode, use the 'bin64'
        directory. Otherwise use the existing 'bin32' directory.

2013-10-04  Brent Fulgham  <bfulgham@apple.com>

        Teach webkitdirs.pm to honor the --64-bit flag
        https://bugs.webkit.org/show_bug.cgi?id=122357

        Reviewed by David Kilzer.

        * Scripts/webkitdirs.pm:
        (argumentsForConfiguration): Modify to check if --64-bit is supplied
        by the user.
        (findMatchingArguments): Added.
        (hasArgument): Added.
        (checkForArgumentAndRemoveFromArrayRef): Refactor to use the new
        findMatchingArguments subroutine.

2013-10-04  Alexey Proskuryakov  <ap@apple.com>

        Update svn-config for new Visual Studio extensions
        https://bugs.webkit.org/show_bug.cgi?id=122344

        Reviewed by Brent Fulgham.

        * svn-config: Add new Visual Studio extensions.

2013-10-04  Alex Christensen  <achristensen@webkit.org>

        Made WinLauncher have better error handling, crash reporting, and modifiability.
        https://bugs.webkit.org/show_bug.cgi?id=122319

        Reviewed by Brent Fulgham.

        * WinLauncher/WinLauncher.cpp:
        (WinLauncherWebHost::didFailProvisionalLoadWithError):
        Don't display the numerous "Cancelled" messages that are obviously from the user.
        (createCrashReport): Added.
        (dllLauncherEntryPoint):
        Made main loop back into while loop and write a crash report if it crashes.
        * WinLauncher/WinLauncher.vcxproj/WinLauncherLib.vcxproj:
        * WinLauncher/WinLauncher.vcxproj/WinLauncherLib.vcxproj.filters:
        Added WinLauncherReplace.h.
        * WinLauncher/WinLauncher.vcxproj/WinLauncherLibCommon.props:
        Added linking to DbgHelp.lib.
        * WinLauncher/WinLauncherReplace.h:
        Added to make modifying WinLauncher behaviour and appearance easy.
        (processCrashDump): Added.

2013-10-04  Dirk Pranke  <dpranke@chromium.org>

        remove dpranke from webkitpy watchlist
        https://bugs.webkit.org/show_bug.cgi?id=122331

        Reviewed by Brent Fulgham.

        * Scripts/webkitpy/common/config/watchlist:

2013-10-04  Tim Horton  <timothy_horton@apple.com>

        [mac][wk2] ScrollPinningBehaviors, SpacebarScrolling, and ScrollByLineCommands fail after r156793
        https://bugs.webkit.org/show_bug.cgi?id=122299

        Reviewed by Beth Dakin.

        * TestWebKitAPI/Tests/WebKit2/SpacebarScrolling.cpp:
        * TestWebKitAPI/Tests/WebKit2/mac/EditorCommands.mm:
        The last fix didn't work; instead of trying to block, turn off threaded scrolling for all three tests.

2013-10-04  Alexey Proskuryakov  <ap@apple.com>

        Watchlist is broken after <http://trac.webkit.org/r156880>

        * Scripts/webkitpy/common/config/watchlist: Remove an incorrect change.

2013-10-04  Brent Fulgham  <bfulgham@apple.com>

        Remove Qt features from build and test tools
        https://bugs.webkit.org/show_bug.cgi?id=122312

        Reviewed by Anders Carlsson.

        * Scripts/build-dumprendertree:
        * Scripts/build-jsc:
        * Scripts/build-webkit:
        * Scripts/build-webkittestrunner:
        * Scripts/old-run-webkit-tests:
        (openDumpTool):
        (buildPlatformResultHierarchy):
        (buildPlatformTestHierarchy):
        (readSkippedFiles):
        * Scripts/run-launcher:
        * Scripts/run-qtwebkit-tests: Removed.
        * Scripts/run-webkit-tests:
        (useNewRunWebKitTests):
        * Scripts/update-webkit:
        * Scripts/webkit-build-directory:
        * Scripts/webkitdirs.pm:
        (argumentsForConfiguration):
        (jscProductDir):
        (builtDylibPathForName):
        (isAppleWebKit):
        (launcherPath):
        (launcherName):
        (checkRequiredSystemConfig):
        (setupCygwinEnv):
        (copyInspectorFrontendFiles):
        (setPathForRunningWebKitApp):
        * Scripts/webkitpy/common/checkout/baselineoptimizer.py:
        * Scripts/webkitpy/common/checkout/baselineoptimizer_unittest.py:
        (BaselineOptimizerTest.test_mac_future):
        (BaselineOptimizerTest.test_win_does_not_drop_to_win_7sp0):
        (BaselineOptimizerTest.test_common_directory_includes_root):
        (BaselineOptimizerTest.test_virtual_ports_filtered):
        * Scripts/webkitpy/common/checkout/changelog_unittest.py:
        (test_parse_reviewer_text):
        * Scripts/webkitpy/common/config/watchlist:
        * Scripts/webkitpy/layout_tests/run_webkit_tests_integrationtest.py:
        (PortTest.disabled_test_chromium_mac_lion_in_test_shell_mode):
        * Scripts/webkitpy/port/base.py:
        (Port.__init__):
        (Port._port_flag_for_scripts):
        (Port._wk2_port_name):
        * Scripts/webkitpy/port/builders.py:
        * Scripts/webkitpy/port/factory.py:
        (platform_options):
        (PortFactory):
        (PortFactory._default_port):
        * Scripts/webkitpy/port/factory_unittest.py:
        (FactoryTest.test_gtk):
        * Scripts/webkitpy/port/qt.py: Removed.
        * Scripts/webkitpy/port/qt_unittest.py: Removed.
        * Scripts/webkitpy/style/checker.py:
        * Scripts/webkitpy/style/checker_unittest.py:
        (GlobalVariablesTest.test_path_rules_specifier):
        * Scripts/webkitpy/style/checkers/cmake.py:
        (CMakeChecker):
        * Scripts/webkitpy/style/checkers/cpp.py:
        (_classify_include):
        (check_include_line):
        (check_identifier_name_in_declaration):
        * Scripts/webkitpy/style/checkers/cpp_unittest.py:
        (OrderOfIncludesTest.test_classify_include):
        (WebKitStyleTest.test_names):
        * Scripts/webkitpy/style/checkers/test_expectations_unittest.py:
        (TestExpectationsTestCase.test_determine_port_from_expectations_path):
        * Scripts/webkitpy/tool/commands/rebaseline_unittest.py:
        (TestRebaselineTest.test_baseline_directory):
        * Scripts/webkitpy/tool/main.py:
        (WebKitPatch):

2013-10-03  Gyuyoung Kim  <gyuyoung.kim@samsung.com>

        Unreviewed. Add myself to some watchlists.

        * Scripts/webkitpy/common/config/watchlist:

2013-10-03  Ryosuke Niwa  <rniwa@webkit.org>

        Remove Qt builders from the flakiness dashboard.

        * TestResultServer/static-dashboards/builders.jsonp:
        * TestResultServer/static-dashboards/flakiness_dashboard.js:
        * TestResultServer/static-dashboards/flakiness_dashboard_unittests.js:
        * TestResultServer/static-dashboards/loader_unittests.js:

2013-10-03  Tim Horton  <timothy_horton@apple.com>

        [mac][wk2] ScrollPinningBehaviors, SpacebarScrolling, and ScrollByLineCommands fail after r156793
        https://bugs.webkit.org/show_bug.cgi?id=122299

        Reviewed by Beth Dakin.

        * TestWebKitAPI/Tests/WebKit2/ScrollPinningBehaviors.cpp:
        Disable threaded scrolling.

        * TestWebKitAPI/Tests/WebKit2/SpacebarScrolling.cpp:
        * TestWebKitAPI/Tests/WebKit2/mac/EditorCommands.mm:
        Synchronously wait for the scrolling thread to inform the main thread of the new scroll position.

2013-10-03  Anders Carlsson  <andersca@apple.com>

        Use numeric strings in the OS version dictionary
        https://bugs.webkit.org/show_bug.cgi?id=122300

        Reviewed by Mark Rowe.

        * Scripts/webkitpy/common/system/platforminfo.py:
        (PlatformInfo._determine_mac_version):

2013-10-03  Alexey Proskuryakov  <ap@apple.com>

        Fix LeaksViewer to load leaks results from MountainLion, not Lion.

        Rubber-stamped by Tim Horton.

        * BuildSlaveSupport/build.webkit.org-config/public_html/LeaksViewer/LeaksViewer.js:
        (LeaksViewer._displayURLPrompt):

2013-10-03  Dan Bernstein  <mitz@apple.com>

        REGRESSION (r156811): Objective-C JavaScriptCore API test failing on Mountain Lion bots
        https://bugs.webkit.org/show_bug.cgi?id=122260

        Reviewed by Alexey Proskuryakov.

        For the API to work, the tests need to be compiled with a newer version of the LLVM
        compiler. Until the bots are updated to that version, disable the tests on 10.8.

        * TestWebKitAPI/Tests/mac/WebViewDidCreateJavaScriptContext.mm:

2013-10-02  Mario Sanchez Prada  <mario.prada@samsung.com>

        [ATK] Expose aria-invalid as a text attribute (not object attribute)
        https://bugs.webkit.org/show_bug.cgi?id=122015

        Reviewed by Chris Fleizach.

        Adapted DRT and WKTR to check the exposure of the aria-invalid
        attribute as a text attribute, instead of an object attribute.

        Also, done some refactoring of the code to try to keep things
        simpler and more coherent, by defining new helper functions,
        simplifying code, moving static variables and functions into
        unnammed namespaces and so on, without altering the logic other
        than for checking the text attribute for aria-invalid.

        * DumpRenderTree/atk/AccessibilityUIElementAtk.cpp:
        (coreAttributeToAtkAttribute): Consider 'invalid' as the name of
        the attribute exposed by the ATK wrapper, not 'aria-invalid'.
        Also, never return an empty string if not falling through any of
        the cases checked here, and return the original attribute instead.
        (atkAttributeValueToCoreAttributeValue): New helper function to
        match the attributes values returned by the ATK wrapper with the
        values expected by the layout tests. Moved the mappings for the
        values of AXSortDirection here as well.
        (getAttributeSet): New helper function to retrieve a list of
        attributes (an AtkAttributeSet) from an AtkObject using the right
        API depending on whether we want the object attributes or the text
        attributes (in case the object implements AtkText).
        (getAttributeSetValueForId): Simplified by using getAttributeSet
        and atkAttributeValueToCoreAttributeValue. Also, added a new
        parameter to indicater whether we are interested in object
        attributes or text attributes.
        (getAtkAttributeSetAsString): Ditto.
        (attributesOfElement): Updated to pass the new required parameter
        to getAtkAttributeSetAsString, indicating that we want the object
        attributes in this case, for backwards compatibility.
        (indexRangeInTable): Moved up in the file into the unnammed namespace.
        (alterCurrentValue): Ditto.
        (AccessibilityUIElement::stringAttributeValue): After moving most
        of the code here to the new helper functions, simplified it by
        just checking whether the required attribute is provided as an
        object attribute or, if that's not the case, as a text attribute.
        (AccessibilityUIElement::isAttributeSupported): Ditto.
        (AccessibilityUIElement::intValue): Updated to pass the new
        required parameter to getAttributeSetValueForId, indicating that
        we want the object attributes in this case.
        (AccessibilityUIElement::hasPopup): Ditto.

        * WebKitTestRunner/InjectedBundle/atk/AccessibilityUIElementAtk.cpp:
        (WTR::coreAttributeToAtkAttribute): Same changes than for DRT.
        (WTR::atkAttributeValueToCoreAttributeValue): Ditto.
        (WTR::getAttributeSet): Ditto.
        (WTR::getAttributeSetValueForId): Ditto.
        (WTR::getAtkAttributeSetAsString): Ditto.
        (WTR::attributesOfElement): Ditto.
        (WTR::AccessibilityUIElement::stringAttributeValue): Ditto.
        (WTR::AccessibilityUIElement::isAttributeSupported): Ditto.
        (WTR::AccessibilityUIElement::intValue): Ditto.
        (WTR::AccessibilityUIElement::hasPopup): Ditto.

2013-10-02  Ryosuke Niwa  <rniwa@webkit.org>

        EWS build fix after the Qt EWS removal.

        * QueueStatusServer/model/attachment.py:
        (Attachment._calculate_queue_positions):

2013-10-02  Anders Carlsson  <andersca@apple.com>

        Remove Qt code from Tools/
        https://bugs.webkit.org/show_bug.cgi?id=122227

        Reviewed by Andreas Kling.

        * DumpRenderTree/WorkQueue.cpp:
        * DumpRenderTree/blackberry/src.pro: Removed.
        * DumpRenderTree/qt/DumpRenderTree.pro: Removed.
        * DumpRenderTree/qt/DumpRenderTree.qrc: Removed.
        * DumpRenderTree/qt/DumpRenderTreeMain.cpp: Removed.
        * DumpRenderTree/qt/DumpRenderTreeQt.cpp: Removed.
        * DumpRenderTree/qt/DumpRenderTreeQt.h: Removed.
        * DumpRenderTree/qt/EventSenderQt.cpp: Removed.
        * DumpRenderTree/qt/EventSenderQt.h: Removed.
        * DumpRenderTree/qt/GCControllerQt.cpp: Removed.
        * DumpRenderTree/qt/TestNetscapePlugin/TestNetscapePlugin.pro: Removed.
        * DumpRenderTree/qt/TestRunnerQt.cpp: Removed.
        * DumpRenderTree/qt/TestRunnerQt.h: Removed.
        * DumpRenderTree/qt/TextInputControllerQt.cpp: Removed.
        * DumpRenderTree/qt/TextInputControllerQt.h: Removed.
        * DumpRenderTree/qt/WorkQueueItemQt.cpp: Removed.
        * DumpRenderTree/qt/WorkQueueItemQt.h: Removed.
        * DumpRenderTree/qt/fonts/AHEM____.TTF: Removed.
        * DumpRenderTree/qt/resources/user.css: Removed.
        * DumpRenderTree/qt/testplugin.cpp: Removed.
        * DumpRenderTree/qt/testplugin.h: Removed.
        * ImageDiff/ImageDiff.pro: Removed.
        * ImageDiff/qt/ImageDiff.cpp: Removed.
        * MiniBrowser/qt/BrowserWindow.cpp: Removed.
        * MiniBrowser/qt/BrowserWindow.h: Removed.
        * MiniBrowser/qt/MiniBrowser.pro: Removed.
        * MiniBrowser/qt/MiniBrowser.qrc: Removed.
        * MiniBrowser/qt/MiniBrowserApplication.cpp: Removed.
        * MiniBrowser/qt/MiniBrowserApplication.h: Removed.
        * MiniBrowser/qt/UrlLoader.cpp: Removed.
        * MiniBrowser/qt/UrlLoader.h: Removed.
        * MiniBrowser/qt/icons/checkbox_checked.png: Removed.
        * MiniBrowser/qt/icons/checkbox_unchecked.png: Removed.
        * MiniBrowser/qt/icons/contents_width.png: Removed.
        * MiniBrowser/qt/icons/favicon.png: Removed.
        * MiniBrowser/qt/icons/find.png: Removed.
        * MiniBrowser/qt/icons/folder.png: Removed.
        * MiniBrowser/qt/icons/info.png: Removed.
        * MiniBrowser/qt/icons/next.png: Removed.
        * MiniBrowser/qt/icons/plus.png: Removed.
        * MiniBrowser/qt/icons/previous.png: Removed.
        * MiniBrowser/qt/icons/refresh.png: Removed.
        * MiniBrowser/qt/icons/stop.png: Removed.
        * MiniBrowser/qt/icons/titlebar.png: Removed.
        * MiniBrowser/qt/icons/touch.png: Removed.
        * MiniBrowser/qt/icons/touchpoint.png: Removed.
        * MiniBrowser/qt/icons/up.png: Removed.
        * MiniBrowser/qt/js/MultiSelect.js: Removed.
        * MiniBrowser/qt/main.cpp: Removed.
        * MiniBrowser/qt/qml/AlertDialog.qml: Removed.
        * MiniBrowser/qt/qml/AuthenticationDialog.qml: Removed.
        * MiniBrowser/qt/qml/BrowserWindow.qml: Removed.
        * MiniBrowser/qt/qml/CheckBox.qml: Removed.
        * MiniBrowser/qt/qml/ColorChooser.qml: Removed.
        * MiniBrowser/qt/qml/ConfirmDialog.qml: Removed.
        * MiniBrowser/qt/qml/Dialog.qml: Removed.
        * MiniBrowser/qt/qml/DialogButton.qml: Removed.
        * MiniBrowser/qt/qml/DialogLineInput.qml: Removed.
        * MiniBrowser/qt/qml/FilePicker.qml: Removed.
        * MiniBrowser/qt/qml/ItemSelector.qml: Removed.
        * MiniBrowser/qt/qml/MockTouchPoint.qml: Removed.
        * MiniBrowser/qt/qml/PromptDialog.qml: Removed.
        * MiniBrowser/qt/qml/ProxyAuthenticationDialog.qml: Removed.
        * MiniBrowser/qt/qml/ScrollIndicator.qml: Removed.
        * MiniBrowser/qt/qml/ViewportInfoItem.qml: Removed.
        * MiniBrowser/qt/raw/DerivedSources.pri: Removed.
        * MiniBrowser/qt/raw/MiniBrowserRaw.pro: Removed.
        * MiniBrowser/qt/raw/Target.pri: Removed.
        * MiniBrowser/qt/raw/View.cpp: Removed.
        * MiniBrowser/qt/raw/View.h: Removed.
        * MiniBrowser/qt/utils.cpp: Removed.
        * MiniBrowser/qt/utils.h: Removed.
        * QtTestBrowser/QtTestBrowser.pro: Removed.
        * QtTestBrowser/QtTestBrowser.qrc: Removed.
        * QtTestBrowser/cookiejar.cpp: Removed.
        * QtTestBrowser/cookiejar.h: Removed.
        * QtTestBrowser/favicon.png: Removed.
        * QtTestBrowser/fpstimer.cpp: Removed.
        * QtTestBrowser/fpstimer.h: Removed.
        * QtTestBrowser/launcherwindow.cpp: Removed.
        * QtTestBrowser/launcherwindow.h: Removed.
        * QtTestBrowser/locationedit.cpp: Removed.
        * QtTestBrowser/locationedit.h: Removed.
        * QtTestBrowser/mainwindow.cpp: Removed.
        * QtTestBrowser/mainwindow.h: Removed.
        * QtTestBrowser/qttestbrowser.cpp: Removed.
        * QtTestBrowser/urlloader.cpp: Removed.
        * QtTestBrowser/urlloader.h: Removed.
        * QtTestBrowser/useragentlist.txt: Removed.
        * QtTestBrowser/utils.cpp: Removed.
        * QtTestBrowser/utils.h: Removed.
        * QtTestBrowser/webinspector.h: Removed.
        * QtTestBrowser/webpage.cpp: Removed.
        * QtTestBrowser/webpage.h: Removed.
        * QtTestBrowser/webview.cpp: Removed.
        * QtTestBrowser/webview.h: Removed.
        * TestWebKitAPI/DerivedSources.pri: Removed.
        * TestWebKitAPI/InjectedBundle.pri: Removed.
        * TestWebKitAPI/PlatformWebView.h:
        * TestWebKitAPI/TestWebKitAPI.pri: Removed.
        * TestWebKitAPI/TestWebKitAPI.pro: Removed.
        * TestWebKitAPI/Tests.pri: Removed.
        * TestWebKitAPI/Tests/JavaScriptCore/JavaScriptCore.pro: Removed.
        * TestWebKitAPI/Tests/WTF/IntegerToStringConversion.cpp:
        * TestWebKitAPI/Tests/WTF/WTF.pro: Removed.
        * TestWebKitAPI/Tests/WebKit2/WebKit2.pro: Removed.
        * TestWebKitAPI/qt/InjectedBundleControllerQt.cpp: Removed.
        * TestWebKitAPI/qt/PlatformUtilitiesQt.cpp: Removed.
        * TestWebKitAPI/qt/PlatformWebViewQt.cpp: Removed.
        * TestWebKitAPI/qt/main.cpp: Removed.
        * Tools.pro: Removed.
        * WebKitTestRunner/DerivedSources.pri: Removed.
        * WebKitTestRunner/EventSenderProxy.h:
        * WebKitTestRunner/InjectedBundle/DerivedSources.pri: Removed.
        * WebKitTestRunner/InjectedBundle/InjectedBundle.pro: Removed.
        * WebKitTestRunner/InjectedBundle/InjectedBundlePage.cpp:
        (WTR::InjectedBundlePage::resetAfterTest):
        (WTR::InjectedBundlePage::dumpDOMAsWebArchive):
        (WTR::InjectedBundlePage::didClearWindowForFrame):
        * WebKitTestRunner/InjectedBundle/Target.pri: Removed.
        * WebKitTestRunner/InjectedBundle/TestRunner.h:
        * WebKitTestRunner/InjectedBundle/qt/ActivateFontsQt.cpp: Removed.
        * WebKitTestRunner/InjectedBundle/qt/InjectedBundleQt.cpp: Removed.
        * WebKitTestRunner/InjectedBundle/qt/TestRunnerQt.cpp: Removed.
        * WebKitTestRunner/PlatformWebView.h:
        * WebKitTestRunner/Target.pri: Removed.
        * WebKitTestRunner/TestController.cpp:
        (WTR::TestController::resetStateToConsistentValues):
        * WebKitTestRunner/TestController.h:
        * WebKitTestRunner/WebKitTestRunner.pro: Removed.
        * WebKitTestRunner/qt/EventSenderProxyQt.cpp: Removed.
        * WebKitTestRunner/qt/PlatformWebViewQt.cpp: Removed.
        * WebKitTestRunner/qt/TestControllerQt.cpp: Removed.
        * WebKitTestRunner/qt/TestInvocationQt.cpp: Removed.
        * WebKitTestRunner/qt/WebKitTestRunner.qrc: Removed.
        * WebKitTestRunner/qt/main.cpp: Removed.
        * WebKitTestRunner/qt/resources/user.css: Removed.
        * qmake/.qmake.cache: Removed.
        * qmake/.qmake.conf: Removed.
        * qmake/README: Removed.
        * qmake/config.tests/README: Removed.
        * qmake/config.tests/fontconfig/fontconfig.cpp: Removed.
        * qmake/config.tests/fontconfig/fontconfig.pro: Removed.
        * qmake/config.tests/gccdepends/empty.cpp: Removed.
        * qmake/config.tests/gccdepends/gccdepends.pro: Removed.
        * qmake/config.tests/glx/glx.cpp: Removed.
        * qmake/config.tests/glx/glx.pro: Removed.
        * qmake/config.tests/gnuld/gnuld.pro: Removed.
        * qmake/config.tests/gnuld/main.cpp: Removed.
        * qmake/config.tests/libXcomposite/libXcomposite.cpp: Removed.
        * qmake/config.tests/libXcomposite/libXcomposite.pro: Removed.
        * qmake/config.tests/libXrender/libXrender.cpp: Removed.
        * qmake/config.tests/libXrender/libXrender.pro: Removed.
        * qmake/config.tests/libwebp/libwebp.cpp: Removed.
        * qmake/config.tests/libwebp/libwebp.pro: Removed.
        * qmake/config.tests/libxml2/libxml2.cpp: Removed.
        * qmake/config.tests/libxml2/libxml2.pro: Removed.
        * qmake/config.tests/libxslt/libxslt.cpp: Removed.
        * qmake/config.tests/libxslt/libxslt.pro: Removed.
        * qmake/config.tests/libzlib/libzlib.cpp: Removed.
        * qmake/config.tests/libzlib/libzlib.pro: Removed.
        * qmake/dump-features.pl: Removed.
        * qmake/mkspecs/features/configure.prf: Removed.
        * qmake/mkspecs/features/default_post.prf: Removed.
        * qmake/mkspecs/features/default_pre.prf: Removed.
        * qmake/mkspecs/features/features.prf: Removed.
        * qmake/mkspecs/features/features.pri: Removed.
        * qmake/mkspecs/features/force_static_libs_as_shared.prf: Removed.
        * qmake/mkspecs/features/functions.prf: Removed.
        * qmake/mkspecs/features/gprof.prf: Removed.
        * qmake/mkspecs/features/mac/default_post.prf: Removed.
        * qmake/mkspecs/features/mac/default_pre.prf: Removed.
        * qmake/mkspecs/features/minimal_qt.prf: Removed.
        * qmake/mkspecs/features/production_build.prf: Removed.
        * qmake/mkspecs/features/rpath.prf: Removed.
        * qmake/mkspecs/features/unix/default_post.prf: Removed.
        * qmake/mkspecs/features/unix/default_pre.prf: Removed.
        * qmake/mkspecs/features/unix/icc.prf: Removed.
        * qmake/mkspecs/features/use_all_in_one_files.prf: Removed.
        * qmake/mkspecs/features/valgrind.prf: Removed.
        * qmake/mkspecs/features/webkit_modules.prf: Removed.
        * qmake/mkspecs/features/win32/default_post.prf: Removed.
        * qmake/mkspecs/features/win32/default_pre.prf: Removed.
        * qmake/mkspecs/modules/angle.prf: Removed.
        * qmake/mkspecs/modules/javascriptcore.prf: Removed.
        * qmake/mkspecs/modules/webcore.prf: Removed.
        * qmake/mkspecs/modules/webkit1.prf: Removed.
        * qmake/mkspecs/modules/webkit2.prf: Removed.
        * qmake/mkspecs/modules/wtf.prf: Removed.

2013-10-02  Tim Horton  <timothy_horton@apple.com>

        [mac] Stop using DrawingAreaImpl on PLATFORM(MAC) 
        https://bugs.webkit.org/show_bug.cgi?id=121859
        <rdar://problem/15069359>

        Reviewed by Anders Carlsson.

        * WebKitTestRunner/TestInvocation.cpp:
        (WTR::shouldUseThreadedScrolling):
        (WTR::updateThreadedScrollingForCurrentTest):
        (WTR::TestInvocation::invoke):
        * WebKitTestRunner/mac/PlatformWebViewMac.mm:
        (-[TestRunnerWKView initWithFrame:contextRef:pageGroupRef:relatedToPage:useThreadedScrolling:]):
        (WTR::PlatformWebView::PlatformWebView):
        (WTR::PlatformWebView::viewSupportsOptions):
        Rename the tiled drawing switch to threaded scrolling, since that's really
        all it switches now that we use tiled drawing everywhere.

        Use an unbuffered window, as well, to avoid snapshotting issues on some platforms
        and to more closely match the case we're interested in testing.

2013-10-02  Anders Carlsson  <andersca@apple.com>

        Move AHEM____.TTF from qt/fonts/ to fonts/.

        Rubber-stamped by Andreas Kling.

        * DumpRenderTree/DumpRenderTree.xcodeproj/project.pbxproj:
        * DumpRenderTree/fonts/AHEM____.TTF: Renamed from Tools/DumpRenderTree/qt/fonts/AHEM____.TTF.

2013-10-02  Ádám Kallai  <kadam@inf.u-szeged.hu>

        Remove Qt bots and EWS from trunk.
        https://bugs.webkit.org/show_bug.cgi?id=122210.

        Reviewed by Allan Sandfeld Jensen.

        Remove Qt buil dbots.

        * BuildSlaveSupport/build.webkit.org-config/config.json:
        * BuildSlaveSupport/build.webkit.org-config/master.cfg:
        (appendCustomBuildFlags):
        (RunGtkAPITests.getText2):
        (Factory.__init__):
        (TestFactory.__init__):
        (BuildAndTestFactory.__init__):
        (loadBuilderConfig):
        * BuildSlaveSupport/build.webkit.org-config/mastercfg_unittest.py:

2013-10-02  Ádám Kallai  <kadam@inf.u-szeged.hu>

        Remove Qt bots and EWS from trunk.
        https://bugs.webkit.org/show_bug.cgi?id=122210.

        Reviewed by Allan Sandfeld Jensen.

        Remove Qt EWS bots.

        * QueueStatusServer/config/queues.py:
        * Scripts/webkitpy/common/config/ews.json:

2013-10-01  Timothy Hatcher  <timothy@apple.com>

        Fix singular labels for test failures.

        https://bugs.webkit.org/show_bug.cgi?id=122200

        Reviewed by Joseph Pecoraro.

        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/BuildbotTesterQueueView.js:
        (BuildbotTesterQueueView.prototype.update.appendBuilderQueueStatus):

2013-10-01  Timothy Hatcher  <timothy@apple.com>

        Don't keep appending iterations each time the queue updates.

        https://bugs.webkit.org/show_bug.cgi?id=122198

        Reviewed by Joseph Pecoraro.

        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/BuildbotQueue.js:
        (BuildbotQueue.prototype.update):

2013-10-01  Timothy Hatcher  <timothy@apple.com>

        Properly sort iterations in the Dashboard by revision for out-of-order queues.

        https://bugs.webkit.org/show_bug.cgi?id=122196

        Reviewed by Brent Fulgham.

        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/BuildbotIteration.js:
        (BuildbotIteration):
        (BuildbotIteration.prototype.update):
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/BuildbotQueue.js:
        (BuildbotQueue.prototype.update):
        (BuildbotQueue.prototype.sortIterations):

2013-10-01  Timothy Hatcher  <timothy@apple.com>

        Fix some exceptions seen in the Buildbot Dashboard when looking at unloaded iterations.

        Also fix some URLs to not have extras slashes and add a page title.

        https://bugs.webkit.org/show_bug.cgi?id=122192

        Reviewed by Joseph Pecoraro.

        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/BuildbotTesterQueueView.js:
        (BuildbotTesterQueueView.prototype.update.appendBuilderQueueStatus):
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/WebKitBuildbot.js:
        (WebKitBuildbot.prototype.buildLogURLForIteration):
        (WebKitBuildbot.prototype.layoutTestResultsURLForIteration):
        (WebKitBuildbot.prototype.javascriptTestResultsURLForIteration):
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/index.html:

2013-10-01  Alexey Proskuryakov  <ap@apple.com>

        [Mac] Set NSApplication current event while sending events directly to views
        https://bugs.webkit.org/show_bug.cgi?id=122179

        Reviewed by Darin Adler.

        DumpRenderTree and WebKitTestRunner send events directly to WebHMTLView or WKView,
        which doesn't update [NSApp currentEvent]. But there are many places in WebKit that
        use the current event.

        * DumpRenderTree/mac/EventSendingController.mm:
        (-[EventSendingController mouseDown:withModifiers:]):
        (-[EventSendingController mouseUp:withModifiers:]):
        (-[EventSendingController mouseMoveToX:Y:]):
        (-[EventSendingController mouseScrollByX:andY:continuously:]):
        (-[EventSendingController contextClick]):
        (-[EventSendingController keyDown:withModifiers:withLocation:]):
        * WebKitTestRunner/mac/EventSenderProxy.mm:
        (WTR::EventSenderProxy::mouseDown):
        (WTR::EventSenderProxy::mouseUp):
        (WTR::EventSenderProxy::mouseMoveTo):
        (WTR::EventSenderProxy::keyDown):
        (WTR::EventSenderProxy::mouseScrollBy):
        Update the current event. We were already using the SPI in WebKit.

2013-10-01  Joseph Pecoraro  <pecoraro@apple.com>

        Buildbot Dashboard: Fix JSHint issue: 'perlTestResults' used out of scope.
        https://bugs.webkit.org/show_bug.cgi?id=122183

        Reviewed by Timothy Hatcher.

        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/BuildbotIteration.js:
        (BuildbotIteration.prototype.update):

2013-10-01  Timothy Hatcher  <timothy@apple.com>

        Tweaks to the Buildbot Dashboard

        https://bugs.webkit.org/show_bug.cgi?id=122169

        Reviewed by Alexey Proskuryakov.

        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/BuildbotBuilderQueueView.js:
        (BuildbotBuilderQueueView.prototype.update.appendBuilderQueueStatus):
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/BuildbotQueueView.js:
        (BuildbotQueueView.prototype.revisionLinksForIteration):
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/BuildbotTesterQueueView.js:
        (BuildbotTesterQueueView.prototype.update.appendBuilderQueueStatus):
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/Initialization.js: Added.
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/Main.js:
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/WebKitBuildbot.js:
        (WebKitBuildbot.prototype.buildLogURLForIteration):
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/index.html:

2013-10-01  Commit Queue  <commit-queue@webkit.org>

        Unreviewed, rolling out r156725.
        http://trac.webkit.org/changeset/156725
        https://bugs.webkit.org/show_bug.cgi?id=122176

        broke all the mismatch tests again (Requested by thorton on
        #webkit).

        * WebKitTestRunner/mac/PlatformWebViewMac.mm:
        (WTR::PlatformWebView::PlatformWebView):

2013-10-01  Alex Christensen  <achristensen@webkit.org>

        Implemented createWebViewWithRequest in WinLauncher.
        https://bugs.webkit.org/show_bug.cgi?id=122069

        Reviewed by Brent Fulgham.

        * WinLauncher/PrintWebUIDelegate.cpp:
        (PrintWebUIDelegate::createWebViewWithRequest): Added.
        * WinLauncher/PrintWebUIDelegate.h:
        Removed createWebViewWithRequest stub.

2013-10-01  Tim Horton  <timothy_horton@apple.com>

        [wk2] WebKitTestRunner's window snapshots are blank with tiled drawing
        https://bugs.webkit.org/show_bug.cgi?id=122006
        <rdar://problem/15095197>

        Reviewed by Dean Jackson.

        * WebKitTestRunner/mac/PlatformWebViewMac.mm:
        (WTR::PlatformWebView::PlatformWebView):
        Layer-back the root view in WebKitTestRunner's window, to work around a bug
        where the window server snapshot API returns blank snapshots.

        Re-landing after r156724, this should not break everything now.

2013-10-01  Tim Horton  <timothy_horton@apple.com>

        [mac] 1x emulation on Retina hardware shouldn't use SPI
        https://bugs.webkit.org/show_bug.cgi?id=122152
        <rdar://problem/15119384>

        Reviewed by Anders Carlsson.

        * DumpRenderTree/mac/DumpRenderTree.mm:
        (createWebViewAndOffscreenWindow):
        (main):
        * DumpRenderTree/mac/DumpRenderTreeWindow.h:
        * DumpRenderTree/mac/DumpRenderTreeWindow.mm:
        * WebKitTestRunner/mac/PlatformWebViewMac.mm:
        (WTR::PlatformWebView::PlatformWebView):
        * WebKitTestRunner/mac/main.mm:
        (main):
        Register for AppleMagnifiedMode instead of using _setWindowResolution:displayIfChanged:.

2013-09-30  Sam Weinig  <sam@webkit.org>

        check-webkit-style should not warn about use of C++11 “>>”  instead of “> >"
        https://bugs.webkit.org/show_bug.cgi?id=116474

        Reviewed by Ryosuke Niwa.

        * Scripts/webkitpy/style/checkers/cpp.py:
        * Scripts/webkitpy/style/checkers/cpp_unittest.py:

2013-09-30  Sam Weinig  <sam@webkit.org>

        Remove support for DOMFileSystem
        https://bugs.webkit.org/show_bug.cgi?id=122137

        Reviewed by Anders Carlsson.

        * Scripts/webkitperl/FeatureList.pm:
        * Scripts/webkitpy/style/checkers/cpp.py:
        (check_spacing):
        * Scripts/webkitpy/style/checkers/cpp_unittest.py:
        (CppStyleTest.test_spacing_for_binary_ops):
        * qmake/mkspecs/features/features.pri:

2013-09-30  Mark Rowe  <mrowe@apple.com>

        More build fixage for builds with SDKs.

        * WebKitTestRunner/Configurations/Base.xcconfig:
        * WebKitTestRunner/Configurations/BaseTarget.xcconfig:

2013-09-30  Timothy Hatcher  <timothy@apple.com>

        Add initial version of a new Buildbot dashboard view.

        https://bugs.webkit.org/show_bug.cgi?id=122131

        Reviewed by Alexey Proskuryakov.

        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Images/Lion.png: Added.
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Images/Lion@2x.png: Added.
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Images/Mavericks.png: Added.
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Images/Mavericks@2x.png: Added.
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Images/MountainLion.png: Added.
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Images/MountainLion@2x.png: Added.
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Images/PlatformRing.png: Added.
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Images/PlatformRing@2x.png: Added.
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Images/Windows7.png: Added.
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Images/Windows7@2x.png: Added.
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Images/Windows8.png: Added.
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Images/Windows8@2x.png: Added.
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Images/WindowsXP.png: Added.
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Images/WindowsXP@2x.png: Added.
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/BaseObject.js: Added.
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/Buildbot.js: Added.
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/BuildbotBuilderQueueView.js: Added.
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/BuildbotIteration.js: Added.
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/BuildbotQueue.js: Added.
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/BuildbotQueueView.js: Added.
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/BuildbotTestResults.js: Added.
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/BuildbotTesterQueueView.js: Added.
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/Main.js: Added.
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/StatusLineView.js: Added.
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/Utilities.js: Added.
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/WebKitBuildbot.js: Added.
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Styles/BuildbotBuilderQueueView.css: Added.
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Styles/BuildbotQueueView.css: Added.
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Styles/BuildbotTesterQueueView.css: Added.
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Styles/Main.css: Added.
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Styles/StatusLineView.css: Added.
        * BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/index.html: Added.

2013-09-30  Benjamin Poulain  <benjamin@webkit.org>

        Remove the code guarded by STYLE_SCOPED
        https://bugs.webkit.org/show_bug.cgi?id=122123

        Reviewed by Anders Carlsson.

        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (resetDefaultsToConsistentValues):
        * Scripts/webkitperl/FeatureList.pm:
        * qmake/mkspecs/features/features.pri:

2013-09-30  Mark Rowe  <mrowe@apple.com>

        Fix the build when building against an SDK.

        Xcode helpfully prepends $(SDKROOT) to the paths in FRAMEWORK_SEARCH_PATHS when generating
        the compiler command lines. It can't know to do this for the system framework search paths
        we add manually via OTHER_CFLAGS though, so we need to prefix them with $(SDKROOT) ourself.

        * DumpRenderTree/mac/Configurations/BaseTarget.xcconfig:
        * WebKitTestRunner/Configurations/BaseTarget.xcconfig:

2013-09-30  Brent Fulgham  <bfulgham@apple.com>

        [Windows] Unreviewed test fix. Prevent crash when changing URL paths during testing.

        A shared BSTR value (_bstr_t) was being reallocated outside the smart pointer, causing
        it to be double-freed.

        * WinLauncher/WinLauncher.cpp:
        (EditProc): Be explicit about type passed to loadURL.
        (loadURL): Create a shallow copy of the BSTR so we only allocate memory if needed. Use _bstr_t so
        that reallocating the BSTR is done with the knowledge of the smart pointer.

2013-09-30  Allan Sandfeld Jensen  <allan.jensen@digia.com>

        [Qt] Fix force_static_libs_as_shared in WebKit2
        https://bugs.webkit.org/show_bug.cgi?id=121961

        Reviewed by Csaba Osztrogonác.

        Get rid of the unused WebKit2QML library

        * qmake/mkspecs/features/webkit_modules.prf:
        * qmake/mkspecs/modules/webkit2qml.prf: Removed.

2013-09-30  Krzysztof Wolanski  <k.wolanski@samsung.com>

        [EFL] Fix incorrect click counting in EventSenderProxy
        https://bugs.webkit.org/show_bug.cgi?id=122098

        Reviewed by Gyuyoung Kim.

        Previously used two types of recording time, which conflicted with each other.

        * WebKitTestRunner/efl/EventSenderProxyEfl.cpp:
        (WTR::EventSenderProxy::mouseUp):

2013-09-30  Zan Dobersek  <zdobersek@igalia.com>

        [webkitpy] Make the Xvfb screen depth overridable
        https://bugs.webkit.org/show_bug.cgi?id=122089

        Reviewed by Gyuyoung Kim.

        Make the Xvfb screen depth overridable by checking if the XVFB_SCREEN_DEPTH environment variable
        was set. The default value that's used if the variable wasn't set is 24.

        * Scripts/webkitpy/port/xvfbdriver.py:
        (XvfbDriver._xvfb_screen_depth):
        (XvfbDriver._start):
        * Scripts/webkitpy/port/xvfbdriver_unittest.py:
        (XvfbDriverTest.make_driver):
        (XvfbDriverTest.test_start_no_pixel_tests):
        (XvfbDriverTest.test_start_pixel_tests):
        (XvfbDriverTest.test_start_arbitrary_worker_number):
        (XvfbDriverTest.test_next_free_display):
        (XvfbDriverTest.test_start_next_worker):

2013-09-29  Mark Rowe  <mrowe@apple.com>

        Fix the Lion build.

        Ensure that C++ and Objective-C++ files build with the right compiler flags.

        * DumpRenderTree/mac/Configurations/BaseTarget.xcconfig:
        * WebKitTestRunner/Configurations/BaseTarget.xcconfig:

2013-09-28  Mark Rowe  <mrowe@apple.com>

        Fix some failures with newer versions of clang.

        Some CoreGraphics headers generate warnings under newer versions of clang. Since they're system headers the warnings would
        usually be suppressed, but we're adding the frameworks to the non-system framework search path so they're no longer treated
        as system headers. We address this by removing the system paths from FRAMEWORK_SEARCH_PATHS and using the -iframework compiler
        flag in OTHER_CFLAGS to add the paths to the system framework search path. We have to set OTHER_CFLAGS at the target level
        in order for it to coexist with the ASAN-related OTHER_CFLAGS that's set in DebugRelease.xcconfig.

        Reviewed by Dan Bernstein.

        * DumpRenderTree/mac/Configurations/Base.xcconfig:
        * DumpRenderTree/mac/Configurations/BaseTarget.xcconfig: A new .xcconfig file that's included by all target-specific .xcconfig files.
        * DumpRenderTree/mac/Configurations/DebugRelease.xcconfig:
        * DumpRenderTree/mac/Configurations/DumpRenderTree.xcconfig:
        * DumpRenderTree/mac/Configurations/ImageDiff.xcconfig:
        * DumpRenderTree/mac/Configurations/TestNetscapePlugIn.xcconfig:
        * WebKitTestRunner/Configurations/Base.xcconfig:
        * WebKitTestRunner/Configurations/BaseTarget.xcconfig: A new .xcconfig file that's included by all target-specific .xcconfig files.
        * WebKitTestRunner/Configurations/DebugRelease.xcconfig:
        * WebKitTestRunner/Configurations/InjectedBundle.xcconfig:
        * WebKitTestRunner/Configurations/WebKitTestRunner.xcconfig:

2013-09-27  Commit Queue  <commit-queue@webkit.org>

        Unreviewed, rolling out r156569.
        http://trac.webkit.org/changeset/156569
        https://bugs.webkit.org/show_bug.cgi?id=122035

        broke a lot of mismatch tests (Requested by thorton on
        #webkit).

        * WebKitTestRunner/mac/PlatformWebViewMac.mm:
        (WTR::PlatformWebView::PlatformWebView):

2013-09-27  Alexey Proskuryakov  <ap@apple.com>

        Don't retry failures on Apple MountainLion Release WK1 tester
        https://bugs.webkit.org/show_bug.cgi?id=122026

        Reviewed by Mark Rowe.

        * BuildSlaveSupport/build.webkit.org-config/config.json: Added --no-retry-failures
        on this bot.

2013-09-27  Alexey Proskuryakov  <ap@apple.com>

        Don't hardcode builder specific configuration in buildbot master.cfg
        https://bugs.webkit.org/show_bug.cgi?id=122023

        Reviewed by Mark Rowe.

        * BuildSlaveSupport/build.webkit.org-config/config.json: Added an additionalArguments
        property to Qt Mountain Lion Release, making it run pixel tests.

        * BuildSlaveSupport/build.webkit.org-config/master.cfg:
        (RunWebKitTests.start): Use additionalArguments.
        (RunWebKit2Tests.start): Don't hardcode individual bot behavior here.

2013-09-27  Tim Horton  <timothy_horton@apple.com>

        [wk2] WebKitTestRunner's window snapshots are blank with tiled drawing
        https://bugs.webkit.org/show_bug.cgi?id=122006
        <rdar://problem/15095197>

        Reviewed by Dean Jackson.

        * WebKitTestRunner/mac/PlatformWebViewMac.mm:
        (WTR::PlatformWebView::PlatformWebView):
        Layer-back the root view in WebKitTestRunner's window, to work around a bug
        where the window server snapshot API returns blank snapshots.

2013-09-27  Mario Sanchez Prada  <mario.prada@samsung.com>

        [GTK] GTK does not expose heading level correctly. Was: accessibility/heading-level.html is failing
        https://bugs.webkit.org/show_bug.cgi?id=106924

        Reviewed by Chris Fleizach.

        Consider headings levels as values to be returned in intValue()
        both in DRT and WKTR, so we can share more tests with other ports.

        * DumpRenderTree/atk/AccessibilityUIElementAtk.cpp:
        (AccessibilityUIElement::intValue): Consider headings too.
        * WebKitTestRunner/InjectedBundle/atk/AccessibilityUIElementAtk.cpp:
        (WTR::AccessibilityUIElement::intValue): Ditto.

2013-09-26  Darin Adler  <darin@apple.com>

        rename KURL to URL
        https://bugs.webkit.org/show_bug.cgi?id=16214

        Reviewed by Andreas Kling.

        * many files: Renamed, using script.

2013-09-27  Darin Adler  <darin@apple.com>

        Fix Python scripts test failures.

        * Scripts/webkitpy/style/checkers/cpp.py:
        (_FunctionState.modifiers_and_return_type): Added this back. Used only by tests
        now, not by the checker itself.

2013-09-27  Denis Nomiyama  <d.nomiyama@samsung.com>

        [GTK][WK2] Logging of accessibility events is not disabled between tests
        https://bugs.webkit.org/show_bug.cgi?id=121957

        Reviewed by Mario Sanchez Prada.

        Fixed an issue in AccessibilityNotificationHandler where the destructor
        was not disconnecting accessibility event callbacks if logging was on.
        The decision of disconnecting events can solely rely on the existence of
        notification handlers because logging uses the global notification
        handler.

        * WebKitTestRunner/InjectedBundle/atk/AccessibilityNotificationHandlerAtk.cpp:
        (WTR::AccessibilityNotificationHandler::disconnectAccessibilityCallbacks): Fixed
        disconnection when logging is on.

2013-09-27  Patrick Gansterer  <paroga@webkit.org>

        Add general CMakeLists.txt for DRT
        https://bugs.webkit.org/show_bug.cgi?id=119268

        Reviewed by Gyuyoung Kim.

        The new file allows better sharing between ports.

        * CMakeLists.txt:
        * DumpRenderTree/CMakeLists.txt: Added.
        * DumpRenderTree/PlatformEfl.cmake: Added.
